#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1378
#define LARGE_STATE_COUNT 28
#define SYMBOL_COUNT 211
#define ALIAS_COUNT 5
#define TOKEN_COUNT 94
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 107

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_ = 4,
  anon_sym_package = 5,
  anon_sym_import = 6,
  anon_sym_DOT = 7,
  sym_blank_identifier = 8,
  anon_sym_LPAREN = 9,
  anon_sym_RPAREN = 10,
  anon_sym_const = 11,
  anon_sym_COMMA = 12,
  anon_sym_EQ = 13,
  anon_sym_var = 14,
  anon_sym_func = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_DOT_DOT_DOT = 18,
  anon_sym_type = 19,
  anon_sym_STAR = 20,
  anon_sym_struct = 21,
  anon_sym_PIPE = 22,
  anon_sym_TILDE = 23,
  anon_sym_LBRACE = 24,
  anon_sym_RBRACE = 25,
  anon_sym_interface = 26,
  anon_sym_map = 27,
  anon_sym_chan = 28,
  anon_sym_LT_DASH = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_PLUS_PLUS = 31,
  anon_sym_DASH_DASH = 32,
  anon_sym_STAR_EQ = 33,
  anon_sym_SLASH_EQ = 34,
  anon_sym_PERCENT_EQ = 35,
  anon_sym_LT_LT_EQ = 36,
  anon_sym_GT_GT_EQ = 37,
  anon_sym_AMP_EQ = 38,
  anon_sym_AMP_CARET_EQ = 39,
  anon_sym_PLUS_EQ = 40,
  anon_sym_DASH_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_COLON = 44,
  anon_sym_fallthrough = 45,
  anon_sym_break = 46,
  anon_sym_continue = 47,
  anon_sym_goto = 48,
  anon_sym_return = 49,
  anon_sym_go = 50,
  anon_sym_defer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_range = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_default = 58,
  anon_sym_select = 59,
  anon_sym_new = 60,
  anon_sym_make = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_BANG = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_SLASH = 67,
  anon_sym_PERCENT = 68,
  anon_sym_LT_LT = 69,
  anon_sym_GT_GT = 70,
  anon_sym_AMP_CARET = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_AMP_AMP = 78,
  anon_sym_PIPE_PIPE = 79,
  sym_raw_string_literal = 80,
  anon_sym_DQUOTE = 81,
  anon_sym_DQUOTE2 = 82,
  sym__interpreted_string_literal_basic_content = 83,
  sym_escape_sequence = 84,
  sym_int_literal = 85,
  sym_float_literal = 86,
  sym_imaginary_literal = 87,
  sym_rune_literal = 88,
  sym_nil = 89,
  sym_true = 90,
  sym_false = 91,
  sym_iota = 92,
  sym_comment = 93,
  sym_source_file = 94,
  sym_package_clause = 95,
  sym_import_declaration = 96,
  sym_import_spec = 97,
  sym_dot = 98,
  sym_import_spec_list = 99,
  sym__declaration = 100,
  sym_const_declaration = 101,
  sym_const_spec = 102,
  sym_var_declaration = 103,
  sym_var_spec = 104,
  sym_function_declaration = 105,
  sym_method_declaration = 106,
  sym_type_parameter_list = 107,
  sym_parameter_list = 108,
  sym_parameter_declaration = 109,
  sym_variadic_parameter_declaration = 110,
  sym_type_alias = 111,
  sym_type_declaration = 112,
  sym_type_spec = 113,
  sym_expression_list = 114,
  sym_parenthesized_type = 115,
  sym__simple_type = 116,
  sym_generic_type = 117,
  sym_type_arguments = 118,
  sym_pointer_type = 119,
  sym_array_type = 120,
  sym_implicit_length_array_type = 121,
  sym_slice_type = 122,
  sym_struct_type = 123,
  sym_union_type = 124,
  sym_negated_type = 125,
  sym_field_declaration_list = 126,
  sym_field_declaration = 127,
  sym_interface_type = 128,
  sym__interface_body = 129,
  sym_struct_elem = 130,
  sym_struct_term = 131,
  sym_method_spec = 132,
  sym_map_type = 133,
  sym_channel_type = 134,
  sym_function_type = 135,
  sym_block = 136,
  sym__statement_list = 137,
  sym__statement = 138,
  sym_empty_statement = 139,
  sym__simple_statement = 140,
  sym_expression_statement = 141,
  sym_send_statement = 142,
  sym_receive_statement = 143,
  sym_inc_statement = 144,
  sym_dec_statement = 145,
  sym_assignment_statement = 146,
  sym_short_var_declaration = 147,
  sym_labeled_statement = 148,
  sym_empty_labeled_statement = 149,
  sym_fallthrough_statement = 150,
  sym_break_statement = 151,
  sym_continue_statement = 152,
  sym_goto_statement = 153,
  sym_return_statement = 154,
  sym_go_statement = 155,
  sym_defer_statement = 156,
  sym_if_statement = 157,
  sym_for_statement = 158,
  sym_for_clause = 159,
  sym_range_clause = 160,
  sym_expression_switch_statement = 161,
  sym_expression_case = 162,
  sym_default_case = 163,
  sym_type_switch_statement = 164,
  sym__type_switch_header = 165,
  sym_type_case = 166,
  sym_select_statement = 167,
  sym_communication_case = 168,
  sym__expression = 169,
  sym_parenthesized_expression = 170,
  sym_call_expression = 171,
  sym_variadic_argument = 172,
  sym_special_argument_list = 173,
  sym_argument_list = 174,
  sym_selector_expression = 175,
  sym_index_expression = 176,
  sym_slice_expression = 177,
  sym_type_assertion_expression = 178,
  sym_type_conversion_expression = 179,
  sym_composite_literal = 180,
  sym_literal_value = 181,
  sym_literal_element = 182,
  sym_keyed_element = 183,
  sym_func_literal = 184,
  sym_unary_expression = 185,
  sym_binary_expression = 186,
  sym_qualified_type = 187,
  sym_interpreted_string_literal = 188,
  aux_sym_source_file_repeat1 = 189,
  aux_sym_import_spec_list_repeat1 = 190,
  aux_sym_const_declaration_repeat1 = 191,
  aux_sym_const_spec_repeat1 = 192,
  aux_sym_var_declaration_repeat1 = 193,
  aux_sym_type_parameter_list_repeat1 = 194,
  aux_sym_parameter_list_repeat1 = 195,
  aux_sym_parameter_declaration_repeat1 = 196,
  aux_sym_type_declaration_repeat1 = 197,
  aux_sym_expression_list_repeat1 = 198,
  aux_sym_type_arguments_repeat1 = 199,
  aux_sym_field_declaration_list_repeat1 = 200,
  aux_sym_field_declaration_repeat1 = 201,
  aux_sym_interface_type_repeat1 = 202,
  aux_sym_struct_elem_repeat1 = 203,
  aux_sym__statement_list_repeat1 = 204,
  aux_sym_expression_switch_statement_repeat1 = 205,
  aux_sym_type_switch_statement_repeat1 = 206,
  aux_sym_select_statement_repeat1 = 207,
  aux_sym_argument_list_repeat1 = 208,
  aux_sym_literal_value_repeat1 = 209,
  aux_sym_interpreted_string_literal_repeat1 = 210,
  alias_sym_constraint_elem = 211,
  alias_sym_field_identifier = 212,
  alias_sym_label_name = 213,
  alias_sym_package_identifier = 214,
  alias_sym_type_identifier = 215,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_] = "\\0",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_PIPE] = "|",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_union_type] = "union_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym__interface_body] = "_interface_body",
  [sym_struct_elem] = "struct_elem",
  [sym_struct_term] = "struct_term",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_struct_elem_repeat1] = "struct_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_constraint_elem] = "constraint_elem",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_] = anon_sym_,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_union_type] = sym_union_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym__interface_body] = sym__interface_body,
  [sym_struct_elem] = sym_struct_elem,
  [sym_struct_term] = sym_struct_term,
  [sym_method_spec] = sym_method_spec,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_struct_elem_repeat1] = aux_sym_struct_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_constraint_elem] = alias_sym_constraint_elem,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_body] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_term] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_constraint_elem] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [28] = {.index = 28, .length = 1},
  [29] = {.index = 29, .length = 2},
  [30] = {.index = 31, .length = 1},
  [31] = {.index = 32, .length = 1},
  [32] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 3},
  [34] = {.index = 38, .length = 2},
  [35] = {.index = 40, .length = 2},
  [36] = {.index = 42, .length = 2},
  [37] = {.index = 44, .length = 3},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 3},
  [40] = {.index = 52, .length = 1},
  [41] = {.index = 53, .length = 3},
  [42] = {.index = 56, .length = 3},
  [43] = {.index = 59, .length = 3},
  [44] = {.index = 62, .length = 3},
  [45] = {.index = 65, .length = 3},
  [46] = {.index = 68, .length = 1},
  [47] = {.index = 69, .length = 2},
  [48] = {.index = 71, .length = 2},
  [49] = {.index = 73, .length = 3},
  [50] = {.index = 52, .length = 1},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 17, .length = 2},
  [53] = {.index = 76, .length = 2},
  [54] = {.index = 78, .length = 2},
  [55] = {.index = 80, .length = 1},
  [56] = {.index = 81, .length = 1},
  [57] = {.index = 82, .length = 1},
  [58] = {.index = 83, .length = 3},
  [59] = {.index = 86, .length = 1},
  [60] = {.index = 87, .length = 2},
  [61] = {.index = 89, .length = 1},
  [62] = {.index = 90, .length = 2},
  [63] = {.index = 92, .length = 3},
  [64] = {.index = 95, .length = 3},
  [65] = {.index = 98, .length = 1},
  [66] = {.index = 71, .length = 2},
  [67] = {.index = 99, .length = 3},
  [68] = {.index = 102, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 98, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 99, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 4},
  [93] = {.index = 160, .length = 5},
  [94] = {.index = 165, .length = 5},
  [95] = {.index = 170, .length = 4},
  [96] = {.index = 174, .length = 3},
  [97] = {.index = 177, .length = 2},
  [98] = {.index = 179, .length = 1},
  [99] = {.index = 180, .length = 3},
  [100] = {.index = 183, .length = 4},
  [101] = {.index = 187, .length = 2},
  [102] = {.index = 189, .length = 3},
  [103] = {.index = 192, .length = 2},
  [104] = {.index = 194, .length = 2},
  [105] = {.index = 196, .length = 4},
  [106] = {.index = 200, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [52] =
    {field_type, 1},
  [53] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [56] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [65] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [68] =
    {field_element, 3},
  [69] =
    {field_element, 3},
    {field_length, 1},
  [71] =
    {field_name, 0},
    {field_type, 2},
  [73] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [76] =
    {field_tag, 1},
    {field_type, 0},
  [78] =
    {field_name, 0},
    {field_parameters, 1},
  [80] =
    {field_update, 2},
  [81] =
    {field_condition, 1},
  [82] =
    {field_initializer, 0},
  [83] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [86] =
    {field_right, 0},
  [87] =
    {field_operand, 2},
    {field_type, 0},
  [89] =
    {field_operand, 0},
  [90] =
    {field_index, 2},
    {field_operand, 0},
  [92] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [95] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [102] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_operand, 0},
    {field_type, 3},
  [152] =
    {field_end, 3},
    {field_operand, 0},
  [154] =
    {field_operand, 0},
    {field_start, 2},
  [156] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [160] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [165] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [170] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [174] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [177] =
    {field_initializer, 1},
    {field_value, 3},
  [179] =
    {field_value, 0},
  [180] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [183] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [187] =
    {field_type, 1},
    {field_type, 2},
  [189] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [192] =
    {field_alias, 0},
    {field_value, 2},
  [194] =
    {field_initializer, 0},
    {field_value, 2},
  [196] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [200] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [27] = {
    [0] = alias_sym_constraint_elem,
  },
  [32] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [44] = {
    [2] = alias_sym_field_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_field_identifier,
  },
  [54] = {
    [0] = alias_sym_field_identifier,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [94] = {
    [2] = alias_sym_field_identifier,
  },
  [95] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_type, 2,
    sym__simple_type,
    alias_sym_constraint_elem,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 12,
  [17] = 12,
  [18] = 12,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 29,
  [33] = 29,
  [34] = 29,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 37,
  [39] = 37,
  [40] = 35,
  [41] = 35,
  [42] = 35,
  [43] = 37,
  [44] = 37,
  [45] = 37,
  [46] = 35,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 50,
  [52] = 52,
  [53] = 53,
  [54] = 50,
  [55] = 55,
  [56] = 56,
  [57] = 52,
  [58] = 58,
  [59] = 53,
  [60] = 50,
  [61] = 53,
  [62] = 52,
  [63] = 52,
  [64] = 52,
  [65] = 65,
  [66] = 53,
  [67] = 53,
  [68] = 50,
  [69] = 53,
  [70] = 70,
  [71] = 50,
  [72] = 52,
  [73] = 73,
  [74] = 74,
  [75] = 74,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 74,
  [82] = 73,
  [83] = 79,
  [84] = 79,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 74,
  [89] = 89,
  [90] = 90,
  [91] = 80,
  [92] = 73,
  [93] = 80,
  [94] = 86,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 80,
  [99] = 90,
  [100] = 86,
  [101] = 101,
  [102] = 85,
  [103] = 73,
  [104] = 104,
  [105] = 73,
  [106] = 106,
  [107] = 107,
  [108] = 79,
  [109] = 85,
  [110] = 110,
  [111] = 85,
  [112] = 85,
  [113] = 79,
  [114] = 79,
  [115] = 74,
  [116] = 78,
  [117] = 73,
  [118] = 86,
  [119] = 80,
  [120] = 120,
  [121] = 86,
  [122] = 96,
  [123] = 74,
  [124] = 86,
  [125] = 125,
  [126] = 126,
  [127] = 80,
  [128] = 96,
  [129] = 90,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 130,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 140,
  [143] = 141,
  [144] = 134,
  [145] = 133,
  [146] = 132,
  [147] = 131,
  [148] = 148,
  [149] = 137,
  [150] = 130,
  [151] = 139,
  [152] = 130,
  [153] = 136,
  [154] = 154,
  [155] = 136,
  [156] = 139,
  [157] = 157,
  [158] = 141,
  [159] = 136,
  [160] = 134,
  [161] = 137,
  [162] = 133,
  [163] = 133,
  [164] = 134,
  [165] = 165,
  [166] = 132,
  [167] = 141,
  [168] = 168,
  [169] = 139,
  [170] = 148,
  [171] = 157,
  [172] = 131,
  [173] = 154,
  [174] = 168,
  [175] = 130,
  [176] = 176,
  [177] = 137,
  [178] = 154,
  [179] = 130,
  [180] = 133,
  [181] = 134,
  [182] = 141,
  [183] = 139,
  [184] = 168,
  [185] = 130,
  [186] = 137,
  [187] = 139,
  [188] = 141,
  [189] = 131,
  [190] = 134,
  [191] = 133,
  [192] = 148,
  [193] = 193,
  [194] = 154,
  [195] = 157,
  [196] = 137,
  [197] = 154,
  [198] = 132,
  [199] = 131,
  [200] = 168,
  [201] = 157,
  [202] = 157,
  [203] = 132,
  [204] = 131,
  [205] = 137,
  [206] = 132,
  [207] = 157,
  [208] = 131,
  [209] = 130,
  [210] = 168,
  [211] = 140,
  [212] = 136,
  [213] = 148,
  [214] = 214,
  [215] = 215,
  [216] = 139,
  [217] = 137,
  [218] = 141,
  [219] = 134,
  [220] = 220,
  [221] = 154,
  [222] = 168,
  [223] = 148,
  [224] = 133,
  [225] = 131,
  [226] = 131,
  [227] = 148,
  [228] = 131,
  [229] = 133,
  [230] = 148,
  [231] = 134,
  [232] = 141,
  [233] = 139,
  [234] = 148,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 238,
  [286] = 239,
  [287] = 240,
  [288] = 245,
  [289] = 246,
  [290] = 243,
  [291] = 244,
  [292] = 242,
  [293] = 248,
  [294] = 255,
  [295] = 259,
  [296] = 275,
  [297] = 276,
  [298] = 278,
  [299] = 247,
  [300] = 280,
  [301] = 281,
  [302] = 270,
  [303] = 256,
  [304] = 273,
  [305] = 258,
  [306] = 261,
  [307] = 271,
  [308] = 282,
  [309] = 268,
  [310] = 254,
  [311] = 267,
  [312] = 260,
  [313] = 279,
  [314] = 283,
  [315] = 252,
  [316] = 265,
  [317] = 269,
  [318] = 251,
  [319] = 253,
  [320] = 272,
  [321] = 264,
  [322] = 263,
  [323] = 257,
  [324] = 249,
  [325] = 266,
  [326] = 250,
  [327] = 262,
  [328] = 238,
  [329] = 245,
  [330] = 240,
  [331] = 246,
  [332] = 243,
  [333] = 244,
  [334] = 242,
  [335] = 335,
  [336] = 336,
  [337] = 248,
  [338] = 336,
  [339] = 339,
  [340] = 255,
  [341] = 269,
  [342] = 268,
  [343] = 251,
  [344] = 259,
  [345] = 260,
  [346] = 279,
  [347] = 283,
  [348] = 252,
  [349] = 276,
  [350] = 262,
  [351] = 275,
  [352] = 265,
  [353] = 253,
  [354] = 280,
  [355] = 272,
  [356] = 254,
  [357] = 266,
  [358] = 271,
  [359] = 278,
  [360] = 261,
  [361] = 249,
  [362] = 258,
  [363] = 264,
  [364] = 263,
  [365] = 281,
  [366] = 257,
  [367] = 250,
  [368] = 273,
  [369] = 270,
  [370] = 267,
  [371] = 282,
  [372] = 256,
  [373] = 247,
  [374] = 240,
  [375] = 245,
  [376] = 376,
  [377] = 377,
  [378] = 248,
  [379] = 238,
  [380] = 336,
  [381] = 336,
  [382] = 257,
  [383] = 281,
  [384] = 253,
  [385] = 267,
  [386] = 265,
  [387] = 256,
  [388] = 269,
  [389] = 336,
  [390] = 390,
  [391] = 252,
  [392] = 283,
  [393] = 254,
  [394] = 279,
  [395] = 395,
  [396] = 272,
  [397] = 249,
  [398] = 336,
  [399] = 250,
  [400] = 264,
  [401] = 260,
  [402] = 259,
  [403] = 255,
  [404] = 268,
  [405] = 282,
  [406] = 271,
  [407] = 261,
  [408] = 258,
  [409] = 273,
  [410] = 270,
  [411] = 411,
  [412] = 280,
  [413] = 278,
  [414] = 414,
  [415] = 276,
  [416] = 275,
  [417] = 266,
  [418] = 418,
  [419] = 238,
  [420] = 263,
  [421] = 251,
  [422] = 247,
  [423] = 262,
  [424] = 424,
  [425] = 243,
  [426] = 246,
  [427] = 244,
  [428] = 242,
  [429] = 240,
  [430] = 245,
  [431] = 246,
  [432] = 243,
  [433] = 244,
  [434] = 242,
  [435] = 335,
  [436] = 411,
  [437] = 395,
  [438] = 418,
  [439] = 439,
  [440] = 248,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 442,
  [445] = 441,
  [446] = 446,
  [447] = 446,
  [448] = 448,
  [449] = 449,
  [450] = 238,
  [451] = 451,
  [452] = 452,
  [453] = 451,
  [454] = 454,
  [455] = 441,
  [456] = 449,
  [457] = 451,
  [458] = 449,
  [459] = 446,
  [460] = 442,
  [461] = 461,
  [462] = 262,
  [463] = 254,
  [464] = 276,
  [465] = 278,
  [466] = 280,
  [467] = 281,
  [468] = 270,
  [469] = 273,
  [470] = 390,
  [471] = 471,
  [472] = 390,
  [473] = 473,
  [474] = 258,
  [475] = 261,
  [476] = 271,
  [477] = 282,
  [478] = 246,
  [479] = 268,
  [480] = 255,
  [481] = 259,
  [482] = 473,
  [483] = 260,
  [484] = 484,
  [485] = 243,
  [486] = 244,
  [487] = 247,
  [488] = 279,
  [489] = 283,
  [490] = 471,
  [491] = 484,
  [492] = 252,
  [493] = 265,
  [494] = 253,
  [495] = 272,
  [496] = 249,
  [497] = 275,
  [498] = 390,
  [499] = 245,
  [500] = 251,
  [501] = 390,
  [502] = 256,
  [503] = 264,
  [504] = 263,
  [505] = 240,
  [506] = 257,
  [507] = 250,
  [508] = 267,
  [509] = 269,
  [510] = 473,
  [511] = 511,
  [512] = 242,
  [513] = 335,
  [514] = 484,
  [515] = 390,
  [516] = 266,
  [517] = 517,
  [518] = 518,
  [519] = 517,
  [520] = 424,
  [521] = 521,
  [522] = 522,
  [523] = 517,
  [524] = 238,
  [525] = 525,
  [526] = 238,
  [527] = 248,
  [528] = 517,
  [529] = 517,
  [530] = 517,
  [531] = 261,
  [532] = 282,
  [533] = 533,
  [534] = 534,
  [535] = 268,
  [536] = 536,
  [537] = 255,
  [538] = 271,
  [539] = 259,
  [540] = 260,
  [541] = 279,
  [542] = 283,
  [543] = 242,
  [544] = 533,
  [545] = 244,
  [546] = 252,
  [547] = 265,
  [548] = 253,
  [549] = 272,
  [550] = 243,
  [551] = 246,
  [552] = 258,
  [553] = 264,
  [554] = 263,
  [555] = 555,
  [556] = 273,
  [557] = 257,
  [558] = 250,
  [559] = 424,
  [560] = 267,
  [561] = 269,
  [562] = 242,
  [563] = 563,
  [564] = 254,
  [565] = 244,
  [566] = 243,
  [567] = 246,
  [568] = 262,
  [569] = 281,
  [570] = 266,
  [571] = 249,
  [572] = 572,
  [573] = 280,
  [574] = 278,
  [575] = 238,
  [576] = 256,
  [577] = 572,
  [578] = 578,
  [579] = 579,
  [580] = 276,
  [581] = 581,
  [582] = 582,
  [583] = 275,
  [584] = 582,
  [585] = 247,
  [586] = 586,
  [587] = 582,
  [588] = 270,
  [589] = 572,
  [590] = 533,
  [591] = 251,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 593,
  [599] = 599,
  [600] = 600,
  [601] = 595,
  [602] = 595,
  [603] = 594,
  [604] = 594,
  [605] = 597,
  [606] = 335,
  [607] = 595,
  [608] = 600,
  [609] = 609,
  [610] = 335,
  [611] = 611,
  [612] = 612,
  [613] = 593,
  [614] = 614,
  [615] = 595,
  [616] = 597,
  [617] = 593,
  [618] = 594,
  [619] = 619,
  [620] = 620,
  [621] = 592,
  [622] = 593,
  [623] = 594,
  [624] = 454,
  [625] = 600,
  [626] = 592,
  [627] = 593,
  [628] = 594,
  [629] = 595,
  [630] = 600,
  [631] = 600,
  [632] = 600,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 636,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 633,
  [645] = 645,
  [646] = 637,
  [647] = 647,
  [648] = 641,
  [649] = 649,
  [650] = 635,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 639,
  [655] = 645,
  [656] = 641,
  [657] = 649,
  [658] = 635,
  [659] = 659,
  [660] = 660,
  [661] = 635,
  [662] = 649,
  [663] = 639,
  [664] = 660,
  [665] = 641,
  [666] = 633,
  [667] = 667,
  [668] = 668,
  [669] = 659,
  [670] = 643,
  [671] = 649,
  [672] = 640,
  [673] = 635,
  [674] = 634,
  [675] = 652,
  [676] = 667,
  [677] = 633,
  [678] = 637,
  [679] = 659,
  [680] = 680,
  [681] = 640,
  [682] = 651,
  [683] = 637,
  [684] = 660,
  [685] = 643,
  [686] = 686,
  [687] = 635,
  [688] = 688,
  [689] = 641,
  [690] = 639,
  [691] = 680,
  [692] = 652,
  [693] = 693,
  [694] = 633,
  [695] = 634,
  [696] = 639,
  [697] = 641,
  [698] = 637,
  [699] = 645,
  [700] = 639,
  [701] = 680,
  [702] = 640,
  [703] = 660,
  [704] = 643,
  [705] = 652,
  [706] = 680,
  [707] = 667,
  [708] = 633,
  [709] = 660,
  [710] = 710,
  [711] = 651,
  [712] = 668,
  [713] = 634,
  [714] = 647,
  [715] = 637,
  [716] = 652,
  [717] = 660,
  [718] = 659,
  [719] = 647,
  [720] = 720,
  [721] = 721,
  [722] = 636,
  [723] = 723,
  [724] = 724,
  [725] = 668,
  [726] = 634,
  [727] = 640,
  [728] = 659,
  [729] = 643,
  [730] = 636,
  [731] = 636,
  [732] = 649,
  [733] = 680,
  [734] = 647,
  [735] = 735,
  [736] = 454,
  [737] = 680,
  [738] = 659,
  [739] = 647,
  [740] = 740,
  [741] = 741,
  [742] = 636,
  [743] = 743,
  [744] = 647,
  [745] = 652,
  [746] = 640,
  [747] = 634,
  [748] = 748,
  [749] = 649,
  [750] = 643,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 752,
  [759] = 754,
  [760] = 753,
  [761] = 755,
  [762] = 754,
  [763] = 752,
  [764] = 753,
  [765] = 755,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 768,
  [770] = 756,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 774,
  [776] = 773,
  [777] = 777,
  [778] = 778,
  [779] = 757,
  [780] = 773,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 768,
  [815] = 815,
  [816] = 768,
  [817] = 817,
  [818] = 774,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 820,
  [824] = 774,
  [825] = 783,
  [826] = 789,
  [827] = 799,
  [828] = 801,
  [829] = 791,
  [830] = 830,
  [831] = 808,
  [832] = 832,
  [833] = 788,
  [834] = 792,
  [835] = 835,
  [836] = 800,
  [837] = 837,
  [838] = 768,
  [839] = 805,
  [840] = 804,
  [841] = 794,
  [842] = 811,
  [843] = 798,
  [844] = 835,
  [845] = 786,
  [846] = 797,
  [847] = 802,
  [848] = 807,
  [849] = 809,
  [850] = 781,
  [851] = 796,
  [852] = 784,
  [853] = 806,
  [854] = 785,
  [855] = 790,
  [856] = 795,
  [857] = 832,
  [858] = 782,
  [859] = 787,
  [860] = 793,
  [861] = 837,
  [862] = 768,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 774,
  [868] = 868,
  [869] = 869,
  [870] = 767,
  [871] = 871,
  [872] = 766,
  [873] = 873,
  [874] = 774,
  [875] = 791,
  [876] = 799,
  [877] = 877,
  [878] = 811,
  [879] = 879,
  [880] = 880,
  [881] = 808,
  [882] = 807,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 806,
  [887] = 887,
  [888] = 888,
  [889] = 805,
  [890] = 781,
  [891] = 891,
  [892] = 802,
  [893] = 893,
  [894] = 800,
  [895] = 895,
  [896] = 896,
  [897] = 798,
  [898] = 797,
  [899] = 796,
  [900] = 795,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 790,
  [906] = 789,
  [907] = 907,
  [908] = 788,
  [909] = 809,
  [910] = 804,
  [911] = 794,
  [912] = 787,
  [913] = 879,
  [914] = 785,
  [915] = 793,
  [916] = 784,
  [917] = 782,
  [918] = 783,
  [919] = 801,
  [920] = 786,
  [921] = 792,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 830,
  [927] = 927,
  [928] = 767,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 766,
  [962] = 962,
  [963] = 963,
  [964] = 830,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 904,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 830,
  [978] = 978,
  [979] = 830,
  [980] = 980,
  [981] = 981,
  [982] = 907,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 903,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 830,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 954,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 949,
  [1010] = 1004,
  [1011] = 1011,
  [1012] = 1005,
  [1013] = 1013,
  [1014] = 956,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1007,
  [1020] = 1007,
  [1021] = 1006,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1022,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1005,
  [1028] = 1018,
  [1029] = 1004,
  [1030] = 1030,
  [1031] = 1011,
  [1032] = 1032,
  [1033] = 1006,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 880,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1036,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1045,
  [1058] = 880,
  [1059] = 1059,
  [1060] = 896,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1036,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 902,
  [1069] = 1069,
  [1070] = 896,
  [1071] = 1071,
  [1072] = 1045,
  [1073] = 1048,
  [1074] = 902,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1037,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 880,
  [1083] = 1083,
  [1084] = 1036,
  [1085] = 896,
  [1086] = 1045,
  [1087] = 1087,
  [1088] = 880,
  [1089] = 249,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1037,
  [1093] = 896,
  [1094] = 1039,
  [1095] = 902,
  [1096] = 1037,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 896,
  [1101] = 880,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1037,
  [1105] = 1045,
  [1106] = 1061,
  [1107] = 902,
  [1108] = 1036,
  [1109] = 1048,
  [1110] = 1037,
  [1111] = 1048,
  [1112] = 1048,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1048,
  [1116] = 1116,
  [1117] = 1059,
  [1118] = 1118,
  [1119] = 1036,
  [1120] = 250,
  [1121] = 1061,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1045,
  [1128] = 1048,
  [1129] = 1129,
  [1130] = 902,
  [1131] = 1103,
  [1132] = 1132,
  [1133] = 247,
  [1134] = 251,
  [1135] = 1124,
  [1136] = 1037,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1137,
  [1141] = 1141,
  [1142] = 1090,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1078,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1099,
  [1151] = 1071,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1080,
  [1155] = 1056,
  [1156] = 1055,
  [1157] = 1054,
  [1158] = 1158,
  [1159] = 1087,
  [1160] = 1049,
  [1161] = 1051,
  [1162] = 766,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1148,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1149,
  [1175] = 1175,
  [1176] = 1152,
  [1177] = 1146,
  [1178] = 1178,
  [1179] = 1139,
  [1180] = 1180,
  [1181] = 1141,
  [1182] = 1122,
  [1183] = 1183,
  [1184] = 1141,
  [1185] = 1137,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1139,
  [1189] = 1139,
  [1190] = 1190,
  [1191] = 1146,
  [1192] = 1192,
  [1193] = 1141,
  [1194] = 1165,
  [1195] = 1137,
  [1196] = 1139,
  [1197] = 1147,
  [1198] = 766,
  [1199] = 1146,
  [1200] = 1149,
  [1201] = 1149,
  [1202] = 1141,
  [1203] = 1165,
  [1204] = 1137,
  [1205] = 1152,
  [1206] = 1146,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 767,
  [1210] = 1210,
  [1211] = 1147,
  [1212] = 1212,
  [1213] = 1149,
  [1214] = 1214,
  [1215] = 1139,
  [1216] = 1141,
  [1217] = 1217,
  [1218] = 1137,
  [1219] = 1146,
  [1220] = 1149,
  [1221] = 774,
  [1222] = 1178,
  [1223] = 1173,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 991,
  [1231] = 1229,
  [1232] = 1232,
  [1233] = 1229,
  [1234] = 999,
  [1235] = 1229,
  [1236] = 1236,
  [1237] = 936,
  [1238] = 1238,
  [1239] = 1229,
  [1240] = 1240,
  [1241] = 1225,
  [1242] = 1242,
  [1243] = 1236,
  [1244] = 1244,
  [1245] = 935,
  [1246] = 1246,
  [1247] = 1228,
  [1248] = 1228,
  [1249] = 1238,
  [1250] = 1236,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1254,
  [1256] = 1242,
  [1257] = 1226,
  [1258] = 1225,
  [1259] = 1242,
  [1260] = 976,
  [1261] = 1261,
  [1262] = 1251,
  [1263] = 1242,
  [1264] = 1254,
  [1265] = 1236,
  [1266] = 1242,
  [1267] = 1267,
  [1268] = 1228,
  [1269] = 1254,
  [1270] = 1225,
  [1271] = 1228,
  [1272] = 1238,
  [1273] = 1251,
  [1274] = 1225,
  [1275] = 1275,
  [1276] = 1232,
  [1277] = 1277,
  [1278] = 1236,
  [1279] = 1279,
  [1280] = 1238,
  [1281] = 1238,
  [1282] = 1251,
  [1283] = 1236,
  [1284] = 1284,
  [1285] = 1229,
  [1286] = 1238,
  [1287] = 1225,
  [1288] = 1228,
  [1289] = 1289,
  [1290] = 1251,
  [1291] = 1232,
  [1292] = 1254,
  [1293] = 1267,
  [1294] = 1226,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1251,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1242,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1254,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1306,
  [1309] = 1309,
  [1310] = 1305,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1314,
  [1320] = 1320,
  [1321] = 1314,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1309,
  [1326] = 1326,
  [1327] = 1322,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1322,
  [1331] = 1331,
  [1332] = 1305,
  [1333] = 1333,
  [1334] = 1306,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1307,
  [1340] = 1305,
  [1341] = 1323,
  [1342] = 1322,
  [1343] = 1311,
  [1344] = 1344,
  [1345] = 1311,
  [1346] = 1346,
  [1347] = 1306,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1309,
  [1351] = 1307,
  [1352] = 1352,
  [1353] = 1305,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1323,
  [1357] = 1357,
  [1358] = 1329,
  [1359] = 1307,
  [1360] = 1322,
  [1361] = 1306,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1346,
  [1365] = 1365,
  [1366] = 1305,
  [1367] = 1322,
  [1368] = 1307,
  [1369] = 1369,
  [1370] = 1363,
  [1371] = 1306,
  [1372] = 1306,
  [1373] = 1307,
  [1374] = 1346,
  [1375] = 1346,
  [1376] = 1346,
  [1377] = 1346,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43646
    ? (c < 4238
      ? (c < 2741
        ? (c < 2042
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1765
              ? (c < 1519
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))
              : (c <= 1766 || (c < 1810
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1994
                  ? (c < 1969
                    ? (c >= 1869 && c <= 1957)
                    : c <= 1969)
                  : (c <= 2026 || (c >= 2036 && c <= 2037)))))))))
          : (c <= 2042 || (c < 2493
            ? (c < 2365
              ? (c < 2144
                ? (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || (c < 2112
                    ? c == 2088
                    : c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))
              : (c <= 2365 || (c < 2447
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c >= 2437 && c <= 2444)))
                : (c <= 2448 || (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))))))
            : (c <= 2493 || (c < 2613
              ? (c < 2565
                ? (c < 2527
                  ? (c < 2524
                    ? c == 2510
                    : c <= 2525)
                  : (c <= 2529 || (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))
              : (c <= 2614 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c >= 2674 && c <= 2676)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))))))))))
        : (c <= 2745 || (c < 3296
          ? (c < 2974
            ? (c < 2877
              ? (c < 2831
                ? (c < 2784
                  ? (c < 2768
                    ? c == 2749
                    : c <= 2768)
                  : (c <= 2785 || (c < 2821
                    ? c == 2809
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))
              : (c <= 2877 || (c < 2949
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || c == 2947))
                : (c <= 2954 || (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || c == 2972))))))
            : (c <= 2975 || (c < 3165
              ? (c < 3086
                ? (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3077
                    ? c == 3024
                    : c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))
              : (c <= 3165 || (c < 3218
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))
                : (c <= 3240 || (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c >= 3293 && c <= 3294)))))))))
          : (c <= 3297 || (c < 3724
            ? (c < 3482
              ? (c < 3406
                ? (c < 3342
                  ? (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))
              : (c <= 3505 || (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))))
            : (c <= 3747 || (c < 3913
              ? (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))
              : (c <= 3948 || (c < 4186
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))
                : (c <= 4189 || (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c >= 4213 && c <= 4225)))))))))))))
      : (c <= 4238 || (c < 8182
        ? (c < 6480
          ? (c < 4992
            ? (c < 4746
              ? (c < 4682
                ? (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))
              : (c <= 4749 || (c < 4802
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))))))
            : (c <= 5007 || (c < 5984
              ? (c < 5792
                ? (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))
              : (c <= 5996 || (c < 6176
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))
                : (c <= 6264 || (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c >= 6400 && c <= 6430)))))))))
          : (c <= 6509 || (c < 7418
            ? (c < 7098
              ? (c < 6823
                ? (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))
              : (c <= 7141 || (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))))
            : (c <= 7418 || (c < 8031
              ? (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))
              : (c <= 8061 || (c < 8134
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))))))))
        : (c <= 8188 || (c < 12549
          ? (c < 11559
            ? (c < 8488
              ? (c < 8458
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))
              : (c <= 8488 || (c < 8544
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))))
            : (c <= 11559 || (c < 11728
              ? (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))
              : (c <= 11734 || (c < 12344
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))))))
          : (c <= 12591 || (c < 43015
            ? (c < 42623
              ? (c < 42192
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))
              : (c <= 42653 || (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))))
            : (c <= 43018 || (c < 43396
              ? (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))
              : (c <= 43442 || (c < 43520
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))))))))))))
    : (c <= 43695 || (c < 71236
      ? (c < 67424
        ? (c < 65149
          ? (c < 64112
            ? (c < 43793
              ? (c < 43739
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : c <= 43714)))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))
              : (c <= 43798 || (c < 43888
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))))
            : (c <= 64217 || (c < 64467
              ? (c < 64312
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))
              : (c <= 64605 || (c < 65137
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c >= 65008 && c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))))))
          : (c <= 65149 || (c < 66349
            ? (c < 65549
              ? (c < 65474
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))
              : (c <= 65574 || (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))))
            : (c <= 66378 || (c < 66928
              ? (c < 66560
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))
              : (c <= 66938 || (c < 66979
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))))))))
        : (c <= 67431 || (c < 69635
          ? (c < 68121
            ? (c < 67712
              ? (c < 67594
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))
              : (c <= 67742 || (c < 67968
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c >= 67872 && c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))))
            : (c <= 68149 || (c < 68800
              ? (c < 68416
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))
              : (c <= 68850 || (c < 69415
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c >= 69376 && c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))))))
          : (c <= 69687 || (c < 70303
            ? (c < 70081
              ? (c < 69956
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))
              : (c <= 70084 || (c < 70207
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70208 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))))
            : (c <= 70312 || (c < 70493
              ? (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))
              : (c <= 70497 || (c < 70852
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c >= 70784 && c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))))))))))
      : (c <= 71236 || (c < 119973
        ? (c < 73728
          ? (c < 72272
            ? (c < 71960
              ? (c < 71840
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))
              : (c <= 71983 || (c < 72161
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c >= 72106 && c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))))
            : (c <= 72272 || (c < 73030
              ? (c < 72768
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))
              : (c <= 73030 || (c < 73440
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || c == 73112))
                : (c <= 73458 || (c < 73490
                  ? (c < 73476
                    ? c == 73474
                    : c <= 73488)
                  : (c <= 73523 || c == 73648))))))))
          : (c <= 74649 || (c < 94208
            ? (c < 92928
              ? (c < 82944
                ? (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 78913
                    ? (c >= 77824 && c <= 78895)
                    : c <= 78918)))
                : (c <= 83526 || (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))))
              : (c <= 92975 || (c < 93952
                ? (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))
                : (c <= 94026 || (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))))))
            : (c <= 100343 || (c < 110948
              ? (c < 110589
                ? (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43642
    ? (c < 4206
      ? (c < 2730
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2602
              ? (c < 2544
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3261
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3133
              ? (c < 3024
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))
              : (c <= 3133 || (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))))))
          : (c <= 3261 || (c < 3716
            ? (c < 3450
              ? (c < 3346
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))
              : (c <= 3455 || (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))))
            : (c <= 3716 || (c < 3840
              ? (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))
              : (c <= 3840 || (c < 4159
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))))))))))
      : (c <= 4208 || (c < 8178
        ? (c < 6320
          ? (c < 4882
            ? (c < 4698
              ? (c < 4304
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))
              : (c <= 4701 || (c < 4792
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))))
            : (c <= 4885 || (c < 5919
              ? (c < 5743
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))
              : (c <= 5937 || (c < 6103
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))))))
          : (c <= 6389 || (c < 7406
            ? (c < 7043
              ? (c < 6656
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))
              : (c <= 7072 || (c < 7258
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))))
            : (c <= 7411 || (c < 8029
              ? (c < 7968
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))
              : (c <= 8029 || (c < 8130
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))))))))
        : (c <= 8180 || (c < 12540
          ? (c < 11520
            ? (c < 8486
              ? (c < 8455
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))
              : (c <= 8486 || (c < 8526
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))))
            : (c <= 11557 || (c < 11720
              ? (c < 11680
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || (c < 11648
                    ? c == 11631
                    : c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))
              : (c <= 11726 || (c < 12337
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))))))
          : (c <= 12543 || (c < 43011
            ? (c < 42560
              ? (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))
              : (c <= 42606 || (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))))
            : (c <= 43013 || (c < 43360
              ? (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))
              : (c <= 43388 || (c < 43514
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))))))))))))
    : (c <= 43642 || (c < 71168
      ? (c < 67392
        ? (c < 65147
          ? (c < 63744
            ? (c < 43785
              ? (c < 43714
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))
              : (c <= 43790 || (c < 43868
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))))
            : (c <= 64109 || (c < 64326
              ? (c < 64298
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64287
                    ? c == 64285
                    : c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))
              : (c <= 64433 || (c < 65008
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))))))
          : (c <= 65147 || (c < 66304
            ? (c < 65536
              ? (c < 65440
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))
              : (c <= 65547 || (c < 65616
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))))
            : (c <= 66335 || (c < 66864
              ? (c < 66513
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))
              : (c <= 66915 || (c < 66967
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))))))))
        : (c <= 67413 || (c < 69600
          ? (c < 68117
            ? (c < 67680
              ? (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))
              : (c <= 67702 || (c < 67872
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c >= 67840 && c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))))
            : (c <= 68119 || (c < 68736
              ? (c < 68352
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))
              : (c <= 68786 || (c < 69376
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c >= 69296 && c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))))))
          : (c <= 69622 || (c < 70287
            ? (c < 70019
              ? (c < 69891
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))
              : (c <= 70066 || (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70207 && c <= 70208)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))))
            : (c <= 70301 || (c < 70480
              ? (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))
              : (c <= 70480 || (c < 70784
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c >= 70751 && c <= 70753)))
                : (c <= 70831 || (c < 71040
                  ? (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)
                  : (c <= 71086 || (c >= 71128 && c <= 71131)))))))))))))
      : (c <= 71215 || (c < 119973
        ? (c < 73648
          ? (c < 72250
            ? (c < 71957
              ? (c < 71680
                ? (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))
              : (c <= 71958 || (c < 72106
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c >= 72096 && c <= 72103)))
                : (c <= 72144 || (c < 72192
                  ? (c < 72163
                    ? c == 72161
                    : c <= 72163)
                  : (c <= 72192 || (c >= 72203 && c <= 72242)))))))
            : (c <= 72250 || (c < 72971
              ? (c < 72714
                ? (c < 72349
                  ? (c < 72284
                    ? c == 72272
                    : c <= 72329)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))
              : (c <= 73008 || (c < 73112
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c >= 73066 && c <= 73097)))
                : (c <= 73112 || (c < 73476
                  ? (c < 73474
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73474)
                  : (c <= 73488 || (c >= 73490 && c <= 73523)))))))))
          : (c <= 73648 || (c < 94179
            ? (c < 92880
              ? (c < 78913
                ? (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78895)))
                : (c <= 78918 || (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))))
              : (c <= 92909 || (c < 93760
                ? (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))
                : (c <= 93823 || (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))))))
            : (c <= 94179 || (c < 110948
              ? (c < 110589
                ? (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43646
    ? (c < 4213
      ? (c < 2738
        ? (c < 2036
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1749
              ? (c < 1488
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2610
              ? (c < 2556
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)))
                : (c <= 2556 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c >= 2602 && c <= 2608)))))
              : (c <= 2611 || (c < 2674
                ? (c < 2649
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2652 || c == 2654))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))))))))
        : (c <= 2739 || (c < 3293
          ? (c < 2972
            ? (c < 2869
              ? (c < 2821
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)))
                : (c <= 2828 || (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c >= 2866 && c <= 2867)))))
              : (c <= 2873 || (c < 2947
                ? (c < 2911
                  ? (c < 2908
                    ? c == 2877
                    : c <= 2909)
                  : (c <= 2913 || c == 2929))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))))
            : (c <= 2972 || (c < 3160
              ? (c < 3077
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || c == 3133))))
              : (c <= 3162 || (c < 3214
                ? (c < 3200
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3169)
                  : (c <= 3200 || (c >= 3205 && c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))))))
          : (c <= 3294 || (c < 3718
            ? (c < 3461
              ? (c < 3389
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)))
                : (c <= 3389 || (c < 3423
                  ? (c < 3412
                    ? c == 3406
                    : c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))))
              : (c <= 3478 || (c < 3585
                ? (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c >= 3520 && c <= 3526)))
                : (c <= 3632 || (c < 3713
                  ? (c < 3648
                    ? c == 3634
                    : c <= 3654)
                  : (c <= 3714 || c == 3716))))))
            : (c <= 3722 || (c < 3904
              ? (c < 3773
                ? (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3760 || c == 3762))
                : (c <= 3773 || (c < 3804
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3807 || c == 3840))))
              : (c <= 3911 || (c < 4176
                ? (c < 4096
                  ? (c < 3976
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3980)
                  : (c <= 4138 || c == 4159))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))))))))))
      : (c <= 4225 || (c < 8182
        ? (c < 6400
          ? (c < 4888
            ? (c < 4704
              ? (c < 4348
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))
                : (c <= 4680 || (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c >= 4698 && c <= 4701)))))
              : (c <= 4744 || (c < 4800
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c >= 4792 && c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))))
            : (c <= 4954 || (c < 5952
              ? (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))))
              : (c <= 5969 || (c < 6108
                ? (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))))))
          : (c <= 6430 || (c < 7413
            ? (c < 7086
              ? (c < 6688
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)))
                : (c <= 6740 || (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))))
              : (c <= 7087 || (c < 7296
                ? (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))))
            : (c <= 7414 || (c < 8031
              ? (c < 8008
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))
              : (c <= 8061 || (c < 8134
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))))))))
        : (c <= 8188 || (c < 12549
          ? (c < 11559
            ? (c < 8488
              ? (c < 8458
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))
              : (c <= 8488 || (c < 8544
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))))
            : (c <= 11559 || (c < 11728
              ? (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))
              : (c <= 11734 || (c < 12344
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))))))
          : (c <= 12591 || (c < 43015
            ? (c < 42623
              ? (c < 42192
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))
              : (c <= 42653 || (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))))
            : (c <= 43018 || (c < 43396
              ? (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))
              : (c <= 43442 || (c < 43520
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))))))))))))
    : (c <= 43695 || (c < 71236
      ? (c < 67424
        ? (c < 65149
          ? (c < 64112
            ? (c < 43793
              ? (c < 43739
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : c <= 43714)))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))
              : (c <= 43798 || (c < 43888
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))))
            : (c <= 64217 || (c < 64467
              ? (c < 64312
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))
              : (c <= 64605 || (c < 65137
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c >= 65008 && c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))))))
          : (c <= 65149 || (c < 66349
            ? (c < 65549
              ? (c < 65474
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))
              : (c <= 65574 || (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))))
            : (c <= 66378 || (c < 66928
              ? (c < 66560
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))
              : (c <= 66938 || (c < 66979
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))))))))
        : (c <= 67431 || (c < 69635
          ? (c < 68121
            ? (c < 67712
              ? (c < 67594
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))
              : (c <= 67742 || (c < 67968
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c >= 67872 && c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))))
            : (c <= 68149 || (c < 68800
              ? (c < 68416
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))
              : (c <= 68850 || (c < 69415
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c >= 69376 && c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))))))
          : (c <= 69687 || (c < 70303
            ? (c < 70081
              ? (c < 69956
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))
              : (c <= 70084 || (c < 70207
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70208 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))))
            : (c <= 70312 || (c < 70493
              ? (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))
              : (c <= 70497 || (c < 70852
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c >= 70784 && c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))))))))))
      : (c <= 71236 || (c < 119973
        ? (c < 73728
          ? (c < 72272
            ? (c < 71960
              ? (c < 71840
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))
              : (c <= 71983 || (c < 72161
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c >= 72106 && c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))))
            : (c <= 72272 || (c < 73030
              ? (c < 72768
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))
              : (c <= 73030 || (c < 73440
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || c == 73112))
                : (c <= 73458 || (c < 73490
                  ? (c < 73476
                    ? c == 73474
                    : c <= 73488)
                  : (c <= 73523 || c == 73648))))))))
          : (c <= 74649 || (c < 94208
            ? (c < 92928
              ? (c < 82944
                ? (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 78913
                    ? (c >= 77824 && c <= 78895)
                    : c <= 78918)))
                : (c <= 83526 || (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))))
              : (c <= 92975 || (c < 93952
                ? (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))
                : (c <= 94026 || (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))))))
            : (c <= 100343 || (c < 110948
              ? (c < 110589
                ? (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43785
    ? (c < 3804
      ? (c < 2759
        ? (c < 2048
          ? (c < 1155
            ? (c < 736
              ? (c < 183
                ? (c < 'a'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : (c <= 'Z' || c == '_'))
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 183 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))))
              : (c <= 740 || (c < 895
                ? (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))))))
            : (c <= 1159 || (c < 1552
              ? (c < 1471
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))
                : (c <= 1471 || (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))))
              : (c <= 1562 || (c < 1791
                ? (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))))))))
          : (c <= 2093 || (c < 2561
            ? (c < 2474
              ? (c < 2275
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))
                : (c <= 2403 || (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))))
              : (c <= 2480 || (c < 2519
                ? (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))
                : (c <= 2519 || (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))))))
            : (c <= 2563 || (c < 2641
              ? (c < 2613
                ? (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))
                : (c <= 2614 || (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))))
              : (c <= 2641 || (c < 2703
                ? (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))))))))))
        : (c <= 2761 || (c < 3200
          ? (c < 2969
            ? (c < 2876
              ? (c < 2821
                ? (c < 2790
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : (c <= 2768 || (c >= 2784 && c <= 2787)))
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))
                : (c <= 2828 || (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))))
              : (c <= 2884 || (c < 2918
                ? (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))
                : (c <= 2927 || (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))))))
            : (c <= 2970 || (c < 3072
              ? (c < 3006
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3010 || (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))))
              : (c <= 3084 || (c < 3146
                ? (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))
                : (c <= 3149 || (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))))))))
          : (c <= 3203 || (c < 3461
            ? (c < 3302
              ? (c < 3260
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3268 || (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))))
              : (c <= 3311 || (c < 3402
                ? (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3315)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))
                : (c <= 3406 || (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))))))
            : (c <= 3478 || (c < 3648
              ? (c < 3535
                ? (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))
                : (c <= 3540 || (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))))
              : (c <= 3662 || (c < 3749
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))
                : (c <= 3749 || (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3790)
                    : c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8064
        ? (c < 5998
          ? (c < 4746
            ? (c < 4096
              ? (c < 3902
                ? (c < 3893
                  ? (c < 3864
                    ? c == 3840
                    : (c <= 3865 || (c >= 3872 && c <= 3881)))
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))
                : (c <= 3911 || (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))))
              : (c <= 4169 || (c < 4348
                ? (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))
                : (c <= 4680 || (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))))))
            : (c <= 4749 || (c < 4992
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))))
              : (c <= 5007 || (c < 5792
                ? (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))))))))
          : (c <= 6000 || (c < 6823
            ? (c < 6432
              ? (c < 6155
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))
                : (c <= 6157 || (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))))
              : (c <= 6443 || (c < 6608
                ? (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6618 || (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))))))
            : (c <= 6823 || (c < 7357
              ? (c < 7040
                ? (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))
                : (c <= 7155 || (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))))
              : (c <= 7359 || (c < 8008
                ? (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))))))))))
        : (c <= 8116 || (c < 12321
          ? (c < 8488
            ? (c < 8319
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : (c <= 8126 || (c >= 8130 && c <= 8132)))
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))))
              : (c <= 8319 || (c < 8455
                ? (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))))))
            : (c <= 8488 || (c < 11631
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))))
              : (c <= 11631 || (c < 11712
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))))))))
          : (c <= 12335 || (c < 42963
            ? (c < 13312
              ? (c < 12449
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))))
              : (c <= 19903 || (c < 42612
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))
                : (c <= 42621 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))))))
            : (c <= 42963 || (c < 43392
              ? (c < 43216
                ? (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))
                : (c <= 43225 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))))
              : (c <= 43456 || (c < 43616
                ? (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)))
                : (c <= 43638 || (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))))))))))))))
    : (c <= 43790 || (c < 71960
      ? (c < 67840
        ? (c < 65549
          ? (c < 64848
            ? (c < 64112
              ? (c < 44012
                ? (c < 43824
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : (c <= 43814 || (c >= 43816 && c <= 43822)))
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)))
                : (c <= 44013 || (c < 55216
                  ? (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)
                  : (c <= 55238 || (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)))))
              : (c <= 64217 || (c < 64318
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)))))))
            : (c <= 64911 || (c < 65149
              ? (c < 65101
                ? (c < 65024
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65039 || (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)))
                : (c <= 65103 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))))
              : (c <= 65149 || (c < 65382
                ? (c < 65313
                  ? (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)
                  : (c <= 65338 || (c < 65345
                    ? c == 65343
                    : c <= 65370)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)))))))))
          : (c <= 65574 || (c < 66928
            ? (c < 66349
              ? (c < 65856
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)))
                : (c <= 65908 || (c < 66208
                  ? (c < 66176
                    ? c == 66045
                    : c <= 66204)
                  : (c <= 66256 || (c < 66304
                    ? c == 66272
                    : c <= 66335)))))
              : (c <= 66378 || (c < 66560
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))
                : (c <= 66717 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)))))))
            : (c <= 66938 || (c < 67463
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))))
              : (c <= 67504 || (c < 67644
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))))))))))
        : (c <= 67861 || (c < 70163
          ? (c < 69291
            ? (c < 68288
              ? (c < 68117
                ? (c < 68096
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : (c <= 68023 || (c >= 68030 && c <= 68031)))
                  : (c <= 68099 || (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)))
                : (c <= 68119 || (c < 68159
                  ? (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)
                  : (c <= 68159 || (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)))))
              : (c <= 68295 || (c < 68608
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)
                  : (c <= 68437 || (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)))
                : (c <= 68680 || (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68903 || (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)))))))
            : (c <= 69292 || (c < 69840
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69373
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)))
                : (c <= 69572 || (c < 69734
                  ? (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)
                  : (c <= 69749 || (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)))))
              : (c <= 69864 || (c < 70006
                ? (c < 69942
                  ? (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)
                  : (c <= 69951 || (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)))
                : (c <= 70006 || (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))))))))
          : (c <= 70199 || (c < 70656
            ? (c < 70419
              ? (c < 70303
                ? (c < 70280
                  ? (c < 70272
                    ? (c >= 70206 && c <= 70209)
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))
                : (c <= 70312 || (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))))
              : (c <= 70440 || (c < 70475
                ? (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))
                : (c <= 70477 || (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))))))
            : (c <= 70730 || (c < 71296
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))
                : (c <= 71093 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))))
              : (c <= 71352 || (c < 71680
                ? (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)))
                : (c <= 71738 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)
                  : (c <= 71945 || (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)))))))))))))
      : (c <= 71989 || (c < 119995
        ? (c < 92784
          ? (c < 73023
            ? (c < 72704
              ? (c < 72163
                ? (c < 72096
                  ? (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : (c <= 72003 || (c >= 72016 && c <= 72025)))
                  : (c <= 72103 || (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)))
                : (c <= 72164 || (c < 72272
                  ? (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)
                  : (c <= 72345 || (c < 72368
                    ? c == 72349
                    : c <= 72440)))))
              : (c <= 72712 || (c < 72873
                ? (c < 72784
                  ? (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)
                  : (c <= 72793 || (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)))
                : (c <= 72886 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73014 || (c < 73020
                    ? c == 73018
                    : c <= 73021)))))))
            : (c <= 73031 || (c < 73552
              ? (c < 73107
                ? (c < 73063
                  ? (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)
                  : (c <= 73064 || (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)))
                : (c <= 73112 || (c < 73472
                  ? (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)
                  : (c <= 73488 || (c < 73534
                    ? (c >= 73490 && c <= 73530)
                    : c <= 73538)))))
              : (c <= 73561 || (c < 77824
                ? (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))
                : (c <= 78895 || (c < 92160
                  ? (c < 82944
                    ? (c >= 78912 && c <= 78933)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))))))))
          : (c <= 92862 || (c < 110928
            ? (c < 94095
              ? (c < 93008
                ? (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))
                : (c <= 93017 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))))
              : (c <= 94111 || (c < 101632
                ? (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))
                : (c <= 101640 || (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)))))))
            : (c <= 110930 || (c < 119149
              ? (c < 113792
                ? (c < 110960
                  ? (c < 110948
                    ? c == 110933
                    : c <= 110951)
                  : (c <= 111355 || (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)))
                : (c <= 113800 || (c < 118528
                  ? (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)
                  : (c <= 118573 || (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)))))
              : (c <= 119154 || (c < 119894
                ? (c < 119210
                  ? (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)
                  : (c <= 119213 || (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)))
                : (c <= 119964 || (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))))))))))
        : (c <= 119995 || (c < 124912
          ? (c < 121403
            ? (c < 120514
              ? (c < 120123
                ? (c < 120077
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : (c <= 120069 || (c >= 120071 && c <= 120074)))
                  : (c <= 120084 || (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)))
                : (c <= 120126 || (c < 120138
                  ? (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)
                  : (c <= 120144 || (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)))))
              : (c <= 120538 || (c < 120688
                ? (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)))
                : (c <= 120712 || (c < 120772
                  ? (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)
                  : (c <= 120779 || (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)))))))
            : (c <= 121452 || (c < 122928
              ? (c < 122661
                ? (c < 121499
                  ? (c < 121476
                    ? c == 121461
                    : c <= 121476)
                  : (c <= 121503 || (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)))
                : (c <= 122666 || (c < 122907
                  ? (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)
                  : (c <= 122913 || (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)))))
              : (c <= 122989 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? c == 123023
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124153)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177977)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c < 917760
                    ? (c >= 201552 && c <= 205743)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (lookahead == 0) ADVANCE(63);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(135);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(19);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(79);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == '<') ADVANCE(126);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(79);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(102);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(79);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(157);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(74);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 24:
      if (lookahead == '`') ADVANCE(136);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 26:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 29:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(30);
      END_STATE();
    case 33:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(7);
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      if (lookahead == 0) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (lookahead == 0) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(57)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (lookahead == 0) ADVANCE(63);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(12);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '}') ADVANCE(82);
      if (lookahead == '~') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '^') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(23);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(15);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 59},
  [31] = {.lex_state = 59},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 57},
  [237] = {.lex_state = 57},
  [238] = {.lex_state = 57},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 57},
  [241] = {.lex_state = 59},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 57},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 57},
  [249] = {.lex_state = 57},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 4},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 4},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 4},
  [285] = {.lex_state = 4},
  [286] = {.lex_state = 4},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 4},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 5},
  [329] = {.lex_state = 5},
  [330] = {.lex_state = 5},
  [331] = {.lex_state = 5},
  [332] = {.lex_state = 5},
  [333] = {.lex_state = 5},
  [334] = {.lex_state = 5},
  [335] = {.lex_state = 5},
  [336] = {.lex_state = 56},
  [337] = {.lex_state = 5},
  [338] = {.lex_state = 56},
  [339] = {.lex_state = 57},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 5},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 5},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 5},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 6},
  [375] = {.lex_state = 6},
  [376] = {.lex_state = 56},
  [377] = {.lex_state = 56},
  [378] = {.lex_state = 6},
  [379] = {.lex_state = 6},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 6},
  [383] = {.lex_state = 6},
  [384] = {.lex_state = 6},
  [385] = {.lex_state = 6},
  [386] = {.lex_state = 6},
  [387] = {.lex_state = 6},
  [388] = {.lex_state = 6},
  [389] = {.lex_state = 56},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 6},
  [392] = {.lex_state = 6},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 6},
  [395] = {.lex_state = 56},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 6},
  [398] = {.lex_state = 56},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 56},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 3},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 6},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 56},
  [419] = {.lex_state = 1},
  [420] = {.lex_state = 6},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 1},
  [425] = {.lex_state = 1},
  [426] = {.lex_state = 1},
  [427] = {.lex_state = 1},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 1},
  [431] = {.lex_state = 6},
  [432] = {.lex_state = 6},
  [433] = {.lex_state = 6},
  [434] = {.lex_state = 6},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 56},
  [437] = {.lex_state = 56},
  [438] = {.lex_state = 56},
  [439] = {.lex_state = 3},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 56},
  [444] = {.lex_state = 0},
  [445] = {.lex_state = 0},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 3},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 3},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 1},
  [453] = {.lex_state = 0},
  [454] = {.lex_state = 1},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 0},
  [461] = {.lex_state = 1},
  [462] = {.lex_state = 1},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 1},
  [465] = {.lex_state = 1},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 1},
  [468] = {.lex_state = 1},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 0},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 1},
  [478] = {.lex_state = 3},
  [479] = {.lex_state = 1},
  [480] = {.lex_state = 1},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 0},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 3},
  [486] = {.lex_state = 3},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 1},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 1},
  [495] = {.lex_state = 1},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 3},
  [500] = {.lex_state = 1},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 1},
  [503] = {.lex_state = 1},
  [504] = {.lex_state = 1},
  [505] = {.lex_state = 3},
  [506] = {.lex_state = 1},
  [507] = {.lex_state = 1},
  [508] = {.lex_state = 1},
  [509] = {.lex_state = 1},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 3},
  [513] = {.lex_state = 6},
  [514] = {.lex_state = 0},
  [515] = {.lex_state = 0},
  [516] = {.lex_state = 1},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 0},
  [519] = {.lex_state = 6},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 6},
  [523] = {.lex_state = 6},
  [524] = {.lex_state = 6},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 6},
  [529] = {.lex_state = 6},
  [530] = {.lex_state = 6},
  [531] = {.lex_state = 3},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 0},
  [534] = {.lex_state = 0},
  [535] = {.lex_state = 3},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 3},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 3},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 3},
  [543] = {.lex_state = 6},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 6},
  [546] = {.lex_state = 3},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 6},
  [551] = {.lex_state = 6},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 6},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 3},
  [562] = {.lex_state = 6},
  [563] = {.lex_state = 6},
  [564] = {.lex_state = 3},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 6},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 3},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 3},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 6},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 6},
  [580] = {.lex_state = 3},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 3},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 6},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 3},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 6},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 6},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 0},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 6},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 6},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 6},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 6},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 6},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 6},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 6},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 6},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 6},
  [686] = {.lex_state = 6},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 6},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 6},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 6},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 6},
  [705] = {.lex_state = 6},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 6},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 6},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 6},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 6},
  [728] = {.lex_state = 6},
  [729] = {.lex_state = 6},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 6},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 6},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 6},
  [746] = {.lex_state = 6},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 6},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 6},
  [751] = {.lex_state = 6},
  [752] = {.lex_state = 56},
  [753] = {.lex_state = 56},
  [754] = {.lex_state = 56},
  [755] = {.lex_state = 56},
  [756] = {.lex_state = 56},
  [757] = {.lex_state = 56},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 56},
  [763] = {.lex_state = 56},
  [764] = {.lex_state = 56},
  [765] = {.lex_state = 56},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 57},
  [769] = {.lex_state = 57},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 56},
  [775] = {.lex_state = 56},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 56},
  [783] = {.lex_state = 56},
  [784] = {.lex_state = 56},
  [785] = {.lex_state = 56},
  [786] = {.lex_state = 56},
  [787] = {.lex_state = 56},
  [788] = {.lex_state = 56},
  [789] = {.lex_state = 56},
  [790] = {.lex_state = 56},
  [791] = {.lex_state = 56},
  [792] = {.lex_state = 56},
  [793] = {.lex_state = 56},
  [794] = {.lex_state = 56},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 56},
  [797] = {.lex_state = 56},
  [798] = {.lex_state = 56},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 56},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 56},
  [809] = {.lex_state = 56},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 56},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 57},
  [814] = {.lex_state = 3},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 3},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 3},
  [821] = {.lex_state = 56},
  [822] = {.lex_state = 57},
  [823] = {.lex_state = 3},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 3},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 3},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 3},
  [838] = {.lex_state = 57},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 3},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 3},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 3},
  [862] = {.lex_state = 57},
  [863] = {.lex_state = 56},
  [864] = {.lex_state = 56},
  [865] = {.lex_state = 56},
  [866] = {.lex_state = 56},
  [867] = {.lex_state = 56},
  [868] = {.lex_state = 56},
  [869] = {.lex_state = 3},
  [870] = {.lex_state = 56},
  [871] = {.lex_state = 56},
  [872] = {.lex_state = 56},
  [873] = {.lex_state = 56},
  [874] = {.lex_state = 56},
  [875] = {.lex_state = 56},
  [876] = {.lex_state = 56},
  [877] = {.lex_state = 56},
  [878] = {.lex_state = 56},
  [879] = {.lex_state = 3},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 56},
  [882] = {.lex_state = 56},
  [883] = {.lex_state = 56},
  [884] = {.lex_state = 56},
  [885] = {.lex_state = 56},
  [886] = {.lex_state = 56},
  [887] = {.lex_state = 56},
  [888] = {.lex_state = 56},
  [889] = {.lex_state = 56},
  [890] = {.lex_state = 56},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 56},
  [893] = {.lex_state = 56},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 56},
  [898] = {.lex_state = 56},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 56},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 56},
  [906] = {.lex_state = 56},
  [907] = {.lex_state = 56},
  [908] = {.lex_state = 56},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 56},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 3},
  [914] = {.lex_state = 56},
  [915] = {.lex_state = 56},
  [916] = {.lex_state = 56},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 56},
  [924] = {.lex_state = 56},
  [925] = {.lex_state = 56},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 56},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 56},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 56},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 56},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 56},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 56},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 56},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 56},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 56},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 56},
  [997] = {.lex_state = 56},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 56},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 56},
  [1003] = {.lex_state = 56},
  [1004] = {.lex_state = 56},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 56},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 56},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 56},
  [1012] = {.lex_state = 56},
  [1013] = {.lex_state = 56},
  [1014] = {.lex_state = 56},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 56},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 56},
  [1020] = {.lex_state = 56},
  [1021] = {.lex_state = 56},
  [1022] = {.lex_state = 56},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 56},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 56},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 56},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 56},
  [1033] = {.lex_state = 56},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 2},
  [1038] = {.lex_state = 56},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 56},
  [1044] = {.lex_state = 56},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 56},
  [1048] = {.lex_state = 2},
  [1049] = {.lex_state = 56},
  [1050] = {.lex_state = 56},
  [1051] = {.lex_state = 56},
  [1052] = {.lex_state = 56},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 56},
  [1055] = {.lex_state = 56},
  [1056] = {.lex_state = 56},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 56},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 2},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 56},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 2},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 56},
  [1077] = {.lex_state = 56},
  [1078] = {.lex_state = 56},
  [1079] = {.lex_state = 2},
  [1080] = {.lex_state = 56},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 56},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 56},
  [1090] = {.lex_state = 56},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 2},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 2},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 56},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 56},
  [1103] = {.lex_state = 56},
  [1104] = {.lex_state = 2},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 2},
  [1110] = {.lex_state = 2},
  [1111] = {.lex_state = 2},
  [1112] = {.lex_state = 2},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 2},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 56},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 56},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 56},
  [1126] = {.lex_state = 56},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 2},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 56},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 56},
  [1134] = {.lex_state = 56},
  [1135] = {.lex_state = 56},
  [1136] = {.lex_state = 2},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 56},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 56},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 56},
  [1151] = {.lex_state = 56},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 56},
  [1155] = {.lex_state = 56},
  [1156] = {.lex_state = 56},
  [1157] = {.lex_state = 56},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 56},
  [1160] = {.lex_state = 56},
  [1161] = {.lex_state = 56},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 56},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 56},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 59},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 59},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 56},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 56},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 56},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 59},
  [1223] = {.lex_state = 59},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 59},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1331),
    [sym_package_clause] = STATE(1102),
    [sym_import_declaration] = STATE(1102),
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_function_declaration] = STATE(1102),
    [sym_method_declaration] = STATE(1102),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(1170),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1125),
    [sym_import_declaration] = STATE(1125),
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_function_declaration] = STATE(1125),
    [sym_method_declaration] = STATE(1125),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(1170),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1170),
    [sym_import_declaration] = STATE(1170),
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_function_declaration] = STATE(1170),
    [sym_method_declaration] = STATE(1170),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(1170),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(82),
    [anon_sym_package] = ACTIONS(85),
    [anon_sym_import] = ACTIONS(88),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(94),
    [anon_sym_var] = ACTIONS(97),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_struct] = ACTIONS(112),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(121),
    [anon_sym_map] = ACTIONS(124),
    [anon_sym_chan] = ACTIONS(127),
    [anon_sym_LT_DASH] = ACTIONS(130),
    [anon_sym_fallthrough] = ACTIONS(133),
    [anon_sym_break] = ACTIONS(136),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_goto] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_go] = ACTIONS(148),
    [anon_sym_defer] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(154),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(160),
    [anon_sym_select] = ACTIONS(163),
    [anon_sym_new] = ACTIONS(166),
    [anon_sym_make] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_CARET] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(169),
    [sym_raw_string_literal] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_int_literal] = ACTIONS(178),
    [sym_float_literal] = ACTIONS(178),
    [sym_imaginary_literal] = ACTIONS(172),
    [sym_rune_literal] = ACTIONS(172),
    [sym_nil] = ACTIONS(178),
    [sym_true] = ACTIONS(178),
    [sym_false] = ACTIONS(178),
    [sym_iota] = ACTIONS(178),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1166),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1166),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(187),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1163),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1163),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(191),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1175),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1175),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1153),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1153),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1158),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1158),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_default] = ACTIONS(203),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(996),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1207),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(207),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(996),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1183),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(938),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(215),
    [anon_sym_default] = ACTIONS(215),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1308),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1308),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1361),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1361),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1371),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1371),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1372),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1372),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1306),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1306),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1334),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1334),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement_list] = STATE(1347),
    [sym__statement] = STATE(888),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_empty_labeled_statement] = STATE(1347),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(938),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(963),
    [sym_const_declaration] = STATE(963),
    [sym_var_declaration] = STATE(963),
    [sym_type_declaration] = STATE(963),
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1095),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(1292),
    [sym_slice_type] = STATE(1095),
    [sym_struct_type] = STATE(1095),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1095),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(963),
    [sym__statement] = STATE(996),
    [sym_empty_statement] = STATE(963),
    [sym__simple_statement] = STATE(963),
    [sym_expression_statement] = STATE(976),
    [sym_send_statement] = STATE(976),
    [sym_inc_statement] = STATE(976),
    [sym_dec_statement] = STATE(976),
    [sym_assignment_statement] = STATE(976),
    [sym_short_var_declaration] = STATE(976),
    [sym_labeled_statement] = STATE(963),
    [sym_fallthrough_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_goto_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_go_statement] = STATE(963),
    [sym_defer_statement] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_expression_switch_statement] = STATE(963),
    [sym_type_switch_statement] = STATE(963),
    [sym_select_statement] = STATE(963),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(256),
    [sym_call_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_func_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_binary_expression] = STATE(256),
    [sym_qualified_type] = STATE(977),
    [sym_interpreted_string_literal] = STATE(256),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(771),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym_block] = STATE(968),
    [sym__simple_statement] = STATE(1326),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym_for_clause] = STATE(1284),
    [sym_range_clause] = STATE(1284),
    [sym__expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_range] = ACTIONS(243),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(778),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1313),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__type_switch_header] = STATE(1318),
    [sym__expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(780),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1316),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(780),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1355),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(780),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1315),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(780),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1317),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(776),
    [sym_parenthesized_type] = STATE(1233),
    [sym__simple_type] = STATE(1233),
    [sym_generic_type] = STATE(1107),
    [sym_pointer_type] = STATE(840),
    [sym_array_type] = STATE(1107),
    [sym_implicit_length_array_type] = STATE(1254),
    [sym_slice_type] = STATE(1107),
    [sym_struct_type] = STATE(1107),
    [sym_union_type] = STATE(818),
    [sym_negated_type] = STATE(818),
    [sym_interface_type] = STATE(840),
    [sym_map_type] = STATE(1107),
    [sym_channel_type] = STATE(840),
    [sym_function_type] = STATE(840),
    [sym__simple_statement] = STATE(1328),
    [sym_expression_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__expression] = STATE(277),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(964),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LF,
    ACTIONS(271), 1,
      anon_sym_LPAREN,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(275), 1,
      anon_sym_LBRACK,
    ACTIONS(277), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(281), 1,
      anon_sym_LT_DASH,
    ACTIONS(289), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      sym_comment,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(972), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(269), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(285), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [119] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(297), 1,
      anon_sym_COMMA,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_RBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1119), 1,
      sym_literal_element,
    STATE(1200), 1,
      sym_keyed_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [245] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(321), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1046), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1220), 1,
      sym_keyed_element,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [371] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(323), 1,
      anon_sym_COMMA,
    ACTIONS(325), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1084), 1,
      sym_literal_element,
    STATE(1201), 1,
      sym_keyed_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [497] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_COMMA,
    ACTIONS(329), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1063), 1,
      sym_literal_element,
    STATE(1213), 1,
      sym_keyed_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [623] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_COMMA,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1036), 1,
      sym_literal_element,
    STATE(1174), 1,
      sym_keyed_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [749] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_COMMA,
    ACTIONS(337), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_literal_element,
    STATE(1149), 1,
      sym_keyed_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [875] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [998] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1121] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1367] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1613] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1736] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1859] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1982] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2105] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2228] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_literal_element,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2471] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(563), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1214), 1,
      sym_literal_value,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1302), 1,
      sym_literal_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2588] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1224), 1,
      sym_expression_list,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1337), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2931] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(395), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(397), 1,
      anon_sym_RPAREN,
    STATE(519), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1206), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(399), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(401), 1,
      anon_sym_range,
    STATE(520), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3387] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(401), 1,
      anon_sym_range,
    STATE(520), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1237), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(403), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(407), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(718), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(409), 1,
      anon_sym_RPAREN,
    STATE(517), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1177), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3957] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(413), 1,
      anon_sym_RPAREN,
    STATE(523), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1146), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(417), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4413] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    STATE(728), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1210), 1,
      sym_parameter_declaration,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1113), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(427), 1,
      anon_sym_RPAREN,
    STATE(529), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1191), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(429), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1219), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(433), 1,
      anon_sym_RPAREN,
    STATE(530), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1199), 1,
      sym_variadic_argument,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(522), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1365), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(449), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5436] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(451), 1,
      anon_sym_RBRACK,
    STATE(602), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5547] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(453), 1,
      anon_sym_RBRACK,
    STATE(601), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(962), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(960), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(728), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1018), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5991] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    STATE(629), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6324] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_RBRACK,
    STATE(738), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_RBRACK,
    STATE(628), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6768] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(483), 1,
      anon_sym_COLON,
    STATE(608), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6879] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_RBRACK,
    STATE(623), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_RBRACK,
    STATE(607), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(579), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(559), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7323] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(489), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7434] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(491), 1,
      anon_sym_RBRACK,
    STATE(669), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(493), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(495), 1,
      anon_sym_COLON,
    STATE(625), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7767] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(929), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(559), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1237), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(931), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(520), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(499), 1,
      anon_sym_COLON,
    STATE(600), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(939), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(501), 1,
      anon_sym_RBRACK,
    STATE(604), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8655] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    STATE(728), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8766] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_SEMI,
    STATE(723), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    STATE(718), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(932), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(933), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9321] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_RBRACK,
    STATE(603), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(925), 1,
      sym_expression_list,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      anon_sym_RBRACK,
    STATE(594), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9654] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(511), 1,
      anon_sym_RBRACK,
    STATE(618), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(513), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9876] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(515), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9987] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(517), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(718), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10209] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_RBRACK,
    STATE(679), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10320] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_COLON,
    STATE(632), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(523), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(586), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1304), 1,
      sym_variadic_argument,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10653] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_COLON,
    STATE(631), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10764] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(520), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1237), 1,
      sym_expression_list,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(527), 1,
      anon_sym_RBRACK,
    STATE(615), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_COLON,
    STATE(630), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(531), 1,
      anon_sym_SEMI,
    STATE(748), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(520), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    STATE(1354), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(936), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11541] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(935), 1,
      sym_expression_list,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11652] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(430), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11760] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(330), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11868] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(622), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11976] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(562), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12084] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(565), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12192] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(653), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12300] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12408] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(330), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12516] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12624] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12732] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(454), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12840] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(566), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12948] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(624), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13056] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13164] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(244), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13272] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13380] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(617), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13488] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(429), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13596] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(429), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13704] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(240), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13812] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(329), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13920] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(567), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14028] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14136] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(513), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14244] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(670), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14352] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(610), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14460] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(331), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14568] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(652), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14676] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(332), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14784] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(606), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14892] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(333), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15000] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15108] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15216] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(334), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15324] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15432] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(686), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15540] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(593), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15648] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15756] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(672), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15864] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(289), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15972] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16080] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(745), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16188] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16296] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(704), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16404] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(640), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16512] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(288), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16620] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(452), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16728] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16836] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(643), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16944] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(375), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17052] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(543), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17160] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(545), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17268] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(550), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17376] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(551), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17484] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(727), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17592] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17700] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17808] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(431), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17916] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18024] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(287), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18132] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(433), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18240] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18348] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(287), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18456] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(461), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18564] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(685), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18672] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18780] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(287), 1,
      sym__expression,
    STATE(964), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1107), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18888] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(729), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18996] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(598), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19104] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(240), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19212] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(702), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19320] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(675), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19428] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(716), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19536] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(627), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19644] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(505), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19752] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(505), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19860] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(613), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19968] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(692), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20076] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20184] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(499), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(746), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20400] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(736), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20508] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(435), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20616] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20724] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(688), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20832] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(751), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20940] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(478), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21048] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(429), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21156] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(485), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21264] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(486), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21372] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(599), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21480] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(750), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21588] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(681), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21696] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(512), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21912] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22020] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22128] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(330), 1,
      sym__expression,
    STATE(1000), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1068), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22236] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(374), 1,
      sym__expression,
    STATE(830), 1,
      sym_qualified_type,
    STATE(1264), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(902), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(387), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22344] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(428), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22452] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(240), 1,
      sym__expression,
    STATE(977), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1095), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(256), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22560] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(427), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22668] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(425), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22776] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(926), 1,
      sym_qualified_type,
    STATE(1303), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(502), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22884] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(505), 1,
      sym__expression,
    STATE(979), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(818), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(840), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(576), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22992] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(566), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(578), 1,
      anon_sym_RBRACK,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    STATE(423), 1,
      sym_literal_value,
    STATE(555), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(834), 1,
      sym_type_arguments,
    STATE(1098), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(589), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23094] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_COLON,
    STATE(262), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 40,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23165] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      anon_sym_COLON,
    STATE(262), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 40,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23236] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 40,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23304] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LF,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_COMMA,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LT_DASH,
    ACTIONS(625), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(627), 1,
      anon_sym_DASH_DASH,
    ACTIONS(631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(633), 1,
      anon_sym_PIPE_PIPE,
    STATE(266), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(621), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(607), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(629), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(619), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(615), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23392] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(637), 41,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(639), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23512] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(621), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(629), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(619), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 23,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23585] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(621), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(619), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 30,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23654] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(621), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(629), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(619), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 24,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23725] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(643), 41,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23790] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(266), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(619), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 34,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23857] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LF,
    ACTIONS(647), 45,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23911] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    STATE(266), 1,
      sym_special_argument_list,
    ACTIONS(591), 43,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23969] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LF,
    ACTIONS(653), 45,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24023] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LF,
    ACTIONS(657), 45,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24077] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LF,
    ACTIONS(661), 45,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24131] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_LF,
    ACTIONS(665), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24184] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_LF,
    ACTIONS(669), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24237] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_LF,
    ACTIONS(673), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24290] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LF,
    ACTIONS(677), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24343] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(591), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24396] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LF,
    ACTIONS(681), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24449] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LF,
    ACTIONS(685), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24502] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LF,
    ACTIONS(689), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24555] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LF,
    ACTIONS(693), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24608] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LF,
    ACTIONS(697), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24661] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LF,
    ACTIONS(701), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24714] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LF,
    ACTIONS(705), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24767] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LF,
    ACTIONS(709), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24820] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LF,
    ACTIONS(713), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24873] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LF,
    ACTIONS(717), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24926] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LF,
    ACTIONS(721), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24979] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LF,
    ACTIONS(725), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25032] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LF,
    ACTIONS(729), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25085] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym_LF,
    ACTIONS(733), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25138] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_LF,
    ACTIONS(737), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25191] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LF,
    ACTIONS(741), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25244] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LF,
    ACTIONS(745), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25297] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(605), 1,
      anon_sym_SEMI,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_COMMA,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LT_DASH,
    ACTIONS(763), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(765), 1,
      anon_sym_DASH_DASH,
    ACTIONS(771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(773), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(958), 1,
      sym_block,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(761), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25388] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LF,
    ACTIONS(777), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25441] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LF,
    ACTIONS(781), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(605), 1,
      anon_sym_SEMI,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_COMMA,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LT_DASH,
    ACTIONS(763), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(765), 1,
      anon_sym_DASH_DASH,
    ACTIONS(771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(773), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(891), 1,
      sym_block,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(761), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25585] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_LF,
    ACTIONS(785), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25638] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LF,
    ACTIONS(789), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25691] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_LF,
    ACTIONS(793), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25744] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym_LF,
    ACTIONS(797), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25797] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(799), 1,
      anon_sym_LF,
    ACTIONS(801), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25850] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LF,
    ACTIONS(805), 44,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25903] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_SEMI,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_COMMA,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LT_DASH,
    ACTIONS(763), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(765), 1,
      anon_sym_DASH_DASH,
    ACTIONS(771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(807), 1,
      anon_sym_DOT,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(761), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(327), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(591), 13,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26054] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LBRACE,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_COMMA,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    ACTIONS(763), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(765), 1,
      anon_sym_DASH_DASH,
    ACTIONS(771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(814), 1,
      anon_sym_LT_DASH,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(761), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(637), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(643), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26389] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26458] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_LBRACK,
    ACTIONS(771), 1,
      anon_sym_AMP_AMP,
    STATE(325), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(769), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(767), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(755), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LPAREN,
    STATE(325), 1,
      sym_special_argument_list,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(671), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28249] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(350), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(591), 13,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(637), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(643), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(826), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(830), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(826), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28604] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(834), 1,
      anon_sym_AMP_AMP,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(830), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(826), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [28670] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(834), 1,
      anon_sym_AMP_AMP,
    ACTIONS(838), 1,
      anon_sym_EQ,
    ACTIONS(840), 1,
      anon_sym_PIPE_PIPE,
    STATE(357), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(830), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(826), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(836), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [28738] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LF,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(852), 1,
      anon_sym_LBRACK,
    ACTIONS(854), 1,
      anon_sym_STAR,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(866), 1,
      anon_sym_LT_DASH,
    STATE(797), 1,
      sym_parameter_list,
    STATE(798), 1,
      sym__simple_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(846), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [28815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    STATE(357), 1,
      sym_special_argument_list,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28864] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LF,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    STATE(797), 1,
      sym_parameter_list,
    STATE(798), 1,
      sym__simple_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(846), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [28941] = 25,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    ACTIONS(884), 1,
      anon_sym_LF,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_COMMA,
    ACTIONS(894), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_PIPE,
    ACTIONS(898), 1,
      sym_raw_string_literal,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    STATE(581), 1,
      aux_sym_field_declaration_repeat1,
    STATE(792), 1,
      sym_type_arguments,
    STATE(1123), 1,
      sym_interpreted_string_literal,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(886), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [29030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(671), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(637), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30630] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(908), 1,
      anon_sym_LF,
    ACTIONS(912), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_COMMA,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_LBRACK,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(922), 1,
      anon_sym_LT_DASH,
    STATE(377), 1,
      aux_sym_const_spec_repeat1,
    STATE(1277), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(910), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30706] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(912), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_COMMA,
    ACTIONS(918), 1,
      anon_sym_LBRACK,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(922), 1,
      anon_sym_LT_DASH,
    ACTIONS(924), 1,
      anon_sym_LF,
    ACTIONS(928), 1,
      anon_sym_EQ,
    STATE(756), 1,
      aux_sym_const_spec_repeat1,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(926), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 1,
      anon_sym_LPAREN,
    STATE(417), 1,
      sym_special_argument_list,
    ACTIONS(591), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30827] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(423), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(578), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(591), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30882] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    STATE(843), 1,
      sym__simple_type,
    STATE(846), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(844), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30953] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    STATE(843), 1,
      sym__simple_type,
    STATE(846), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(844), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31304] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(964), 1,
      anon_sym_TILDE,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      anon_sym_LT_DASH,
    STATE(897), 1,
      sym__simple_type,
    STATE(898), 1,
      sym_parameter_list,
    STATE(1319), 1,
      sym_parenthesized_type,
    ACTIONS(844), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(846), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31376] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym_block,
    STATE(880), 1,
      sym__simple_type,
    STATE(896), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(844), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(671), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31610] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(964), 1,
      anon_sym_TILDE,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(984), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(994), 1,
      anon_sym_LT_DASH,
    STATE(904), 1,
      sym__simple_type,
    STATE(956), 1,
      sym_parameter_list,
    STATE(1054), 1,
      sym_block,
    STATE(1319), 1,
      sym_parenthesized_type,
    ACTIONS(976), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(980), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31766] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(964), 1,
      anon_sym_TILDE,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(984), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_STAR,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(994), 1,
      anon_sym_LT_DASH,
    STATE(897), 1,
      sym__simple_type,
    STATE(898), 1,
      sym_parameter_list,
    STATE(1319), 1,
      sym_parenthesized_type,
    ACTIONS(844), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(846), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32318] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(964), 1,
      anon_sym_TILDE,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(984), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(994), 1,
      anon_sym_LT_DASH,
    STATE(907), 1,
      sym__simple_type,
    STATE(949), 1,
      sym_parameter_list,
    STATE(1056), 1,
      sym_block,
    STATE(1319), 1,
      sym_parenthesized_type,
    ACTIONS(996), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(998), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32474] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1000), 1,
      anon_sym_DOT,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(555), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1098), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32670] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(964), 1,
      anon_sym_TILDE,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(984), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(994), 1,
      anon_sym_LT_DASH,
    STATE(903), 1,
      sym__simple_type,
    STATE(954), 1,
      sym_parameter_list,
    STATE(1099), 1,
      sym_block,
    STATE(1319), 1,
      sym_parenthesized_type,
    ACTIONS(1010), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1012), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32746] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(1014), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 24,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32958] = 15,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1020), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1032), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(870), 1,
      aux_sym_expression_list_repeat1,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(615), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33022] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 14,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33075] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 18,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33126] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 8,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33181] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(643), 7,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33238] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(637), 25,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33287] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(643), 25,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33336] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33389] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(643), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33446] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33507] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33570] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LF,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1032), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(838), 6,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33629] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LF,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym__simple_type,
    STATE(1009), 1,
      sym_parameter_list,
    STATE(1155), 1,
      sym_block,
    STATE(1314), 1,
      sym_parenthesized_type,
    ACTIONS(998), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33704] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    ACTIONS(976), 1,
      anon_sym_LF,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym__simple_type,
    STATE(1014), 1,
      sym_parameter_list,
    STATE(1157), 1,
      sym_block,
    STATE(1314), 1,
      sym_parenthesized_type,
    ACTIONS(980), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33779] = 21,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    ACTIONS(1010), 1,
      anon_sym_LF,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym__simple_type,
    STATE(1003), 1,
      sym_parameter_list,
    STATE(1150), 1,
      sym_block,
    STATE(1314), 1,
      sym_parenthesized_type,
    ACTIONS(1012), 2,
      anon_sym_SEMI,
      anon_sym_,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33854] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1052), 1,
      anon_sym_DOT,
    STATE(555), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(1098), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33927] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(1054), 1,
      anon_sym_LPAREN,
    STATE(516), 1,
      sym_special_argument_list,
    ACTIONS(591), 27,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33969] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1058), 1,
      anon_sym_RPAREN,
    ACTIONS(1060), 1,
      anon_sym_COMMA,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1152), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1208), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34039] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_RBRACE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34111] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(858), 1,
      anon_sym_TILDE,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    ACTIONS(1076), 1,
      anon_sym_LF,
    STATE(1002), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_parameter_list,
    STATE(1314), 1,
      sym_parenthesized_type,
    ACTIONS(1078), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34253] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(1084), 1,
      anon_sym_COMMA,
    STATE(1205), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1208), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34395] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1088), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34467] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(759), 1,
      anon_sym_LT_DASH,
    ACTIONS(761), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1094), 1,
      anon_sym_COMMA,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    ACTIONS(1100), 1,
      anon_sym_PIPE,
    ACTIONS(1102), 1,
      anon_sym_COLON,
    ACTIONS(1112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1114), 1,
      anon_sym_PIPE_PIPE,
    STATE(570), 1,
      sym_argument_list,
    STATE(928), 1,
      aux_sym_expression_list_repeat1,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(1106), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1110), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1108), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1098), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34539] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1116), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1020), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34611] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(1118), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(591), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34663] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1058), 1,
      anon_sym_RPAREN,
    ACTIONS(1060), 1,
      anon_sym_COMMA,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1152), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34733] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1120), 1,
      anon_sym_LF,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1122), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34791] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(1084), 1,
      anon_sym_COMMA,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1205), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34861] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1124), 1,
      anon_sym_LF,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1126), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34919] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1128), 1,
      anon_sym_RPAREN,
    ACTIONS(1130), 1,
      anon_sym_COMMA,
    STATE(1176), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1208), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34989] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1007), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35061] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1128), 1,
      anon_sym_RPAREN,
    ACTIONS(1130), 1,
      anon_sym_COMMA,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1176), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35131] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1019), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35203] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1136), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35275] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35347] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_DOT,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1140), 1,
      anon_sym_LF,
    STATE(516), 1,
      sym_argument_list,
    STATE(1271), 1,
      sym_type_arguments,
    ACTIONS(1026), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1142), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1028), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1024), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35405] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LF,
    ACTIONS(701), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35442] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_LF,
    ACTIONS(673), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35479] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LF,
    ACTIONS(781), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35516] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_LF,
    ACTIONS(785), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35553] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_LF,
    ACTIONS(793), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35590] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym_LF,
    ACTIONS(797), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35627] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym_LF,
    ACTIONS(733), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35664] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LF,
    ACTIONS(745), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_block,
    STATE(1042), 1,
      sym__simple_type,
    STATE(1070), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35772] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1146), 1,
      sym_identifier,
    STATE(267), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35843] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    STATE(267), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1148), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35981] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LF,
    ACTIONS(685), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36018] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LF,
    ACTIONS(697), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36055] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_LF,
    ACTIONS(737), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36092] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(799), 1,
      anon_sym_LF,
    ACTIONS(801), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36129] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(1106), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36180] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LF,
    ACTIONS(725), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36217] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LF,
    ACTIONS(677), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36254] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LF,
    ACTIONS(689), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36291] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1150), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36358] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LF,
    ACTIONS(693), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36395] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1152), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36462] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    ACTIONS(1100), 1,
      anon_sym_PIPE,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(1106), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1104), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(643), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36517] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    ACTIONS(1100), 1,
      anon_sym_PIPE,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1106), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1110), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1108), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1098), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36576] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LF,
    ACTIONS(647), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36613] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LF,
    ACTIONS(789), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36650] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LF,
    ACTIONS(805), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36687] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1154), 1,
      sym_identifier,
    STATE(267), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36758] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36825] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_LF,
    ACTIONS(665), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36862] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LF,
    ACTIONS(713), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36899] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_LF,
    ACTIONS(669), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36936] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LF,
    ACTIONS(741), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36973] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LF,
    ACTIONS(653), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37010] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LF,
    ACTIONS(777), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_block,
    STATE(1088), 1,
      sym__simple_type,
    STATE(1093), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37165] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LF,
    ACTIONS(661), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37202] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1160), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_block,
    STATE(1100), 1,
      sym_parameter_list,
    STATE(1101), 1,
      sym__simple_type,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37273] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(591), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37310] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LF,
    ACTIONS(709), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37347] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LF,
    ACTIONS(705), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(637), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37431] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LF,
    ACTIONS(681), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37468] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LF,
    ACTIONS(657), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37505] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LF,
    ACTIONS(721), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37542] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LF,
    ACTIONS(729), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37579] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37646] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_STAR,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    STATE(988), 1,
      sym_struct_term,
    STATE(1013), 1,
      sym__simple_type,
    STATE(1016), 1,
      sym_struct_type,
    STATE(1314), 1,
      sym_parenthesized_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37715] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1096), 1,
      anon_sym_LBRACK,
    ACTIONS(1100), 1,
      anon_sym_PIPE,
    ACTIONS(1112), 1,
      anon_sym_AMP_AMP,
    STATE(570), 1,
      sym_argument_list,
    STATE(1268), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1106), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1110), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1108), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1098), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37776] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(838), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(836), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37839] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37906] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(844), 1,
      anon_sym_PIPE,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1168), 1,
      anon_sym_LBRACE,
    STATE(311), 1,
      sym_block,
    STATE(1082), 1,
      sym__simple_type,
    STATE(1085), 1,
      sym_parameter_list,
    STATE(1321), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37977] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LF,
    ACTIONS(717), 28,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38014] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    ACTIONS(1172), 1,
      anon_sym_COMMA,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1188), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38080] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1194), 1,
      anon_sym_COMMA,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    STATE(873), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38146] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1202), 1,
      anon_sym_RPAREN,
    ACTIONS(1204), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38212] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1094), 1,
      anon_sym_COMMA,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(928), 1,
      aux_sym_expression_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(761), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38276] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1194), 1,
      anon_sym_COMMA,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    STATE(518), 1,
      aux_sym_const_spec_repeat1,
    STATE(864), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_COLON_EQ,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1094), 1,
      anon_sym_COMMA,
    ACTIONS(1208), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1214), 1,
      anon_sym_LBRACE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(928), 1,
      aux_sym_expression_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1228), 1,
      anon_sym_RPAREN,
    ACTIONS(1230), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1139), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38474] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(423), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_identifier,
    ACTIONS(1062), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1279), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38588] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(1004), 1,
      anon_sym_COMMA,
    STATE(423), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(578), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    STATE(570), 1,
      sym_special_argument_list,
    ACTIONS(591), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38680] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1234), 1,
      anon_sym_RPAREN,
    ACTIONS(1236), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1215), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38746] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1238), 1,
      anon_sym_RPAREN,
    ACTIONS(1240), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1179), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38812] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    ACTIONS(1244), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1189), 1,
      aux_sym_argument_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38948] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1250), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1006), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39015] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_LBRACK,
    STATE(741), 1,
      sym_type_parameter_list,
    STATE(901), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39113] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1256), 1,
      sym_identifier,
    ACTIONS(1258), 1,
      anon_sym_RBRACK,
    STATE(1298), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39386] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39443] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1021), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39510] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39705] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39758] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39912] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1262), 1,
      anon_sym_COMMA,
    STATE(772), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(1066), 1,
      sym__simple_type,
    STATE(1069), 1,
      sym_parenthesized_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40082] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1264), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1209), 1,
      aux_sym_expression_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40272] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(671), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40421] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40474] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40663] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1268), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(423), 1,
      sym_literal_value,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40882] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1256), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_RBRACK,
    STATE(1298), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41012] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_SEMI,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1094), 1,
      anon_sym_COMMA,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1274), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_argument_list,
    STATE(928), 1,
      aux_sym_expression_list_repeat1,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41110] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1276), 1,
      anon_sym_COMMA,
    STATE(777), 1,
      aux_sym_field_declaration_repeat1,
    STATE(865), 1,
      sym_parenthesized_type,
    STATE(866), 1,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41175] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1278), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41277] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1280), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1174), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1282), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1284), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41542] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1286), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41609] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    ACTIONS(1288), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1033), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1292), 1,
      anon_sym_RPAREN,
    ACTIONS(1294), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1296), 1,
      anon_sym_RBRACK,
    ACTIONS(1298), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1300), 1,
      anon_sym_RBRACK,
    ACTIONS(1302), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1304), 1,
      anon_sym_type,
    STATE(1280), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1308), 1,
      anon_sym_RPAREN,
    ACTIONS(1310), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(885), 1,
      sym_block,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
    ACTIONS(1314), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(1318), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1320), 1,
      anon_sym_RBRACK,
    ACTIONS(1322), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42371] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1324), 1,
      anon_sym_RBRACK,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 1,
      anon_sym_RBRACK,
    ACTIONS(1330), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42551] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(836), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
    ACTIONS(1336), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1338), 1,
      anon_sym_RBRACK,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1256), 1,
      sym_identifier,
    STATE(1210), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(836), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_type,
    STATE(1281), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_STAR,
    STATE(821), 1,
      sym_qualified_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1043), 1,
      sym_field_declaration,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1344), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1348), 1,
      anon_sym_type,
    STATE(1280), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1350), 1,
      anon_sym_RBRACK,
    ACTIONS(1352), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    ACTIONS(1358), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1360), 1,
      anon_sym_RBRACK,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      anon_sym_type,
    STATE(1280), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1256), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1366), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1368), 1,
      anon_sym_RPAREN,
    ACTIONS(1370), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    ACTIONS(1374), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1124), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1376), 1,
      anon_sym_RBRACK,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_RBRACK,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1382), 1,
      anon_sym_RPAREN,
    ACTIONS(1384), 1,
      anon_sym_COMMA,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 1,
      anon_sym_RBRACK,
    ACTIONS(1388), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    ACTIONS(1396), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1398), 1,
      anon_sym_RBRACK,
    ACTIONS(1400), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1402), 1,
      anon_sym_RBRACK,
    ACTIONS(1404), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44169] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1045), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44283] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(854), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44454] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1422), 1,
      anon_sym_LT_DASH,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44568] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1424), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1426), 1,
      anon_sym_chan,
    STATE(833), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44682] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1192), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44796] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1086), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44853] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44910] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(854), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44967] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1241), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45024] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1430), 1,
      anon_sym_chan,
    STATE(788), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45138] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45195] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(860), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45252] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45309] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1434), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45366] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45423] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45480] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(557), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(833), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45537] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45594] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1272), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45651] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1440), 1,
      anon_sym_LT_DASH,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45765] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1281), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45822] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1448), 1,
      anon_sym_LT_DASH,
    STATE(906), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45936] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1450), 1,
      anon_sym_LT_DASH,
    STATE(782), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45993] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    ACTIONS(1452), 1,
      anon_sym_chan,
    STATE(908), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46050] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1072), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46107] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1061), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46164] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(829), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46221] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1454), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46278] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1456), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46335] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(886), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46392] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46449] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46506] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46563] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1460), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1106), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46677] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1105), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    STATE(914), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1462), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46848] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(783), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46905] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1464), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46962] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(793), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47019] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(785), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47076] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1422), 1,
      anon_sym_LT_DASH,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1466), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47190] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1468), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47247] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1280), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47304] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1470), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47361] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    ACTIONS(1472), 1,
      anon_sym_chan,
    STATE(908), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47418] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1474), 1,
      anon_sym_LT_DASH,
    STATE(906), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47475] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    STATE(918), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47532] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1476), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1118), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47646] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1057), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47703] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(795), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47760] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1450), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47817] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    ACTIONS(1478), 1,
      anon_sym_chan,
    STATE(788), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47874] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(785), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47931] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1291), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1440), 1,
      anon_sym_LT_DASH,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48045] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(783), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48102] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48159] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1474), 1,
      anon_sym_LT_DASH,
    STATE(917), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48216] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1482), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48273] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1484), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48330] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(825), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48387] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1121), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48444] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48501] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_LT_DASH,
    STATE(782), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48558] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48615] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(915), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48672] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(791), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48729] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48786] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1258), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48843] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(914), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48900] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1448), 1,
      anon_sym_LT_DASH,
    STATE(917), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49014] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1488), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49071] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1270), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(927), 1,
      sym_struct_type,
    STATE(793), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49187] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1129), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49244] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1490), 1,
      anon_sym_SEMI,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49415] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(875), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49472] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(856), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1492), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49586] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1494), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49643] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1496), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49700] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(862), 1,
      anon_sym_map,
    ACTIONS(864), 1,
      anon_sym_chan,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(774), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49814] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_func,
    ACTIONS(990), 1,
      anon_sym_map,
    ACTIONS(992), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_STAR,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1414), 1,
      anon_sym_LT_DASH,
    STATE(886), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(874), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49871] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      sym_identifier,
    ACTIONS(956), 1,
      anon_sym_func,
    ACTIONS(962), 1,
      anon_sym_struct,
    ACTIONS(966), 1,
      anon_sym_interface,
    ACTIONS(968), 1,
      anon_sym_map,
    ACTIONS(970), 1,
      anon_sym_chan,
    ACTIONS(1406), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_STAR,
    ACTIONS(1420), 1,
      anon_sym_LT_DASH,
    STATE(918), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(910), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49928] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1287), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(927), 1,
      sym_struct_type,
    STATE(785), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1226), 1,
      anon_sym_PIPE_PIPE,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1218), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1222), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1220), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1210), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50101] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(825), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1498), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50215] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1225), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50272] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(895), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50329] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(893), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50386] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50443] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    ACTIONS(1500), 1,
      sym_identifier,
    STATE(819), 1,
      sym_qualified_type,
    STATE(863), 1,
      sym_generic_type,
    STATE(854), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1221), 2,
      sym_union_type,
      sym_negated_type,
    STATE(840), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50504] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(948), 1,
      anon_sym_LBRACK,
    ACTIONS(950), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(1274), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50561] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1188), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1190), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1182), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1186), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1180), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1184), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1176), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50618] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1504), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50675] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_func,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_map,
    ACTIONS(944), 1,
      anon_sym_chan,
    ACTIONS(946), 1,
      anon_sym_LT_DASH,
    ACTIONS(1002), 1,
      anon_sym_LPAREN,
    STATE(856), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1506), 1,
      anon_sym_SEMI,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1066), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      anon_sym_LT_DASH,
    ACTIONS(1192), 1,
      anon_sym_LPAREN,
    ACTIONS(1198), 1,
      anon_sym_STAR,
    ACTIONS(1200), 1,
      anon_sym_TILDE,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(775), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50846] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1508), 1,
      anon_sym_RBRACK,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50903] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1510), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(1038), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1044), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1036), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50957] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LF,
    ACTIONS(1512), 21,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50987] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LF,
    ACTIONS(1516), 21,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51017] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LF,
    ACTIONS(1520), 21,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51047] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_LF,
    ACTIONS(1524), 21,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51077] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_LF,
    ACTIONS(1532), 1,
      anon_sym_COMMA,
    STATE(756), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1528), 17,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51109] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_LF,
    ACTIONS(1528), 18,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1514), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1522), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1518), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1526), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51240] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1522), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1520), 15,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51265] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1514), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1512), 15,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51290] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1518), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1516), 15,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51315] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1526), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1524), 15,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(836), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1538), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51390] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1540), 1,
      anon_sym_LBRACK,
    STATE(792), 1,
      sym_type_arguments,
    ACTIONS(896), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51418] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    STATE(792), 1,
      sym_type_arguments,
    ACTIONS(896), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_COMMA,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1528), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1530), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_EQ,
    ACTIONS(1550), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1552), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_COMMA,
    STATE(772), 1,
      aux_sym_parameter_declaration_repeat1,
    ACTIONS(1556), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1554), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1561), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51541] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1565), 1,
      anon_sym_LF,
    ACTIONS(1569), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_type_arguments,
    ACTIONS(1567), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51566] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1565), 1,
      anon_sym_LF,
    STATE(786), 1,
      sym_type_arguments,
    ACTIONS(1567), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1552), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_COMMA,
    STATE(777), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1576), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1574), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1552), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1530), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1583), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51700] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_LF,
    ACTIONS(1589), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51720] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_LF,
    ACTIONS(1593), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51740] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1595), 1,
      anon_sym_LF,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1597), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51762] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_LF,
    ACTIONS(1603), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51782] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_LF,
    ACTIONS(1607), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51802] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LF,
    ACTIONS(1611), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51822] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 1,
      anon_sym_LF,
    ACTIONS(1615), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51842] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LF,
    ACTIONS(1619), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51862] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LF,
    ACTIONS(1619), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51882] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_LF,
    ACTIONS(1623), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51902] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1625), 1,
      anon_sym_LF,
    ACTIONS(1627), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51922] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LF,
    ACTIONS(1631), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51942] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_LF,
    ACTIONS(1635), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51962] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1637), 1,
      anon_sym_LF,
    ACTIONS(1639), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51982] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1641), 1,
      anon_sym_LF,
    ACTIONS(1643), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52004] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_LF,
    ACTIONS(1647), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52024] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_LF,
    ACTIONS(1651), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52044] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_LF,
    ACTIONS(1651), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52066] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LF,
    ACTIONS(1619), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52086] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_LF,
    ACTIONS(1655), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52106] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_LF,
    ACTIONS(1659), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52126] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1661), 1,
      anon_sym_LF,
    ACTIONS(1663), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1667), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52166] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1565), 1,
      anon_sym_LF,
    ACTIONS(1567), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52186] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_LF,
    ACTIONS(1671), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52206] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1673), 1,
      anon_sym_LF,
    ACTIONS(1675), 10,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52228] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1677), 1,
      anon_sym_LF,
    ACTIONS(1679), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52248] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_LF,
    ACTIONS(1683), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52268] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1685), 1,
      anon_sym_LF,
    ACTIONS(1687), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1691), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52308] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LF,
    ACTIONS(1695), 11,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1697), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52347] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_PIPE,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1701), 1,
      anon_sym_LF,
    ACTIONS(1705), 1,
      sym_raw_string_literal,
    STATE(792), 1,
      sym_type_arguments,
    STATE(1050), 1,
      sym_interpreted_string_literal,
    ACTIONS(1703), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [52380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_DOT,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1709), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_DOT,
    ACTIONS(1713), 1,
      anon_sym_LBRACK,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1716), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52484] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1567), 1,
      anon_sym_PIPE,
    ACTIONS(1720), 1,
      anon_sym_LF,
    ACTIONS(1724), 1,
      sym_raw_string_literal,
    STATE(786), 1,
      sym_type_arguments,
    STATE(1047), 1,
      sym_interpreted_string_literal,
    ACTIONS(1722), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [52514] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1732), 1,
      anon_sym_LPAREN,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
    STATE(1142), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52546] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1567), 1,
      anon_sym_PIPE,
    ACTIONS(1736), 1,
      anon_sym_LF,
    ACTIONS(1740), 1,
      sym_raw_string_literal,
    STATE(786), 1,
      sym_type_arguments,
    STATE(1126), 1,
      sym_interpreted_string_literal,
    ACTIONS(1738), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [52576] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    STATE(443), 1,
      sym_parameter_list,
    STATE(792), 1,
      sym_type_arguments,
    ACTIONS(896), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [52604] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1744), 1,
      sym_identifier,
    ACTIONS(1746), 1,
      sym_blank_identifier,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1750), 1,
      sym_raw_string_literal,
    ACTIONS(1752), 1,
      anon_sym_DQUOTE,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
    STATE(1090), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 1,
      anon_sym_LBRACK,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(1595), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(393), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [52756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52771] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    STATE(1031), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [52802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52832] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [52863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52878] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [52909] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_DOT,
    ACTIONS(1767), 1,
      anon_sym_LBRACK,
    STATE(921), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(896), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [52932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53009] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [53040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(1673), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(1641), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    STATE(1011), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [53255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53300] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    ACTIONS(1773), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [53331] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_DOT,
    ACTIONS(1775), 1,
      anon_sym_LBRACK,
    STATE(921), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(896), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53354] = 7,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1567), 1,
      anon_sym_PIPE,
    ACTIONS(1720), 1,
      anon_sym_LF,
    ACTIONS(1724), 1,
      sym_raw_string_literal,
    STATE(1047), 1,
      sym_interpreted_string_literal,
    ACTIONS(1722), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [53378] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1778), 1,
      anon_sym_LF,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1780), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53398] = 7,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1784), 1,
      anon_sym_LF,
    ACTIONS(1788), 1,
      sym_raw_string_literal,
    STATE(1053), 1,
      sym_interpreted_string_literal,
    ACTIONS(1786), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [53422] = 7,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1784), 1,
      anon_sym_LF,
    ACTIONS(1790), 1,
      sym_raw_string_literal,
    STATE(1064), 1,
      sym_interpreted_string_literal,
    ACTIONS(1786), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [53446] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1792), 1,
      anon_sym_LBRACK,
    STATE(920), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1567), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53466] = 7,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1795), 1,
      anon_sym_LF,
    ACTIONS(1799), 1,
      sym_raw_string_literal,
    STATE(1044), 1,
      sym_interpreted_string_literal,
    ACTIONS(1797), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [53490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1726), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(1730), 1,
      sym_blank_identifier,
    ACTIONS(1734), 1,
      sym_raw_string_literal,
    STATE(1076), 1,
      sym_import_spec,
    STATE(1131), 1,
      sym_interpreted_string_literal,
    STATE(1223), 1,
      sym_dot,
  [53518] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_COMMA,
    ACTIONS(1538), 1,
      anon_sym_LF,
    STATE(872), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1801), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53538] = 7,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1567), 1,
      anon_sym_PIPE,
    ACTIONS(1736), 1,
      anon_sym_LF,
    ACTIONS(1740), 1,
      sym_raw_string_literal,
    STATE(1126), 1,
      sym_interpreted_string_literal,
    ACTIONS(1738), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [53562] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LF,
    ACTIONS(1803), 1,
      anon_sym_COMMA,
    STATE(872), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(838), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53582] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1806), 1,
      anon_sym_LF,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1808), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53602] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_LBRACK,
    STATE(920), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1567), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53622] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1625), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1627), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53637] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1619), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53652] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_LF,
    STATE(877), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1815), 2,
      anon_sym_SEMI,
      anon_sym_,
    ACTIONS(1818), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53671] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1693), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1695), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_DOT,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(1820), 1,
      anon_sym_LPAREN,
    STATE(437), 1,
      sym_parameter_list,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(384), 1,
      sym_block,
    ACTIONS(1649), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53728] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1681), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1683), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53743] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1677), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1679), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53758] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_LF,
    STATE(877), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1824), 2,
      anon_sym_SEMI,
      anon_sym_,
    ACTIONS(207), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53777] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1826), 1,
      sym_identifier,
    ACTIONS(1828), 1,
      anon_sym_LF,
    ACTIONS(1830), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53794] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LF,
    ACTIONS(1836), 1,
      anon_sym_else,
    ACTIONS(1834), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53811] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1673), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1675), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [53828] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1840), 1,
      sym_identifier,
    ACTIONS(1842), 1,
      anon_sym_LF,
    ACTIONS(1844), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53845] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_LF,
    STATE(883), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1848), 2,
      anon_sym_SEMI,
      anon_sym_,
    ACTIONS(1850), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53864] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1669), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1671), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53879] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1587), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1589), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53894] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_LF,
    ACTIONS(1856), 1,
      anon_sym_else,
    ACTIONS(1854), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53911] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1661), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1663), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53926] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1858), 1,
      anon_sym_LF,
    ACTIONS(1860), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53943] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1653), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1655), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53958] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1862), 1,
      anon_sym_LF,
    ACTIONS(1864), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    STATE(384), 1,
      sym_block,
    ACTIONS(1649), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53992] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1651), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54009] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1649), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1651), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54024] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1645), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1647), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54039] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1641), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1643), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54056] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_LF,
    ACTIONS(1868), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(393), 1,
      sym_literal_value,
    ACTIONS(1565), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [54090] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    STATE(1055), 1,
      sym_block,
    ACTIONS(1870), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1872), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54111] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    STATE(1051), 1,
      sym_block,
    ACTIONS(1874), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1876), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54132] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1621), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1623), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54147] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1619), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54162] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    STATE(1049), 1,
      sym_block,
    ACTIONS(1878), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1880), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54183] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1619), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54198] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1685), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1687), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54213] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1565), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1567), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54228] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1637), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1639), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54243] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1615), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_DOT,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    STATE(395), 1,
      sym_parameter_list,
    STATE(834), 1,
      sym_type_arguments,
    ACTIONS(1004), 2,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54281] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1605), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1607), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54296] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1633), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1635), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54311] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1601), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1603), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54326] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1591), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1593), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54341] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1595), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1597), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54358] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1657), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1659), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54373] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1609), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1611), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54388] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1629), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1631), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54403] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LF,
    ACTIONS(1886), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54417] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LF,
    ACTIONS(1890), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54431] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LF,
    ACTIONS(1894), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54445] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_LF,
    ACTIONS(1898), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [54479] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    ACTIONS(1902), 1,
      anon_sym_LF,
    ACTIONS(1904), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [54495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_COLON,
    STATE(961), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1538), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54513] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_LF,
    ACTIONS(1908), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_RBRACE,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    STATE(975), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54545] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_LF,
    ACTIONS(1918), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54559] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_LF,
    ACTIONS(1922), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54573] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1924), 1,
      anon_sym_LF,
    ACTIONS(1926), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1928), 1,
      anon_sym_RBRACE,
    ACTIONS(1930), 1,
      anon_sym_case,
    STATE(946), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54605] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_LF,
    ACTIONS(1934), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54619] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1936), 1,
      anon_sym_LF,
    ACTIONS(1938), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54633] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1940), 1,
      anon_sym_LF,
    ACTIONS(1942), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54647] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_LF,
    ACTIONS(1946), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54661] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LF,
    ACTIONS(1950), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54675] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_LF,
    ACTIONS(1954), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54689] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1956), 1,
      anon_sym_LF,
    ACTIONS(1958), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1960), 1,
      anon_sym_RBRACE,
    STATE(951), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54721] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_LF,
    ACTIONS(1964), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54735] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_LF,
    ACTIONS(1968), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54749] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_LF,
    ACTIONS(1972), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1930), 1,
      anon_sym_case,
    ACTIONS(1974), 1,
      anon_sym_RBRACE,
    STATE(995), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54781] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_LF,
    ACTIONS(1978), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1980), 1,
      anon_sym_RBRACE,
    STATE(957), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54813] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    STATE(1049), 1,
      sym_block,
    ACTIONS(1878), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1880), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1982), 1,
      anon_sym_RBRACE,
    ACTIONS(1984), 1,
      anon_sym_case,
    STATE(966), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1986), 1,
      anon_sym_RBRACE,
    STATE(975), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54867] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_LF,
    ACTIONS(1990), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54881] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_LF,
    ACTIONS(1994), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54895] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_block,
    ACTIONS(1870), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1872), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54913] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1996), 1,
      anon_sym_LF,
    ACTIONS(1998), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54927] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    STATE(1051), 1,
      sym_block,
    ACTIONS(1874), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1876), 2,
      anon_sym_SEMI,
      anon_sym_,
  [54945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(2000), 1,
      anon_sym_RBRACE,
    STATE(975), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54963] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_LF,
    ACTIONS(2004), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54977] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_LF,
    ACTIONS(2008), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54991] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LF,
    ACTIONS(2012), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_COLON,
    ACTIONS(2014), 1,
      anon_sym_COMMA,
    STATE(961), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(836), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [55023] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_LF,
    ACTIONS(2019), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55037] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LF,
    ACTIONS(2023), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(2025), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55071] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LF,
    ACTIONS(2029), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(1984), 1,
      anon_sym_case,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(998), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55103] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LF,
    ACTIONS(2035), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55117] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_LF,
    ACTIONS(2039), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55131] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_LF,
    ACTIONS(2043), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55145] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2045), 1,
      anon_sym_LF,
    ACTIONS(2047), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55159] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1874), 1,
      anon_sym_LF,
    STATE(1161), 1,
      sym_block,
    ACTIONS(1876), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55179] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LF,
    ACTIONS(2051), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    STATE(993), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55211] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_LF,
    ACTIONS(2057), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      anon_sym_RBRACE,
    ACTIONS(2061), 1,
      anon_sym_case,
    ACTIONS(2064), 1,
      anon_sym_default,
    STATE(975), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55243] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LF,
    ACTIONS(2069), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(2071), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55277] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2073), 1,
      anon_sym_LF,
    ACTIONS(2075), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_LBRACE,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(564), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55311] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2077), 1,
      anon_sym_LF,
    ACTIONS(2079), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55325] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LF,
    ACTIONS(2085), 1,
      anon_sym_PIPE,
    STATE(981), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2083), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [55343] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1878), 1,
      anon_sym_LF,
    STATE(1160), 1,
      sym_block,
    ACTIONS(1880), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55363] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LF,
    ACTIONS(2092), 1,
      anon_sym_PIPE,
    STATE(981), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2090), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [55381] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LF,
    ACTIONS(2096), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55395] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_LF,
    ACTIONS(2100), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55409] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LF,
    ACTIONS(2104), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55423] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(1870), 1,
      anon_sym_LF,
    STATE(1156), 1,
      sym_block,
    ACTIONS(1872), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55443] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_PIPE,
    ACTIONS(2106), 1,
      anon_sym_LF,
    STATE(983), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2108), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [55461] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LF,
    ACTIONS(2112), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55475] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LF,
    ACTIONS(2116), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55489] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LF,
    ACTIONS(2120), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55503] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_LF,
    ACTIONS(2124), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(2126), 1,
      anon_sym_RBRACE,
    STATE(975), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_case,
    ACTIONS(1914), 1,
      anon_sym_default,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(930), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_RBRACE,
    ACTIONS(2132), 1,
      anon_sym_case,
    ACTIONS(2135), 1,
      anon_sym_default,
    STATE(995), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55571] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LF,
    ACTIONS(1818), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55585] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LF,
    ACTIONS(2142), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_RBRACE,
    ACTIONS(2146), 1,
      anon_sym_case,
    ACTIONS(2149), 1,
      anon_sym_default,
    STATE(998), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55617] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_LF,
    ACTIONS(2154), 5,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(356), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55651] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LF,
    ACTIONS(1904), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [55664] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(2156), 1,
      anon_sym_LF,
    ACTIONS(2158), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [55679] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1870), 1,
      anon_sym_LF,
    STATE(1156), 1,
      sym_block,
    ACTIONS(1872), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55696] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_LF,
    ACTIONS(2164), 1,
      anon_sym_RBRACE,
    STATE(1034), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2162), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55713] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_LF,
    ACTIONS(2170), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2168), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55730] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_LF,
    ACTIONS(2176), 1,
      anon_sym_RBRACE,
    STATE(1027), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2174), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55747] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_LF,
    ACTIONS(2182), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2180), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_struct,
    STATE(1026), 1,
      sym_struct_term,
    STATE(1030), 1,
      sym_struct_type,
    ACTIONS(2184), 2,
      anon_sym_STAR,
      anon_sym_TILDE,
  [55781] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1878), 1,
      anon_sym_LF,
    STATE(1160), 1,
      sym_block,
    ACTIONS(1880), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55798] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_LF,
    ACTIONS(2192), 1,
      anon_sym_RBRACE,
    STATE(1034), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2190), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55815] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_LF,
    ACTIONS(2198), 1,
      anon_sym_RPAREN,
    STATE(1024), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2196), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55832] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_LF,
    ACTIONS(2204), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2202), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55849] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_PIPE,
    ACTIONS(2206), 1,
      anon_sym_LF,
    ACTIONS(2208), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [55864] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    ACTIONS(1874), 1,
      anon_sym_LF,
    STATE(1161), 1,
      sym_block,
    ACTIONS(1876), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      sym_identifier,
    ACTIONS(2213), 1,
      anon_sym_RPAREN,
    STATE(1015), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1187), 2,
      sym_type_alias,
      sym_type_spec,
  [55898] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_LF,
    ACTIONS(2217), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [55911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      sym_identifier,
    ACTIONS(2221), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1187), 2,
      sym_type_alias,
      sym_type_spec,
  [55928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      anon_sym_COMMA,
    ACTIONS(2227), 1,
      anon_sym_RBRACK,
    STATE(1194), 1,
      aux_sym_type_arguments_repeat1,
  [55947] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_LF,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    STATE(1004), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2231), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55964] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2235), 1,
      anon_sym_LF,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    STATE(1010), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2237), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55981] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_LF,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    STATE(1012), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2243), 2,
      anon_sym_SEMI,
      anon_sym_,
  [55998] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_LF,
    ACTIONS(2251), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2249), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [56026] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_LF,
    ACTIONS(2257), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2255), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56043] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_LF,
    ACTIONS(2265), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2262), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56060] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LF,
    ACTIONS(2083), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [56073] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_LF,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2269), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2273), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_type_arguments_repeat1,
  [56109] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_LF,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(1034), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2279), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56126] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_LF,
    ACTIONS(2217), 4,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [56139] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LF,
    ACTIONS(2287), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2285), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56156] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_LF,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2292), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56173] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_LF,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    STATE(1005), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2299), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56190] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_LF,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    STATE(1034), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2306), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_RPAREN,
    STATE(1015), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1187), 2,
      sym_type_alias,
      sym_type_spec,
  [56224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2313), 1,
      anon_sym_COMMA,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    STATE(1184), 1,
      aux_sym_literal_value_repeat1,
  [56240] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56254] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_LF,
    ACTIONS(2309), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LPAREN,
    ACTIONS(2325), 1,
      anon_sym_LBRACK,
    STATE(438), 1,
      sym_parameter_list,
    STATE(1267), 1,
      sym_type_parameter_list,
  [56282] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LF,
    ACTIONS(2158), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      sym_identifier,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(1097), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1217), 1,
      sym_const_spec,
  [56310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(353), 1,
      sym_block,
  [56326] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_LF,
    ACTIONS(2295), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56338] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_LF,
    ACTIONS(2335), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    ACTIONS(2339), 1,
      anon_sym_COMMA,
    STATE(1218), 1,
      aux_sym_expression_list_repeat1,
  [56366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_COMMA,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      aux_sym_literal_value_repeat1,
  [56382] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_LF,
    ACTIONS(2347), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56394] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_DQUOTE2,
    STATE(1110), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2351), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56408] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2353), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2355), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56420] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_LF,
    ACTIONS(2359), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56432] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2361), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2363), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56444] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LF,
    ACTIONS(2367), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56456] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LF,
    ACTIONS(2367), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56468] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2369), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2371), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56480] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2373), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2375), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56492] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2377), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2379), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    ACTIONS(2383), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      aux_sym_expression_list_repeat1,
  [56520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(253), 1,
      sym_block,
  [56536] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_LF,
    ACTIONS(2387), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RPAREN,
  [56548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_block,
    ACTIONS(1649), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_type_arguments_repeat1,
  [56578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      sym_identifier,
    ACTIONS(2391), 1,
      anon_sym_RPAREN,
    STATE(1083), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1164), 1,
      sym_var_spec,
  [56594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2393), 1,
      anon_sym_COMMA,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    STATE(1202), 1,
      aux_sym_literal_value_repeat1,
  [56610] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LF,
    ACTIONS(2367), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2397), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2399), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56646] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2403), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_literal_value,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2399), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_block,
    ACTIONS(1649), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56700] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2406), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2408), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1137), 1,
      aux_sym_expression_list_repeat1,
  [56728] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_DQUOTE2,
    STATE(1092), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2416), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_literal_value,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      anon_sym_if,
    STATE(945), 2,
      sym_block,
      sym_if_statement,
  [56770] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_LF,
    ACTIONS(2265), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RPAREN,
  [56782] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LF,
    ACTIONS(2367), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [56794] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2422), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2424), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56806] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56820] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2428), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2430), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      sym_identifier,
    ACTIONS(2435), 1,
      anon_sym_RPAREN,
    STATE(1081), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1217), 1,
      sym_const_spec,
  [56848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(319), 1,
      sym_block,
  [56864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      sym_identifier,
    ACTIONS(2437), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1164), 1,
      sym_var_spec,
  [56880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_COMMA,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    STATE(1181), 1,
      aux_sym_literal_value_repeat1,
  [56896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_block,
    ACTIONS(1649), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    STATE(1185), 1,
      aux_sym_expression_list_repeat1,
  [56926] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2447), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2449), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(548), 1,
      sym_block,
  [56954] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(653), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56966] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2451), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2453), 2,
      anon_sym_SEMI,
      anon_sym_,
  [56978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      sym_identifier,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1164), 1,
      sym_var_spec,
  [56994] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_block,
    ACTIONS(1649), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [57022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(2325), 1,
      anon_sym_LBRACK,
    STATE(418), 1,
      sym_parameter_list,
    STATE(1293), 1,
      sym_type_parameter_list,
  [57038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_literal_value,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [57052] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      sym_identifier,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    STATE(1081), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1217), 1,
      sym_const_spec,
  [57082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57094] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2468), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2470), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_block,
    ACTIONS(1649), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [57120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    STATE(494), 1,
      sym_block,
  [57136] = 4,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LF,
    ACTIONS(2474), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57150] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2476), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2478), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57162] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2482), 1,
      anon_sym_RPAREN,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      aux_sym_expression_list_repeat1,
  [57192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_COMMA,
    ACTIONS(2488), 1,
      anon_sym_RBRACK,
    STATE(1165), 1,
      aux_sym_type_arguments_repeat1,
  [57208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [57222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2490), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RBRACE,
    STATE(1141), 1,
      aux_sym_literal_value_repeat1,
  [57238] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_DQUOTE2,
    STATE(1037), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2496), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57252] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57266] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_DQUOTE2,
    STATE(1136), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2502), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57280] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_DQUOTE2,
    STATE(1104), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2506), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(2511), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [57322] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_DQUOTE2,
    STATE(1096), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2515), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      anon_sym_if,
    STATE(984), 2,
      sym_block,
      sym_if_statement,
  [57350] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2385), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2387), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2511), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [57374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    STATE(1193), 1,
      aux_sym_literal_value_repeat1,
  [57390] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(655), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2225), 1,
      anon_sym_COMMA,
    ACTIONS(2227), 1,
      anon_sym_RBRACK,
    STATE(1194), 1,
      aux_sym_type_arguments_repeat1,
  [57418] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2521), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2523), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57430] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_LF,
    ACTIONS(2527), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [57442] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2529), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2531), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57454] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LF,
    ACTIONS(2533), 1,
      ts_builtin_sym_end,
    ACTIONS(2474), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57468] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_LF,
    ACTIONS(2537), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RBRACE,
  [57480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2539), 1,
      anon_sym_RPAREN,
    ACTIONS(2541), 1,
      anon_sym_COMMA,
    STATE(1195), 1,
      aux_sym_expression_list_repeat1,
  [57496] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2543), 1,
      anon_sym_DQUOTE2,
    STATE(1079), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2545), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2547), 1,
      anon_sym_COMMA,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    STATE(1138), 1,
      aux_sym_type_arguments_repeat1,
  [57526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_literal_value,
    ACTIONS(1565), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [57540] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_LF,
    ACTIONS(2478), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RPAREN,
  [57552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      sym_identifier,
    ACTIONS(2551), 1,
      anon_sym_LPAREN,
    STATE(953), 2,
      sym_type_alias,
      sym_type_spec,
  [57566] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(645), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(647), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57578] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(659), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(661), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57590] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_LF,
    ACTIONS(2531), 3,
      anon_sym_SEMI,
      anon_sym_,
      anon_sym_RPAREN,
  [57602] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2321), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [57629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 1,
      anon_sym_COMMA,
    ACTIONS(2557), 1,
      anon_sym_COLON,
    STATE(1114), 1,
      aux_sym_type_arguments_repeat1,
  [57642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 1,
      anon_sym_RPAREN,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [57655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      anon_sym_RPAREN,
    ACTIONS(2561), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [57668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [57681] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_LF,
    ACTIONS(2453), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_LPAREN,
    STATE(944), 1,
      sym_const_spec,
  [57705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      sym_identifier,
    ACTIONS(2567), 1,
      anon_sym_LPAREN,
    STATE(943), 1,
      sym_var_spec,
  [57718] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LF,
    ACTIONS(2424), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_RPAREN,
    ACTIONS(1230), 1,
      anon_sym_COMMA,
    STATE(1139), 1,
      aux_sym_argument_list_repeat1,
  [57742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    ACTIONS(2569), 1,
      anon_sym_COMMA,
    STATE(1190), 1,
      aux_sym_parameter_list_repeat1,
  [57755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      sym_identifier,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(471), 1,
      sym_parameter_list,
  [57768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RBRACE,
    STATE(1141), 1,
      aux_sym_literal_value_repeat1,
  [57781] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_LF,
    ACTIONS(2470), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57792] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LF,
    ACTIONS(2408), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    STATE(1147), 1,
      aux_sym_parameter_list_repeat1,
  [57816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57825] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LF,
    ACTIONS(2430), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57836] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LF,
    ACTIONS(2379), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57847] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2373), 1,
      anon_sym_LF,
    ACTIONS(2375), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57858] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_LF,
    ACTIONS(2371), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57878] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_LF,
    ACTIONS(2449), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57889] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LF,
    ACTIONS(2355), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57900] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_LF,
    ACTIONS(2363), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    ACTIONS(2583), 1,
      anon_sym_COMMA,
    STATE(1162), 1,
      aux_sym_expression_list_repeat1,
  [57924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57933] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LF,
    ACTIONS(2590), 2,
      anon_sym_SEMI,
      anon_sym_,
  [57944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      anon_sym_RBRACK,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym_type_arguments_repeat1,
  [57957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_COMMA,
    ACTIONS(2599), 1,
      anon_sym_RBRACK,
    STATE(1167), 1,
      aux_sym_type_parameter_list_repeat1,
  [57979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    ACTIONS(2601), 1,
      sym_identifier,
    STATE(490), 1,
      sym_parameter_list,
  [57992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_RPAREN,
    ACTIONS(2603), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58005] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LF,
    ACTIONS(2474), 2,
      anon_sym_SEMI,
      anon_sym_,
  [58016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_COMMA,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_COLON,
    ACTIONS(2609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_DQUOTE,
    ACTIONS(2611), 1,
      sym_raw_string_literal,
    STATE(1124), 1,
      sym_interpreted_string_literal,
  [58053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2313), 1,
      anon_sym_COMMA,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(1184), 1,
      aux_sym_literal_value_repeat1,
  [58066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_RPAREN,
    ACTIONS(2617), 1,
      anon_sym_COMMA,
    STATE(1211), 1,
      aux_sym_parameter_list_repeat1,
  [58088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    ACTIONS(1172), 1,
      anon_sym_COMMA,
    STATE(1188), 1,
      aux_sym_argument_list_repeat1,
  [58101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym_raw_string_literal,
    STATE(1117), 1,
      sym_interpreted_string_literal,
  [58114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2623), 1,
      anon_sym_RPAREN,
  [58140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58153] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_LF,
    ACTIONS(2523), 2,
      anon_sym_SEMI,
      anon_sym_,
  [58164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    ACTIONS(2629), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_RPAREN,
    ACTIONS(2631), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [58199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_RBRACK,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    STATE(1167), 1,
      aux_sym_type_parameter_list_repeat1,
  [58212] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_LF,
    ACTIONS(2637), 2,
      anon_sym_SEMI,
      anon_sym_,
  [58223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(2639), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(2641), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_RPAREN,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    STATE(1190), 1,
      aux_sym_parameter_list_repeat1,
  [58262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RPAREN,
    ACTIONS(1240), 1,
      anon_sym_COMMA,
    STATE(1179), 1,
      aux_sym_argument_list_repeat1,
  [58275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2648), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2650), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    ACTIONS(2652), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym_type_arguments_repeat1,
  [58312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [58325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 1,
      anon_sym_RPAREN,
    ACTIONS(2658), 1,
      anon_sym_COMMA,
    STATE(1190), 1,
      aux_sym_parameter_list_repeat1,
  [58351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_RPAREN,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [58364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    ACTIONS(1244), 1,
      anon_sym_COMMA,
    STATE(1189), 1,
      aux_sym_argument_list_repeat1,
  [58377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    STATE(1193), 1,
      aux_sym_literal_value_repeat1,
  [58390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_COMMA,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    STATE(1181), 1,
      aux_sym_literal_value_repeat1,
  [58403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      anon_sym_RBRACK,
    ACTIONS(2665), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym_type_arguments_repeat1,
  [58429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [58442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    ACTIONS(2671), 1,
      anon_sym_COMMA,
    STATE(1197), 1,
      aux_sym_parameter_list_repeat1,
  [58455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 1,
      anon_sym_RPAREN,
    ACTIONS(1204), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [58468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2397), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_COMMA,
    ACTIONS(1538), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      aux_sym_expression_list_repeat1,
  [58501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_COMMA,
    ACTIONS(2675), 1,
      anon_sym_RBRACK,
    STATE(1186), 1,
      aux_sym_type_parameter_list_repeat1,
  [58514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    ACTIONS(2677), 1,
      anon_sym_COMMA,
    STATE(1190), 1,
      aux_sym_parameter_list_repeat1,
  [58527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2679), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2393), 1,
      anon_sym_COMMA,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    STATE(1202), 1,
      aux_sym_literal_value_repeat1,
  [58551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [58560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    ACTIONS(2681), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
  [58573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    STATE(1171), 1,
      aux_sym_literal_value_repeat1,
  [58586] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_LF,
    ACTIONS(2687), 2,
      anon_sym_SEMI,
      anon_sym_,
  [58597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    ACTIONS(2689), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_expression_list_repeat1,
  [58610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      anon_sym_RPAREN,
    ACTIONS(1236), 1,
      anon_sym_COMMA,
    STATE(1215), 1,
      aux_sym_argument_list_repeat1,
  [58623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_COMMA,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      aux_sym_literal_value_repeat1,
  [58636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(2691), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_type_arguments,
  [58649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2693), 1,
      sym_raw_string_literal,
    STATE(1059), 1,
      sym_interpreted_string_literal,
  [58662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2695), 1,
      sym_raw_string_literal,
    STATE(1135), 1,
      sym_interpreted_string_literal,
  [58675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [58683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_RBRACK,
  [58693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_field_declaration_list,
  [58703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      sym_identifier,
    ACTIONS(2705), 1,
      anon_sym_LPAREN,
  [58713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    STATE(355), 1,
      sym_argument_list,
  [58723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2707), 1,
      anon_sym_LPAREN,
  [58733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2709), 1,
      anon_sym_LPAREN,
  [58751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
  [58761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
  [58771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2715), 1,
      anon_sym_LPAREN,
  [58789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 1,
      sym_identifier,
    ACTIONS(2719), 1,
      anon_sym_LPAREN,
  [58799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2721), 1,
      anon_sym_RPAREN,
  [58817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
  [58827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2723), 1,
      anon_sym_EQ,
  [58837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_RBRACK,
  [58847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(380), 1,
      sym_parameter_list,
  [58857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
  [58867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    STATE(396), 1,
      sym_argument_list,
  [58901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    STATE(272), 1,
      sym_argument_list,
  [58911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2733), 1,
      anon_sym_RPAREN,
  [58921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym_identifier,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
  [58931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_parameter_list,
  [58941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
  [58951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
  [58969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_literal_value,
  [58979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    STATE(398), 1,
      sym_parameter_list,
  [58989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_LBRACE,
    STATE(841), 1,
      sym_field_declaration_list,
  [58999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_RBRACK,
  [59009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    STATE(389), 1,
      sym_parameter_list,
  [59019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2745), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(470), 1,
      sym_parameter_list,
  [59045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LPAREN,
    STATE(336), 1,
      sym_parameter_list,
  [59055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(393), 1,
      sym_literal_value,
  [59065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_LPAREN,
  [59075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LPAREN,
    STATE(338), 1,
      sym_parameter_list,
  [59085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LPAREN,
    STATE(436), 1,
      sym_parameter_list,
  [59095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    STATE(549), 1,
      sym_argument_list,
  [59105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_literal_value,
  [59115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2751), 1,
      anon_sym_RBRACK,
  [59125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_LPAREN,
    STATE(495), 1,
      sym_argument_list,
  [59135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2755), 1,
      anon_sym_RPAREN,
  [59145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(515), 1,
      sym_parameter_list,
  [59155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2757), 1,
      anon_sym_RBRACK,
  [59165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(2759), 1,
      anon_sym_LPAREN,
  [59175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2623), 1,
      anon_sym_RPAREN,
  [59185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2761), 1,
      anon_sym_EQ,
  [59195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      sym_identifier,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
  [59205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
  [59223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2769), 1,
      anon_sym_RPAREN,
  [59233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(501), 1,
      sym_parameter_list,
  [59243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      sym_identifier,
    ACTIONS(2771), 1,
      anon_sym_LPAREN,
  [59253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_block,
  [59263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
  [59273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2775), 1,
      anon_sym_RPAREN,
  [59283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2777), 1,
      anon_sym_RBRACK,
  [59293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    STATE(320), 1,
      sym_argument_list,
  [59303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_struct,
    STATE(1001), 1,
      sym_struct_type,
  [59313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(390), 1,
      sym_parameter_list,
  [59323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(2779), 1,
      anon_sym_RPAREN,
  [59333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_literal_value,
  [59343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    STATE(411), 1,
      sym_parameter_list,
  [59353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_field_declaration_list,
  [59363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_LPAREN,
  [59373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
  [59383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(472), 1,
      sym_parameter_list,
  [59393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [59409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_parameter_list,
  [59419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_literal_value,
  [59445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
  [59460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
  [59467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_chan,
  [59474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
  [59481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACE,
  [59488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
  [59495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_RPAREN,
  [59502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_RPAREN,
  [59509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_SEMI,
  [59516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_PIPE,
  [59523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_LBRACE,
  [59530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_LBRACE,
  [59537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACE,
  [59544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LBRACE,
  [59551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
  [59558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 1,
      anon_sym_LBRACE,
  [59565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
  [59572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_RPAREN,
  [59579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
  [59586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_RPAREN,
  [59593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 1,
      anon_sym_LBRACE,
  [59600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_SEMI,
  [59607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_RPAREN,
  [59614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 1,
      anon_sym_SEMI,
  [59621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      sym_identifier,
  [59628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_RPAREN,
  [59635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      ts_builtin_sym_end,
  [59642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
  [59649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_RPAREN,
  [59656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
  [59663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_LBRACE,
  [59670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      sym_identifier,
  [59677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_COLON,
  [59684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 1,
      anon_sym_LBRACE,
  [59691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_chan,
  [59698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
  [59705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      sym_identifier,
  [59712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
  [59719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
  [59726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
  [59733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
  [59740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_LBRACK,
  [59747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
  [59754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_RPAREN,
  [59761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_LBRACE,
  [59768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_LBRACE,
  [59775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_chan,
  [59782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACK,
  [59789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_RBRACE,
  [59796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_COLON,
  [59803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
  [59810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      sym_identifier,
  [59817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      sym_identifier,
  [59824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      sym_identifier,
  [59831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_chan,
  [59838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_RPAREN,
  [59845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
  [59852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      sym_identifier,
  [59859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 1,
      sym_identifier,
  [59866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
  [59873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_COLON_EQ,
  [59880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
  [59887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
  [59894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_chan,
  [59901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      anon_sym_COLON,
  [59908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 1,
      sym_identifier,
  [59915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
  [59922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
  [59929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_chan,
  [59936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_LBRACK,
  [59943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 1,
      anon_sym_LBRACK,
  [59950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
  [59957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(28)] = 0,
  [SMALL_STATE(29)] = 119,
  [SMALL_STATE(30)] = 245,
  [SMALL_STATE(31)] = 371,
  [SMALL_STATE(32)] = 497,
  [SMALL_STATE(33)] = 623,
  [SMALL_STATE(34)] = 749,
  [SMALL_STATE(35)] = 875,
  [SMALL_STATE(36)] = 998,
  [SMALL_STATE(37)] = 1121,
  [SMALL_STATE(38)] = 1244,
  [SMALL_STATE(39)] = 1367,
  [SMALL_STATE(40)] = 1490,
  [SMALL_STATE(41)] = 1613,
  [SMALL_STATE(42)] = 1736,
  [SMALL_STATE(43)] = 1859,
  [SMALL_STATE(44)] = 1982,
  [SMALL_STATE(45)] = 2105,
  [SMALL_STATE(46)] = 2228,
  [SMALL_STATE(47)] = 2351,
  [SMALL_STATE(48)] = 2471,
  [SMALL_STATE(49)] = 2588,
  [SMALL_STATE(50)] = 2703,
  [SMALL_STATE(51)] = 2817,
  [SMALL_STATE(52)] = 2931,
  [SMALL_STATE(53)] = 3045,
  [SMALL_STATE(54)] = 3159,
  [SMALL_STATE(55)] = 3273,
  [SMALL_STATE(56)] = 3387,
  [SMALL_STATE(57)] = 3501,
  [SMALL_STATE(58)] = 3615,
  [SMALL_STATE(59)] = 3729,
  [SMALL_STATE(60)] = 3843,
  [SMALL_STATE(61)] = 3957,
  [SMALL_STATE(62)] = 4071,
  [SMALL_STATE(63)] = 4185,
  [SMALL_STATE(64)] = 4299,
  [SMALL_STATE(65)] = 4413,
  [SMALL_STATE(66)] = 4527,
  [SMALL_STATE(67)] = 4641,
  [SMALL_STATE(68)] = 4755,
  [SMALL_STATE(69)] = 4869,
  [SMALL_STATE(70)] = 4983,
  [SMALL_STATE(71)] = 5097,
  [SMALL_STATE(72)] = 5211,
  [SMALL_STATE(73)] = 5325,
  [SMALL_STATE(74)] = 5436,
  [SMALL_STATE(75)] = 5547,
  [SMALL_STATE(76)] = 5658,
  [SMALL_STATE(77)] = 5769,
  [SMALL_STATE(78)] = 5880,
  [SMALL_STATE(79)] = 5991,
  [SMALL_STATE(80)] = 6102,
  [SMALL_STATE(81)] = 6213,
  [SMALL_STATE(82)] = 6324,
  [SMALL_STATE(83)] = 6435,
  [SMALL_STATE(84)] = 6546,
  [SMALL_STATE(85)] = 6657,
  [SMALL_STATE(86)] = 6768,
  [SMALL_STATE(87)] = 6879,
  [SMALL_STATE(88)] = 6990,
  [SMALL_STATE(89)] = 7101,
  [SMALL_STATE(90)] = 7212,
  [SMALL_STATE(91)] = 7323,
  [SMALL_STATE(92)] = 7434,
  [SMALL_STATE(93)] = 7545,
  [SMALL_STATE(94)] = 7656,
  [SMALL_STATE(95)] = 7767,
  [SMALL_STATE(96)] = 7878,
  [SMALL_STATE(97)] = 7989,
  [SMALL_STATE(98)] = 8100,
  [SMALL_STATE(99)] = 8211,
  [SMALL_STATE(100)] = 8322,
  [SMALL_STATE(101)] = 8433,
  [SMALL_STATE(102)] = 8544,
  [SMALL_STATE(103)] = 8655,
  [SMALL_STATE(104)] = 8766,
  [SMALL_STATE(105)] = 8877,
  [SMALL_STATE(106)] = 8988,
  [SMALL_STATE(107)] = 9099,
  [SMALL_STATE(108)] = 9210,
  [SMALL_STATE(109)] = 9321,
  [SMALL_STATE(110)] = 9432,
  [SMALL_STATE(111)] = 9543,
  [SMALL_STATE(112)] = 9654,
  [SMALL_STATE(113)] = 9765,
  [SMALL_STATE(114)] = 9876,
  [SMALL_STATE(115)] = 9987,
  [SMALL_STATE(116)] = 10098,
  [SMALL_STATE(117)] = 10209,
  [SMALL_STATE(118)] = 10320,
  [SMALL_STATE(119)] = 10431,
  [SMALL_STATE(120)] = 10542,
  [SMALL_STATE(121)] = 10653,
  [SMALL_STATE(122)] = 10764,
  [SMALL_STATE(123)] = 10875,
  [SMALL_STATE(124)] = 10986,
  [SMALL_STATE(125)] = 11097,
  [SMALL_STATE(126)] = 11208,
  [SMALL_STATE(127)] = 11319,
  [SMALL_STATE(128)] = 11430,
  [SMALL_STATE(129)] = 11541,
  [SMALL_STATE(130)] = 11652,
  [SMALL_STATE(131)] = 11760,
  [SMALL_STATE(132)] = 11868,
  [SMALL_STATE(133)] = 11976,
  [SMALL_STATE(134)] = 12084,
  [SMALL_STATE(135)] = 12192,
  [SMALL_STATE(136)] = 12300,
  [SMALL_STATE(137)] = 12408,
  [SMALL_STATE(138)] = 12516,
  [SMALL_STATE(139)] = 12624,
  [SMALL_STATE(140)] = 12732,
  [SMALL_STATE(141)] = 12840,
  [SMALL_STATE(142)] = 12948,
  [SMALL_STATE(143)] = 13056,
  [SMALL_STATE(144)] = 13164,
  [SMALL_STATE(145)] = 13272,
  [SMALL_STATE(146)] = 13380,
  [SMALL_STATE(147)] = 13488,
  [SMALL_STATE(148)] = 13596,
  [SMALL_STATE(149)] = 13704,
  [SMALL_STATE(150)] = 13812,
  [SMALL_STATE(151)] = 13920,
  [SMALL_STATE(152)] = 14028,
  [SMALL_STATE(153)] = 14136,
  [SMALL_STATE(154)] = 14244,
  [SMALL_STATE(155)] = 14352,
  [SMALL_STATE(156)] = 14460,
  [SMALL_STATE(157)] = 14568,
  [SMALL_STATE(158)] = 14676,
  [SMALL_STATE(159)] = 14784,
  [SMALL_STATE(160)] = 14892,
  [SMALL_STATE(161)] = 15000,
  [SMALL_STATE(162)] = 15108,
  [SMALL_STATE(163)] = 15216,
  [SMALL_STATE(164)] = 15324,
  [SMALL_STATE(165)] = 15432,
  [SMALL_STATE(166)] = 15540,
  [SMALL_STATE(167)] = 15648,
  [SMALL_STATE(168)] = 15756,
  [SMALL_STATE(169)] = 15864,
  [SMALL_STATE(170)] = 15972,
  [SMALL_STATE(171)] = 16080,
  [SMALL_STATE(172)] = 16188,
  [SMALL_STATE(173)] = 16296,
  [SMALL_STATE(174)] = 16404,
  [SMALL_STATE(175)] = 16512,
  [SMALL_STATE(176)] = 16620,
  [SMALL_STATE(177)] = 16728,
  [SMALL_STATE(178)] = 16836,
  [SMALL_STATE(179)] = 16944,
  [SMALL_STATE(180)] = 17052,
  [SMALL_STATE(181)] = 17160,
  [SMALL_STATE(182)] = 17268,
  [SMALL_STATE(183)] = 17376,
  [SMALL_STATE(184)] = 17484,
  [SMALL_STATE(185)] = 17592,
  [SMALL_STATE(186)] = 17700,
  [SMALL_STATE(187)] = 17808,
  [SMALL_STATE(188)] = 17916,
  [SMALL_STATE(189)] = 18024,
  [SMALL_STATE(190)] = 18132,
  [SMALL_STATE(191)] = 18240,
  [SMALL_STATE(192)] = 18348,
  [SMALL_STATE(193)] = 18456,
  [SMALL_STATE(194)] = 18564,
  [SMALL_STATE(195)] = 18672,
  [SMALL_STATE(196)] = 18780,
  [SMALL_STATE(197)] = 18888,
  [SMALL_STATE(198)] = 18996,
  [SMALL_STATE(199)] = 19104,
  [SMALL_STATE(200)] = 19212,
  [SMALL_STATE(201)] = 19320,
  [SMALL_STATE(202)] = 19428,
  [SMALL_STATE(203)] = 19536,
  [SMALL_STATE(204)] = 19644,
  [SMALL_STATE(205)] = 19752,
  [SMALL_STATE(206)] = 19860,
  [SMALL_STATE(207)] = 19968,
  [SMALL_STATE(208)] = 20076,
  [SMALL_STATE(209)] = 20184,
  [SMALL_STATE(210)] = 20292,
  [SMALL_STATE(211)] = 20400,
  [SMALL_STATE(212)] = 20508,
  [SMALL_STATE(213)] = 20616,
  [SMALL_STATE(214)] = 20724,
  [SMALL_STATE(215)] = 20832,
  [SMALL_STATE(216)] = 20940,
  [SMALL_STATE(217)] = 21048,
  [SMALL_STATE(218)] = 21156,
  [SMALL_STATE(219)] = 21264,
  [SMALL_STATE(220)] = 21372,
  [SMALL_STATE(221)] = 21480,
  [SMALL_STATE(222)] = 21588,
  [SMALL_STATE(223)] = 21696,
  [SMALL_STATE(224)] = 21804,
  [SMALL_STATE(225)] = 21912,
  [SMALL_STATE(226)] = 22020,
  [SMALL_STATE(227)] = 22128,
  [SMALL_STATE(228)] = 22236,
  [SMALL_STATE(229)] = 22344,
  [SMALL_STATE(230)] = 22452,
  [SMALL_STATE(231)] = 22560,
  [SMALL_STATE(232)] = 22668,
  [SMALL_STATE(233)] = 22776,
  [SMALL_STATE(234)] = 22884,
  [SMALL_STATE(235)] = 22992,
  [SMALL_STATE(236)] = 23094,
  [SMALL_STATE(237)] = 23165,
  [SMALL_STATE(238)] = 23236,
  [SMALL_STATE(239)] = 23304,
  [SMALL_STATE(240)] = 23392,
  [SMALL_STATE(241)] = 23457,
  [SMALL_STATE(242)] = 23512,
  [SMALL_STATE(243)] = 23585,
  [SMALL_STATE(244)] = 23654,
  [SMALL_STATE(245)] = 23725,
  [SMALL_STATE(246)] = 23790,
  [SMALL_STATE(247)] = 23857,
  [SMALL_STATE(248)] = 23911,
  [SMALL_STATE(249)] = 23969,
  [SMALL_STATE(250)] = 24023,
  [SMALL_STATE(251)] = 24077,
  [SMALL_STATE(252)] = 24131,
  [SMALL_STATE(253)] = 24184,
  [SMALL_STATE(254)] = 24237,
  [SMALL_STATE(255)] = 24290,
  [SMALL_STATE(256)] = 24343,
  [SMALL_STATE(257)] = 24396,
  [SMALL_STATE(258)] = 24449,
  [SMALL_STATE(259)] = 24502,
  [SMALL_STATE(260)] = 24555,
  [SMALL_STATE(261)] = 24608,
  [SMALL_STATE(262)] = 24661,
  [SMALL_STATE(263)] = 24714,
  [SMALL_STATE(264)] = 24767,
  [SMALL_STATE(265)] = 24820,
  [SMALL_STATE(266)] = 24873,
  [SMALL_STATE(267)] = 24926,
  [SMALL_STATE(268)] = 24979,
  [SMALL_STATE(269)] = 25032,
  [SMALL_STATE(270)] = 25085,
  [SMALL_STATE(271)] = 25138,
  [SMALL_STATE(272)] = 25191,
  [SMALL_STATE(273)] = 25244,
  [SMALL_STATE(274)] = 25297,
  [SMALL_STATE(275)] = 25388,
  [SMALL_STATE(276)] = 25441,
  [SMALL_STATE(277)] = 25494,
  [SMALL_STATE(278)] = 25585,
  [SMALL_STATE(279)] = 25638,
  [SMALL_STATE(280)] = 25691,
  [SMALL_STATE(281)] = 25744,
  [SMALL_STATE(282)] = 25797,
  [SMALL_STATE(283)] = 25850,
  [SMALL_STATE(284)] = 25903,
  [SMALL_STATE(285)] = 25991,
  [SMALL_STATE(286)] = 26054,
  [SMALL_STATE(287)] = 26139,
  [SMALL_STATE(288)] = 26200,
  [SMALL_STATE(289)] = 26261,
  [SMALL_STATE(290)] = 26324,
  [SMALL_STATE(291)] = 26389,
  [SMALL_STATE(292)] = 26458,
  [SMALL_STATE(293)] = 26529,
  [SMALL_STATE(294)] = 26583,
  [SMALL_STATE(295)] = 26632,
  [SMALL_STATE(296)] = 26681,
  [SMALL_STATE(297)] = 26730,
  [SMALL_STATE(298)] = 26779,
  [SMALL_STATE(299)] = 26828,
  [SMALL_STATE(300)] = 26877,
  [SMALL_STATE(301)] = 26926,
  [SMALL_STATE(302)] = 26975,
  [SMALL_STATE(303)] = 27024,
  [SMALL_STATE(304)] = 27073,
  [SMALL_STATE(305)] = 27122,
  [SMALL_STATE(306)] = 27171,
  [SMALL_STATE(307)] = 27220,
  [SMALL_STATE(308)] = 27269,
  [SMALL_STATE(309)] = 27318,
  [SMALL_STATE(310)] = 27367,
  [SMALL_STATE(311)] = 27416,
  [SMALL_STATE(312)] = 27465,
  [SMALL_STATE(313)] = 27514,
  [SMALL_STATE(314)] = 27563,
  [SMALL_STATE(315)] = 27612,
  [SMALL_STATE(316)] = 27661,
  [SMALL_STATE(317)] = 27710,
  [SMALL_STATE(318)] = 27759,
  [SMALL_STATE(319)] = 27808,
  [SMALL_STATE(320)] = 27857,
  [SMALL_STATE(321)] = 27906,
  [SMALL_STATE(322)] = 27955,
  [SMALL_STATE(323)] = 28004,
  [SMALL_STATE(324)] = 28053,
  [SMALL_STATE(325)] = 28102,
  [SMALL_STATE(326)] = 28151,
  [SMALL_STATE(327)] = 28200,
  [SMALL_STATE(328)] = 28249,
  [SMALL_STATE(329)] = 28310,
  [SMALL_STATE(330)] = 28366,
  [SMALL_STATE(331)] = 28422,
  [SMALL_STATE(332)] = 28480,
  [SMALL_STATE(333)] = 28540,
  [SMALL_STATE(334)] = 28604,
  [SMALL_STATE(335)] = 28670,
  [SMALL_STATE(336)] = 28738,
  [SMALL_STATE(337)] = 28815,
  [SMALL_STATE(338)] = 28864,
  [SMALL_STATE(339)] = 28941,
  [SMALL_STATE(340)] = 29030,
  [SMALL_STATE(341)] = 29074,
  [SMALL_STATE(342)] = 29118,
  [SMALL_STATE(343)] = 29162,
  [SMALL_STATE(344)] = 29206,
  [SMALL_STATE(345)] = 29250,
  [SMALL_STATE(346)] = 29294,
  [SMALL_STATE(347)] = 29338,
  [SMALL_STATE(348)] = 29382,
  [SMALL_STATE(349)] = 29426,
  [SMALL_STATE(350)] = 29470,
  [SMALL_STATE(351)] = 29514,
  [SMALL_STATE(352)] = 29558,
  [SMALL_STATE(353)] = 29602,
  [SMALL_STATE(354)] = 29646,
  [SMALL_STATE(355)] = 29690,
  [SMALL_STATE(356)] = 29734,
  [SMALL_STATE(357)] = 29778,
  [SMALL_STATE(358)] = 29822,
  [SMALL_STATE(359)] = 29866,
  [SMALL_STATE(360)] = 29910,
  [SMALL_STATE(361)] = 29954,
  [SMALL_STATE(362)] = 29998,
  [SMALL_STATE(363)] = 30042,
  [SMALL_STATE(364)] = 30086,
  [SMALL_STATE(365)] = 30130,
  [SMALL_STATE(366)] = 30174,
  [SMALL_STATE(367)] = 30218,
  [SMALL_STATE(368)] = 30262,
  [SMALL_STATE(369)] = 30306,
  [SMALL_STATE(370)] = 30350,
  [SMALL_STATE(371)] = 30394,
  [SMALL_STATE(372)] = 30438,
  [SMALL_STATE(373)] = 30482,
  [SMALL_STATE(374)] = 30526,
  [SMALL_STATE(375)] = 30578,
  [SMALL_STATE(376)] = 30630,
  [SMALL_STATE(377)] = 30706,
  [SMALL_STATE(378)] = 30782,
  [SMALL_STATE(379)] = 30827,
  [SMALL_STATE(380)] = 30882,
  [SMALL_STATE(381)] = 30953,
  [SMALL_STATE(382)] = 31024,
  [SMALL_STATE(383)] = 31064,
  [SMALL_STATE(384)] = 31104,
  [SMALL_STATE(385)] = 31144,
  [SMALL_STATE(386)] = 31184,
  [SMALL_STATE(387)] = 31224,
  [SMALL_STATE(388)] = 31264,
  [SMALL_STATE(389)] = 31304,
  [SMALL_STATE(390)] = 31376,
  [SMALL_STATE(391)] = 31450,
  [SMALL_STATE(392)] = 31490,
  [SMALL_STATE(393)] = 31530,
  [SMALL_STATE(394)] = 31570,
  [SMALL_STATE(395)] = 31610,
  [SMALL_STATE(396)] = 31686,
  [SMALL_STATE(397)] = 31726,
  [SMALL_STATE(398)] = 31766,
  [SMALL_STATE(399)] = 31838,
  [SMALL_STATE(400)] = 31878,
  [SMALL_STATE(401)] = 31918,
  [SMALL_STATE(402)] = 31958,
  [SMALL_STATE(403)] = 31998,
  [SMALL_STATE(404)] = 32038,
  [SMALL_STATE(405)] = 32078,
  [SMALL_STATE(406)] = 32118,
  [SMALL_STATE(407)] = 32158,
  [SMALL_STATE(408)] = 32198,
  [SMALL_STATE(409)] = 32238,
  [SMALL_STATE(410)] = 32278,
  [SMALL_STATE(411)] = 32318,
  [SMALL_STATE(412)] = 32394,
  [SMALL_STATE(413)] = 32434,
  [SMALL_STATE(414)] = 32474,
  [SMALL_STATE(415)] = 32550,
  [SMALL_STATE(416)] = 32590,
  [SMALL_STATE(417)] = 32630,
  [SMALL_STATE(418)] = 32670,
  [SMALL_STATE(419)] = 32746,
  [SMALL_STATE(420)] = 32798,
  [SMALL_STATE(421)] = 32838,
  [SMALL_STATE(422)] = 32878,
  [SMALL_STATE(423)] = 32918,
  [SMALL_STATE(424)] = 32958,
  [SMALL_STATE(425)] = 33022,
  [SMALL_STATE(426)] = 33075,
  [SMALL_STATE(427)] = 33126,
  [SMALL_STATE(428)] = 33181,
  [SMALL_STATE(429)] = 33238,
  [SMALL_STATE(430)] = 33287,
  [SMALL_STATE(431)] = 33336,
  [SMALL_STATE(432)] = 33389,
  [SMALL_STATE(433)] = 33446,
  [SMALL_STATE(434)] = 33507,
  [SMALL_STATE(435)] = 33570,
  [SMALL_STATE(436)] = 33629,
  [SMALL_STATE(437)] = 33704,
  [SMALL_STATE(438)] = 33779,
  [SMALL_STATE(439)] = 33854,
  [SMALL_STATE(440)] = 33927,
  [SMALL_STATE(441)] = 33969,
  [SMALL_STATE(442)] = 34039,
  [SMALL_STATE(443)] = 34111,
  [SMALL_STATE(444)] = 34181,
  [SMALL_STATE(445)] = 34253,
  [SMALL_STATE(446)] = 34323,
  [SMALL_STATE(447)] = 34395,
  [SMALL_STATE(448)] = 34467,
  [SMALL_STATE(449)] = 34539,
  [SMALL_STATE(450)] = 34611,
  [SMALL_STATE(451)] = 34663,
  [SMALL_STATE(452)] = 34733,
  [SMALL_STATE(453)] = 34791,
  [SMALL_STATE(454)] = 34861,
  [SMALL_STATE(455)] = 34919,
  [SMALL_STATE(456)] = 34989,
  [SMALL_STATE(457)] = 35061,
  [SMALL_STATE(458)] = 35131,
  [SMALL_STATE(459)] = 35203,
  [SMALL_STATE(460)] = 35275,
  [SMALL_STATE(461)] = 35347,
  [SMALL_STATE(462)] = 35405,
  [SMALL_STATE(463)] = 35442,
  [SMALL_STATE(464)] = 35479,
  [SMALL_STATE(465)] = 35516,
  [SMALL_STATE(466)] = 35553,
  [SMALL_STATE(467)] = 35590,
  [SMALL_STATE(468)] = 35627,
  [SMALL_STATE(469)] = 35664,
  [SMALL_STATE(470)] = 35701,
  [SMALL_STATE(471)] = 35772,
  [SMALL_STATE(472)] = 35843,
  [SMALL_STATE(473)] = 35914,
  [SMALL_STATE(474)] = 35981,
  [SMALL_STATE(475)] = 36018,
  [SMALL_STATE(476)] = 36055,
  [SMALL_STATE(477)] = 36092,
  [SMALL_STATE(478)] = 36129,
  [SMALL_STATE(479)] = 36180,
  [SMALL_STATE(480)] = 36217,
  [SMALL_STATE(481)] = 36254,
  [SMALL_STATE(482)] = 36291,
  [SMALL_STATE(483)] = 36358,
  [SMALL_STATE(484)] = 36395,
  [SMALL_STATE(485)] = 36462,
  [SMALL_STATE(486)] = 36517,
  [SMALL_STATE(487)] = 36576,
  [SMALL_STATE(488)] = 36613,
  [SMALL_STATE(489)] = 36650,
  [SMALL_STATE(490)] = 36687,
  [SMALL_STATE(491)] = 36758,
  [SMALL_STATE(492)] = 36825,
  [SMALL_STATE(493)] = 36862,
  [SMALL_STATE(494)] = 36899,
  [SMALL_STATE(495)] = 36936,
  [SMALL_STATE(496)] = 36973,
  [SMALL_STATE(497)] = 37010,
  [SMALL_STATE(498)] = 37047,
  [SMALL_STATE(499)] = 37118,
  [SMALL_STATE(500)] = 37165,
  [SMALL_STATE(501)] = 37202,
  [SMALL_STATE(502)] = 37273,
  [SMALL_STATE(503)] = 37310,
  [SMALL_STATE(504)] = 37347,
  [SMALL_STATE(505)] = 37384,
  [SMALL_STATE(506)] = 37431,
  [SMALL_STATE(507)] = 37468,
  [SMALL_STATE(508)] = 37505,
  [SMALL_STATE(509)] = 37542,
  [SMALL_STATE(510)] = 37579,
  [SMALL_STATE(511)] = 37646,
  [SMALL_STATE(512)] = 37715,
  [SMALL_STATE(513)] = 37776,
  [SMALL_STATE(514)] = 37839,
  [SMALL_STATE(515)] = 37906,
  [SMALL_STATE(516)] = 37977,
  [SMALL_STATE(517)] = 38014,
  [SMALL_STATE(518)] = 38080,
  [SMALL_STATE(519)] = 38146,
  [SMALL_STATE(520)] = 38212,
  [SMALL_STATE(521)] = 38276,
  [SMALL_STATE(522)] = 38342,
  [SMALL_STATE(523)] = 38408,
  [SMALL_STATE(524)] = 38474,
  [SMALL_STATE(525)] = 38524,
  [SMALL_STATE(526)] = 38588,
  [SMALL_STATE(527)] = 38640,
  [SMALL_STATE(528)] = 38680,
  [SMALL_STATE(529)] = 38746,
  [SMALL_STATE(530)] = 38812,
  [SMALL_STATE(531)] = 38878,
  [SMALL_STATE(532)] = 38913,
  [SMALL_STATE(533)] = 38948,
  [SMALL_STATE(534)] = 39015,
  [SMALL_STATE(535)] = 39078,
  [SMALL_STATE(536)] = 39113,
  [SMALL_STATE(537)] = 39176,
  [SMALL_STATE(538)] = 39211,
  [SMALL_STATE(539)] = 39246,
  [SMALL_STATE(540)] = 39281,
  [SMALL_STATE(541)] = 39316,
  [SMALL_STATE(542)] = 39351,
  [SMALL_STATE(543)] = 39386,
  [SMALL_STATE(544)] = 39443,
  [SMALL_STATE(545)] = 39510,
  [SMALL_STATE(546)] = 39565,
  [SMALL_STATE(547)] = 39600,
  [SMALL_STATE(548)] = 39635,
  [SMALL_STATE(549)] = 39670,
  [SMALL_STATE(550)] = 39705,
  [SMALL_STATE(551)] = 39758,
  [SMALL_STATE(552)] = 39807,
  [SMALL_STATE(553)] = 39842,
  [SMALL_STATE(554)] = 39877,
  [SMALL_STATE(555)] = 39912,
  [SMALL_STATE(556)] = 39977,
  [SMALL_STATE(557)] = 40012,
  [SMALL_STATE(558)] = 40047,
  [SMALL_STATE(559)] = 40082,
  [SMALL_STATE(560)] = 40145,
  [SMALL_STATE(561)] = 40180,
  [SMALL_STATE(562)] = 40215,
  [SMALL_STATE(563)] = 40272,
  [SMALL_STATE(564)] = 40331,
  [SMALL_STATE(565)] = 40366,
  [SMALL_STATE(566)] = 40421,
  [SMALL_STATE(567)] = 40474,
  [SMALL_STATE(568)] = 40523,
  [SMALL_STATE(569)] = 40558,
  [SMALL_STATE(570)] = 40593,
  [SMALL_STATE(571)] = 40628,
  [SMALL_STATE(572)] = 40663,
  [SMALL_STATE(573)] = 40730,
  [SMALL_STATE(574)] = 40765,
  [SMALL_STATE(575)] = 40800,
  [SMALL_STATE(576)] = 40847,
  [SMALL_STATE(577)] = 40882,
  [SMALL_STATE(578)] = 40949,
  [SMALL_STATE(579)] = 41012,
  [SMALL_STATE(580)] = 41075,
  [SMALL_STATE(581)] = 41110,
  [SMALL_STATE(582)] = 41175,
  [SMALL_STATE(583)] = 41242,
  [SMALL_STATE(584)] = 41277,
  [SMALL_STATE(585)] = 41344,
  [SMALL_STATE(586)] = 41379,
  [SMALL_STATE(587)] = 41440,
  [SMALL_STATE(588)] = 41507,
  [SMALL_STATE(589)] = 41542,
  [SMALL_STATE(590)] = 41609,
  [SMALL_STATE(591)] = 41676,
  [SMALL_STATE(592)] = 41711,
  [SMALL_STATE(593)] = 41771,
  [SMALL_STATE(594)] = 41831,
  [SMALL_STATE(595)] = 41891,
  [SMALL_STATE(596)] = 41951,
  [SMALL_STATE(597)] = 42011,
  [SMALL_STATE(598)] = 42071,
  [SMALL_STATE(599)] = 42131,
  [SMALL_STATE(600)] = 42191,
  [SMALL_STATE(601)] = 42251,
  [SMALL_STATE(602)] = 42311,
  [SMALL_STATE(603)] = 42371,
  [SMALL_STATE(604)] = 42431,
  [SMALL_STATE(605)] = 42491,
  [SMALL_STATE(606)] = 42551,
  [SMALL_STATE(607)] = 42609,
  [SMALL_STATE(608)] = 42669,
  [SMALL_STATE(609)] = 42729,
  [SMALL_STATE(610)] = 42789,
  [SMALL_STATE(611)] = 42847,
  [SMALL_STATE(612)] = 42907,
  [SMALL_STATE(613)] = 42971,
  [SMALL_STATE(614)] = 43031,
  [SMALL_STATE(615)] = 43091,
  [SMALL_STATE(616)] = 43151,
  [SMALL_STATE(617)] = 43211,
  [SMALL_STATE(618)] = 43271,
  [SMALL_STATE(619)] = 43331,
  [SMALL_STATE(620)] = 43391,
  [SMALL_STATE(621)] = 43451,
  [SMALL_STATE(622)] = 43511,
  [SMALL_STATE(623)] = 43571,
  [SMALL_STATE(624)] = 43631,
  [SMALL_STATE(625)] = 43689,
  [SMALL_STATE(626)] = 43749,
  [SMALL_STATE(627)] = 43809,
  [SMALL_STATE(628)] = 43869,
  [SMALL_STATE(629)] = 43929,
  [SMALL_STATE(630)] = 43989,
  [SMALL_STATE(631)] = 44049,
  [SMALL_STATE(632)] = 44109,
  [SMALL_STATE(633)] = 44169,
  [SMALL_STATE(634)] = 44226,
  [SMALL_STATE(635)] = 44283,
  [SMALL_STATE(636)] = 44340,
  [SMALL_STATE(637)] = 44397,
  [SMALL_STATE(638)] = 44454,
  [SMALL_STATE(639)] = 44511,
  [SMALL_STATE(640)] = 44568,
  [SMALL_STATE(641)] = 44625,
  [SMALL_STATE(642)] = 44682,
  [SMALL_STATE(643)] = 44739,
  [SMALL_STATE(644)] = 44796,
  [SMALL_STATE(645)] = 44853,
  [SMALL_STATE(646)] = 44910,
  [SMALL_STATE(647)] = 44967,
  [SMALL_STATE(648)] = 45024,
  [SMALL_STATE(649)] = 45081,
  [SMALL_STATE(650)] = 45138,
  [SMALL_STATE(651)] = 45195,
  [SMALL_STATE(652)] = 45252,
  [SMALL_STATE(653)] = 45309,
  [SMALL_STATE(654)] = 45366,
  [SMALL_STATE(655)] = 45423,
  [SMALL_STATE(656)] = 45480,
  [SMALL_STATE(657)] = 45537,
  [SMALL_STATE(658)] = 45594,
  [SMALL_STATE(659)] = 45651,
  [SMALL_STATE(660)] = 45708,
  [SMALL_STATE(661)] = 45765,
  [SMALL_STATE(662)] = 45822,
  [SMALL_STATE(663)] = 45879,
  [SMALL_STATE(664)] = 45936,
  [SMALL_STATE(665)] = 45993,
  [SMALL_STATE(666)] = 46050,
  [SMALL_STATE(667)] = 46107,
  [SMALL_STATE(668)] = 46164,
  [SMALL_STATE(669)] = 46221,
  [SMALL_STATE(670)] = 46278,
  [SMALL_STATE(671)] = 46335,
  [SMALL_STATE(672)] = 46392,
  [SMALL_STATE(673)] = 46449,
  [SMALL_STATE(674)] = 46506,
  [SMALL_STATE(675)] = 46563,
  [SMALL_STATE(676)] = 46620,
  [SMALL_STATE(677)] = 46677,
  [SMALL_STATE(678)] = 46734,
  [SMALL_STATE(679)] = 46791,
  [SMALL_STATE(680)] = 46848,
  [SMALL_STATE(681)] = 46905,
  [SMALL_STATE(682)] = 46962,
  [SMALL_STATE(683)] = 47019,
  [SMALL_STATE(684)] = 47076,
  [SMALL_STATE(685)] = 47133,
  [SMALL_STATE(686)] = 47190,
  [SMALL_STATE(687)] = 47247,
  [SMALL_STATE(688)] = 47304,
  [SMALL_STATE(689)] = 47361,
  [SMALL_STATE(690)] = 47418,
  [SMALL_STATE(691)] = 47475,
  [SMALL_STATE(692)] = 47532,
  [SMALL_STATE(693)] = 47589,
  [SMALL_STATE(694)] = 47646,
  [SMALL_STATE(695)] = 47703,
  [SMALL_STATE(696)] = 47760,
  [SMALL_STATE(697)] = 47817,
  [SMALL_STATE(698)] = 47874,
  [SMALL_STATE(699)] = 47931,
  [SMALL_STATE(700)] = 47988,
  [SMALL_STATE(701)] = 48045,
  [SMALL_STATE(702)] = 48102,
  [SMALL_STATE(703)] = 48159,
  [SMALL_STATE(704)] = 48216,
  [SMALL_STATE(705)] = 48273,
  [SMALL_STATE(706)] = 48330,
  [SMALL_STATE(707)] = 48387,
  [SMALL_STATE(708)] = 48444,
  [SMALL_STATE(709)] = 48501,
  [SMALL_STATE(710)] = 48558,
  [SMALL_STATE(711)] = 48615,
  [SMALL_STATE(712)] = 48672,
  [SMALL_STATE(713)] = 48729,
  [SMALL_STATE(714)] = 48786,
  [SMALL_STATE(715)] = 48843,
  [SMALL_STATE(716)] = 48900,
  [SMALL_STATE(717)] = 48957,
  [SMALL_STATE(718)] = 49014,
  [SMALL_STATE(719)] = 49071,
  [SMALL_STATE(720)] = 49128,
  [SMALL_STATE(721)] = 49187,
  [SMALL_STATE(722)] = 49244,
  [SMALL_STATE(723)] = 49301,
  [SMALL_STATE(724)] = 49358,
  [SMALL_STATE(725)] = 49415,
  [SMALL_STATE(726)] = 49472,
  [SMALL_STATE(727)] = 49529,
  [SMALL_STATE(728)] = 49586,
  [SMALL_STATE(729)] = 49643,
  [SMALL_STATE(730)] = 49700,
  [SMALL_STATE(731)] = 49757,
  [SMALL_STATE(732)] = 49814,
  [SMALL_STATE(733)] = 49871,
  [SMALL_STATE(734)] = 49928,
  [SMALL_STATE(735)] = 49985,
  [SMALL_STATE(736)] = 50044,
  [SMALL_STATE(737)] = 50101,
  [SMALL_STATE(738)] = 50158,
  [SMALL_STATE(739)] = 50215,
  [SMALL_STATE(740)] = 50272,
  [SMALL_STATE(741)] = 50329,
  [SMALL_STATE(742)] = 50386,
  [SMALL_STATE(743)] = 50443,
  [SMALL_STATE(744)] = 50504,
  [SMALL_STATE(745)] = 50561,
  [SMALL_STATE(746)] = 50618,
  [SMALL_STATE(747)] = 50675,
  [SMALL_STATE(748)] = 50732,
  [SMALL_STATE(749)] = 50789,
  [SMALL_STATE(750)] = 50846,
  [SMALL_STATE(751)] = 50903,
  [SMALL_STATE(752)] = 50957,
  [SMALL_STATE(753)] = 50987,
  [SMALL_STATE(754)] = 51017,
  [SMALL_STATE(755)] = 51047,
  [SMALL_STATE(756)] = 51077,
  [SMALL_STATE(757)] = 51109,
  [SMALL_STATE(758)] = 51136,
  [SMALL_STATE(759)] = 51162,
  [SMALL_STATE(760)] = 51188,
  [SMALL_STATE(761)] = 51214,
  [SMALL_STATE(762)] = 51240,
  [SMALL_STATE(763)] = 51265,
  [SMALL_STATE(764)] = 51290,
  [SMALL_STATE(765)] = 51315,
  [SMALL_STATE(766)] = 51340,
  [SMALL_STATE(767)] = 51365,
  [SMALL_STATE(768)] = 51390,
  [SMALL_STATE(769)] = 51418,
  [SMALL_STATE(770)] = 51446,
  [SMALL_STATE(771)] = 51472,
  [SMALL_STATE(772)] = 51495,
  [SMALL_STATE(773)] = 51520,
  [SMALL_STATE(774)] = 51541,
  [SMALL_STATE(775)] = 51566,
  [SMALL_STATE(776)] = 51591,
  [SMALL_STATE(777)] = 51612,
  [SMALL_STATE(778)] = 51637,
  [SMALL_STATE(779)] = 51658,
  [SMALL_STATE(780)] = 51679,
  [SMALL_STATE(781)] = 51700,
  [SMALL_STATE(782)] = 51720,
  [SMALL_STATE(783)] = 51740,
  [SMALL_STATE(784)] = 51762,
  [SMALL_STATE(785)] = 51782,
  [SMALL_STATE(786)] = 51802,
  [SMALL_STATE(787)] = 51822,
  [SMALL_STATE(788)] = 51842,
  [SMALL_STATE(789)] = 51862,
  [SMALL_STATE(790)] = 51882,
  [SMALL_STATE(791)] = 51902,
  [SMALL_STATE(792)] = 51922,
  [SMALL_STATE(793)] = 51942,
  [SMALL_STATE(794)] = 51962,
  [SMALL_STATE(795)] = 51982,
  [SMALL_STATE(796)] = 52004,
  [SMALL_STATE(797)] = 52024,
  [SMALL_STATE(798)] = 52044,
  [SMALL_STATE(799)] = 52066,
  [SMALL_STATE(800)] = 52086,
  [SMALL_STATE(801)] = 52106,
  [SMALL_STATE(802)] = 52126,
  [SMALL_STATE(803)] = 52146,
  [SMALL_STATE(804)] = 52166,
  [SMALL_STATE(805)] = 52186,
  [SMALL_STATE(806)] = 52206,
  [SMALL_STATE(807)] = 52228,
  [SMALL_STATE(808)] = 52248,
  [SMALL_STATE(809)] = 52268,
  [SMALL_STATE(810)] = 52288,
  [SMALL_STATE(811)] = 52308,
  [SMALL_STATE(812)] = 52328,
  [SMALL_STATE(813)] = 52347,
  [SMALL_STATE(814)] = 52380,
  [SMALL_STATE(815)] = 52403,
  [SMALL_STATE(816)] = 52422,
  [SMALL_STATE(817)] = 52445,
  [SMALL_STATE(818)] = 52464,
  [SMALL_STATE(819)] = 52484,
  [SMALL_STATE(820)] = 52514,
  [SMALL_STATE(821)] = 52546,
  [SMALL_STATE(822)] = 52576,
  [SMALL_STATE(823)] = 52604,
  [SMALL_STATE(824)] = 52636,
  [SMALL_STATE(825)] = 52656,
  [SMALL_STATE(826)] = 52673,
  [SMALL_STATE(827)] = 52688,
  [SMALL_STATE(828)] = 52703,
  [SMALL_STATE(829)] = 52718,
  [SMALL_STATE(830)] = 52733,
  [SMALL_STATE(831)] = 52756,
  [SMALL_STATE(832)] = 52771,
  [SMALL_STATE(833)] = 52802,
  [SMALL_STATE(834)] = 52817,
  [SMALL_STATE(835)] = 52832,
  [SMALL_STATE(836)] = 52863,
  [SMALL_STATE(837)] = 52878,
  [SMALL_STATE(838)] = 52909,
  [SMALL_STATE(839)] = 52932,
  [SMALL_STATE(840)] = 52947,
  [SMALL_STATE(841)] = 52962,
  [SMALL_STATE(842)] = 52977,
  [SMALL_STATE(843)] = 52992,
  [SMALL_STATE(844)] = 53009,
  [SMALL_STATE(845)] = 53040,
  [SMALL_STATE(846)] = 53055,
  [SMALL_STATE(847)] = 53070,
  [SMALL_STATE(848)] = 53085,
  [SMALL_STATE(849)] = 53100,
  [SMALL_STATE(850)] = 53115,
  [SMALL_STATE(851)] = 53130,
  [SMALL_STATE(852)] = 53145,
  [SMALL_STATE(853)] = 53160,
  [SMALL_STATE(854)] = 53177,
  [SMALL_STATE(855)] = 53192,
  [SMALL_STATE(856)] = 53207,
  [SMALL_STATE(857)] = 53224,
  [SMALL_STATE(858)] = 53255,
  [SMALL_STATE(859)] = 53270,
  [SMALL_STATE(860)] = 53285,
  [SMALL_STATE(861)] = 53300,
  [SMALL_STATE(862)] = 53331,
  [SMALL_STATE(863)] = 53354,
  [SMALL_STATE(864)] = 53378,
  [SMALL_STATE(865)] = 53398,
  [SMALL_STATE(866)] = 53422,
  [SMALL_STATE(867)] = 53446,
  [SMALL_STATE(868)] = 53466,
  [SMALL_STATE(869)] = 53490,
  [SMALL_STATE(870)] = 53518,
  [SMALL_STATE(871)] = 53538,
  [SMALL_STATE(872)] = 53562,
  [SMALL_STATE(873)] = 53582,
  [SMALL_STATE(874)] = 53602,
  [SMALL_STATE(875)] = 53622,
  [SMALL_STATE(876)] = 53637,
  [SMALL_STATE(877)] = 53652,
  [SMALL_STATE(878)] = 53671,
  [SMALL_STATE(879)] = 53686,
  [SMALL_STATE(880)] = 53709,
  [SMALL_STATE(881)] = 53728,
  [SMALL_STATE(882)] = 53743,
  [SMALL_STATE(883)] = 53758,
  [SMALL_STATE(884)] = 53777,
  [SMALL_STATE(885)] = 53794,
  [SMALL_STATE(886)] = 53811,
  [SMALL_STATE(887)] = 53828,
  [SMALL_STATE(888)] = 53845,
  [SMALL_STATE(889)] = 53864,
  [SMALL_STATE(890)] = 53879,
  [SMALL_STATE(891)] = 53894,
  [SMALL_STATE(892)] = 53911,
  [SMALL_STATE(893)] = 53926,
  [SMALL_STATE(894)] = 53943,
  [SMALL_STATE(895)] = 53958,
  [SMALL_STATE(896)] = 53975,
  [SMALL_STATE(897)] = 53992,
  [SMALL_STATE(898)] = 54009,
  [SMALL_STATE(899)] = 54024,
  [SMALL_STATE(900)] = 54039,
  [SMALL_STATE(901)] = 54056,
  [SMALL_STATE(902)] = 54073,
  [SMALL_STATE(903)] = 54090,
  [SMALL_STATE(904)] = 54111,
  [SMALL_STATE(905)] = 54132,
  [SMALL_STATE(906)] = 54147,
  [SMALL_STATE(907)] = 54162,
  [SMALL_STATE(908)] = 54183,
  [SMALL_STATE(909)] = 54198,
  [SMALL_STATE(910)] = 54213,
  [SMALL_STATE(911)] = 54228,
  [SMALL_STATE(912)] = 54243,
  [SMALL_STATE(913)] = 54258,
  [SMALL_STATE(914)] = 54281,
  [SMALL_STATE(915)] = 54296,
  [SMALL_STATE(916)] = 54311,
  [SMALL_STATE(917)] = 54326,
  [SMALL_STATE(918)] = 54341,
  [SMALL_STATE(919)] = 54358,
  [SMALL_STATE(920)] = 54373,
  [SMALL_STATE(921)] = 54388,
  [SMALL_STATE(922)] = 54403,
  [SMALL_STATE(923)] = 54417,
  [SMALL_STATE(924)] = 54431,
  [SMALL_STATE(925)] = 54445,
  [SMALL_STATE(926)] = 54459,
  [SMALL_STATE(927)] = 54479,
  [SMALL_STATE(928)] = 54495,
  [SMALL_STATE(929)] = 54513,
  [SMALL_STATE(930)] = 54527,
  [SMALL_STATE(931)] = 54545,
  [SMALL_STATE(932)] = 54559,
  [SMALL_STATE(933)] = 54573,
  [SMALL_STATE(934)] = 54587,
  [SMALL_STATE(935)] = 54605,
  [SMALL_STATE(936)] = 54619,
  [SMALL_STATE(937)] = 54633,
  [SMALL_STATE(938)] = 54647,
  [SMALL_STATE(939)] = 54661,
  [SMALL_STATE(940)] = 54675,
  [SMALL_STATE(941)] = 54689,
  [SMALL_STATE(942)] = 54703,
  [SMALL_STATE(943)] = 54721,
  [SMALL_STATE(944)] = 54735,
  [SMALL_STATE(945)] = 54749,
  [SMALL_STATE(946)] = 54763,
  [SMALL_STATE(947)] = 54781,
  [SMALL_STATE(948)] = 54795,
  [SMALL_STATE(949)] = 54813,
  [SMALL_STATE(950)] = 54831,
  [SMALL_STATE(951)] = 54849,
  [SMALL_STATE(952)] = 54867,
  [SMALL_STATE(953)] = 54881,
  [SMALL_STATE(954)] = 54895,
  [SMALL_STATE(955)] = 54913,
  [SMALL_STATE(956)] = 54927,
  [SMALL_STATE(957)] = 54945,
  [SMALL_STATE(958)] = 54963,
  [SMALL_STATE(959)] = 54977,
  [SMALL_STATE(960)] = 54991,
  [SMALL_STATE(961)] = 55005,
  [SMALL_STATE(962)] = 55023,
  [SMALL_STATE(963)] = 55037,
  [SMALL_STATE(964)] = 55051,
  [SMALL_STATE(965)] = 55071,
  [SMALL_STATE(966)] = 55085,
  [SMALL_STATE(967)] = 55103,
  [SMALL_STATE(968)] = 55117,
  [SMALL_STATE(969)] = 55131,
  [SMALL_STATE(970)] = 55145,
  [SMALL_STATE(971)] = 55159,
  [SMALL_STATE(972)] = 55179,
  [SMALL_STATE(973)] = 55193,
  [SMALL_STATE(974)] = 55211,
  [SMALL_STATE(975)] = 55225,
  [SMALL_STATE(976)] = 55243,
  [SMALL_STATE(977)] = 55257,
  [SMALL_STATE(978)] = 55277,
  [SMALL_STATE(979)] = 55291,
  [SMALL_STATE(980)] = 55311,
  [SMALL_STATE(981)] = 55325,
  [SMALL_STATE(982)] = 55343,
  [SMALL_STATE(983)] = 55363,
  [SMALL_STATE(984)] = 55381,
  [SMALL_STATE(985)] = 55395,
  [SMALL_STATE(986)] = 55409,
  [SMALL_STATE(987)] = 55423,
  [SMALL_STATE(988)] = 55443,
  [SMALL_STATE(989)] = 55461,
  [SMALL_STATE(990)] = 55475,
  [SMALL_STATE(991)] = 55489,
  [SMALL_STATE(992)] = 55503,
  [SMALL_STATE(993)] = 55517,
  [SMALL_STATE(994)] = 55535,
  [SMALL_STATE(995)] = 55553,
  [SMALL_STATE(996)] = 55571,
  [SMALL_STATE(997)] = 55585,
  [SMALL_STATE(998)] = 55599,
  [SMALL_STATE(999)] = 55617,
  [SMALL_STATE(1000)] = 55631,
  [SMALL_STATE(1001)] = 55651,
  [SMALL_STATE(1002)] = 55664,
  [SMALL_STATE(1003)] = 55679,
  [SMALL_STATE(1004)] = 55696,
  [SMALL_STATE(1005)] = 55713,
  [SMALL_STATE(1006)] = 55730,
  [SMALL_STATE(1007)] = 55747,
  [SMALL_STATE(1008)] = 55764,
  [SMALL_STATE(1009)] = 55781,
  [SMALL_STATE(1010)] = 55798,
  [SMALL_STATE(1011)] = 55815,
  [SMALL_STATE(1012)] = 55832,
  [SMALL_STATE(1013)] = 55849,
  [SMALL_STATE(1014)] = 55864,
  [SMALL_STATE(1015)] = 55881,
  [SMALL_STATE(1016)] = 55898,
  [SMALL_STATE(1017)] = 55911,
  [SMALL_STATE(1018)] = 55928,
  [SMALL_STATE(1019)] = 55947,
  [SMALL_STATE(1020)] = 55964,
  [SMALL_STATE(1021)] = 55981,
  [SMALL_STATE(1022)] = 55998,
  [SMALL_STATE(1023)] = 56015,
  [SMALL_STATE(1024)] = 56026,
  [SMALL_STATE(1025)] = 56043,
  [SMALL_STATE(1026)] = 56060,
  [SMALL_STATE(1027)] = 56073,
  [SMALL_STATE(1028)] = 56090,
  [SMALL_STATE(1029)] = 56109,
  [SMALL_STATE(1030)] = 56126,
  [SMALL_STATE(1031)] = 56139,
  [SMALL_STATE(1032)] = 56156,
  [SMALL_STATE(1033)] = 56173,
  [SMALL_STATE(1034)] = 56190,
  [SMALL_STATE(1035)] = 56207,
  [SMALL_STATE(1036)] = 56224,
  [SMALL_STATE(1037)] = 56240,
  [SMALL_STATE(1038)] = 56254,
  [SMALL_STATE(1039)] = 56266,
  [SMALL_STATE(1040)] = 56282,
  [SMALL_STATE(1041)] = 56294,
  [SMALL_STATE(1042)] = 56310,
  [SMALL_STATE(1043)] = 56326,
  [SMALL_STATE(1044)] = 56338,
  [SMALL_STATE(1045)] = 56350,
  [SMALL_STATE(1046)] = 56366,
  [SMALL_STATE(1047)] = 56382,
  [SMALL_STATE(1048)] = 56394,
  [SMALL_STATE(1049)] = 56408,
  [SMALL_STATE(1050)] = 56420,
  [SMALL_STATE(1051)] = 56432,
  [SMALL_STATE(1052)] = 56444,
  [SMALL_STATE(1053)] = 56456,
  [SMALL_STATE(1054)] = 56468,
  [SMALL_STATE(1055)] = 56480,
  [SMALL_STATE(1056)] = 56492,
  [SMALL_STATE(1057)] = 56504,
  [SMALL_STATE(1058)] = 56520,
  [SMALL_STATE(1059)] = 56536,
  [SMALL_STATE(1060)] = 56548,
  [SMALL_STATE(1061)] = 56562,
  [SMALL_STATE(1062)] = 56578,
  [SMALL_STATE(1063)] = 56594,
  [SMALL_STATE(1064)] = 56610,
  [SMALL_STATE(1065)] = 56622,
  [SMALL_STATE(1066)] = 56634,
  [SMALL_STATE(1067)] = 56646,
  [SMALL_STATE(1068)] = 56660,
  [SMALL_STATE(1069)] = 56674,
  [SMALL_STATE(1070)] = 56686,
  [SMALL_STATE(1071)] = 56700,
  [SMALL_STATE(1072)] = 56712,
  [SMALL_STATE(1073)] = 56728,
  [SMALL_STATE(1074)] = 56742,
  [SMALL_STATE(1075)] = 56756,
  [SMALL_STATE(1076)] = 56770,
  [SMALL_STATE(1077)] = 56782,
  [SMALL_STATE(1078)] = 56794,
  [SMALL_STATE(1079)] = 56806,
  [SMALL_STATE(1080)] = 56820,
  [SMALL_STATE(1081)] = 56832,
  [SMALL_STATE(1082)] = 56848,
  [SMALL_STATE(1083)] = 56864,
  [SMALL_STATE(1084)] = 56880,
  [SMALL_STATE(1085)] = 56896,
  [SMALL_STATE(1086)] = 56910,
  [SMALL_STATE(1087)] = 56926,
  [SMALL_STATE(1088)] = 56938,
  [SMALL_STATE(1089)] = 56954,
  [SMALL_STATE(1090)] = 56966,
  [SMALL_STATE(1091)] = 56978,
  [SMALL_STATE(1092)] = 56994,
  [SMALL_STATE(1093)] = 57008,
  [SMALL_STATE(1094)] = 57022,
  [SMALL_STATE(1095)] = 57038,
  [SMALL_STATE(1096)] = 57052,
  [SMALL_STATE(1097)] = 57066,
  [SMALL_STATE(1098)] = 57082,
  [SMALL_STATE(1099)] = 57094,
  [SMALL_STATE(1100)] = 57106,
  [SMALL_STATE(1101)] = 57120,
  [SMALL_STATE(1102)] = 57136,
  [SMALL_STATE(1103)] = 57150,
  [SMALL_STATE(1104)] = 57162,
  [SMALL_STATE(1105)] = 57176,
  [SMALL_STATE(1106)] = 57192,
  [SMALL_STATE(1107)] = 57208,
  [SMALL_STATE(1108)] = 57222,
  [SMALL_STATE(1109)] = 57238,
  [SMALL_STATE(1110)] = 57252,
  [SMALL_STATE(1111)] = 57266,
  [SMALL_STATE(1112)] = 57280,
  [SMALL_STATE(1113)] = 57294,
  [SMALL_STATE(1114)] = 57308,
  [SMALL_STATE(1115)] = 57322,
  [SMALL_STATE(1116)] = 57336,
  [SMALL_STATE(1117)] = 57350,
  [SMALL_STATE(1118)] = 57362,
  [SMALL_STATE(1119)] = 57374,
  [SMALL_STATE(1120)] = 57390,
  [SMALL_STATE(1121)] = 57402,
  [SMALL_STATE(1122)] = 57418,
  [SMALL_STATE(1123)] = 57430,
  [SMALL_STATE(1124)] = 57442,
  [SMALL_STATE(1125)] = 57454,
  [SMALL_STATE(1126)] = 57468,
  [SMALL_STATE(1127)] = 57480,
  [SMALL_STATE(1128)] = 57496,
  [SMALL_STATE(1129)] = 57510,
  [SMALL_STATE(1130)] = 57526,
  [SMALL_STATE(1131)] = 57540,
  [SMALL_STATE(1132)] = 57552,
  [SMALL_STATE(1133)] = 57566,
  [SMALL_STATE(1134)] = 57578,
  [SMALL_STATE(1135)] = 57590,
  [SMALL_STATE(1136)] = 57602,
  [SMALL_STATE(1137)] = 57616,
  [SMALL_STATE(1138)] = 57629,
  [SMALL_STATE(1139)] = 57642,
  [SMALL_STATE(1140)] = 57655,
  [SMALL_STATE(1141)] = 57668,
  [SMALL_STATE(1142)] = 57681,
  [SMALL_STATE(1143)] = 57692,
  [SMALL_STATE(1144)] = 57705,
  [SMALL_STATE(1145)] = 57718,
  [SMALL_STATE(1146)] = 57729,
  [SMALL_STATE(1147)] = 57742,
  [SMALL_STATE(1148)] = 57755,
  [SMALL_STATE(1149)] = 57768,
  [SMALL_STATE(1150)] = 57781,
  [SMALL_STATE(1151)] = 57792,
  [SMALL_STATE(1152)] = 57803,
  [SMALL_STATE(1153)] = 57816,
  [SMALL_STATE(1154)] = 57825,
  [SMALL_STATE(1155)] = 57836,
  [SMALL_STATE(1156)] = 57847,
  [SMALL_STATE(1157)] = 57858,
  [SMALL_STATE(1158)] = 57869,
  [SMALL_STATE(1159)] = 57878,
  [SMALL_STATE(1160)] = 57889,
  [SMALL_STATE(1161)] = 57900,
  [SMALL_STATE(1162)] = 57911,
  [SMALL_STATE(1163)] = 57924,
  [SMALL_STATE(1164)] = 57933,
  [SMALL_STATE(1165)] = 57944,
  [SMALL_STATE(1166)] = 57957,
  [SMALL_STATE(1167)] = 57966,
  [SMALL_STATE(1168)] = 57979,
  [SMALL_STATE(1169)] = 57992,
  [SMALL_STATE(1170)] = 58005,
  [SMALL_STATE(1171)] = 58016,
  [SMALL_STATE(1172)] = 58029,
  [SMALL_STATE(1173)] = 58040,
  [SMALL_STATE(1174)] = 58053,
  [SMALL_STATE(1175)] = 58066,
  [SMALL_STATE(1176)] = 58075,
  [SMALL_STATE(1177)] = 58088,
  [SMALL_STATE(1178)] = 58101,
  [SMALL_STATE(1179)] = 58114,
  [SMALL_STATE(1180)] = 58127,
  [SMALL_STATE(1181)] = 58140,
  [SMALL_STATE(1182)] = 58153,
  [SMALL_STATE(1183)] = 58164,
  [SMALL_STATE(1184)] = 58173,
  [SMALL_STATE(1185)] = 58186,
  [SMALL_STATE(1186)] = 58199,
  [SMALL_STATE(1187)] = 58212,
  [SMALL_STATE(1188)] = 58223,
  [SMALL_STATE(1189)] = 58236,
  [SMALL_STATE(1190)] = 58249,
  [SMALL_STATE(1191)] = 58262,
  [SMALL_STATE(1192)] = 58275,
  [SMALL_STATE(1193)] = 58286,
  [SMALL_STATE(1194)] = 58299,
  [SMALL_STATE(1195)] = 58312,
  [SMALL_STATE(1196)] = 58325,
  [SMALL_STATE(1197)] = 58338,
  [SMALL_STATE(1198)] = 58351,
  [SMALL_STATE(1199)] = 58364,
  [SMALL_STATE(1200)] = 58377,
  [SMALL_STATE(1201)] = 58390,
  [SMALL_STATE(1202)] = 58403,
  [SMALL_STATE(1203)] = 58416,
  [SMALL_STATE(1204)] = 58429,
  [SMALL_STATE(1205)] = 58442,
  [SMALL_STATE(1206)] = 58455,
  [SMALL_STATE(1207)] = 58468,
  [SMALL_STATE(1208)] = 58477,
  [SMALL_STATE(1209)] = 58488,
  [SMALL_STATE(1210)] = 58501,
  [SMALL_STATE(1211)] = 58514,
  [SMALL_STATE(1212)] = 58527,
  [SMALL_STATE(1213)] = 58538,
  [SMALL_STATE(1214)] = 58551,
  [SMALL_STATE(1215)] = 58560,
  [SMALL_STATE(1216)] = 58573,
  [SMALL_STATE(1217)] = 58586,
  [SMALL_STATE(1218)] = 58597,
  [SMALL_STATE(1219)] = 58610,
  [SMALL_STATE(1220)] = 58623,
  [SMALL_STATE(1221)] = 58636,
  [SMALL_STATE(1222)] = 58649,
  [SMALL_STATE(1223)] = 58662,
  [SMALL_STATE(1224)] = 58675,
  [SMALL_STATE(1225)] = 58683,
  [SMALL_STATE(1226)] = 58693,
  [SMALL_STATE(1227)] = 58703,
  [SMALL_STATE(1228)] = 58713,
  [SMALL_STATE(1229)] = 58723,
  [SMALL_STATE(1230)] = 58733,
  [SMALL_STATE(1231)] = 58741,
  [SMALL_STATE(1232)] = 58751,
  [SMALL_STATE(1233)] = 58761,
  [SMALL_STATE(1234)] = 58771,
  [SMALL_STATE(1235)] = 58779,
  [SMALL_STATE(1236)] = 58789,
  [SMALL_STATE(1237)] = 58799,
  [SMALL_STATE(1238)] = 58807,
  [SMALL_STATE(1239)] = 58817,
  [SMALL_STATE(1240)] = 58827,
  [SMALL_STATE(1241)] = 58837,
  [SMALL_STATE(1242)] = 58847,
  [SMALL_STATE(1243)] = 58857,
  [SMALL_STATE(1244)] = 58867,
  [SMALL_STATE(1245)] = 58875,
  [SMALL_STATE(1246)] = 58883,
  [SMALL_STATE(1247)] = 58891,
  [SMALL_STATE(1248)] = 58901,
  [SMALL_STATE(1249)] = 58911,
  [SMALL_STATE(1250)] = 58921,
  [SMALL_STATE(1251)] = 58931,
  [SMALL_STATE(1252)] = 58941,
  [SMALL_STATE(1253)] = 58951,
  [SMALL_STATE(1254)] = 58959,
  [SMALL_STATE(1255)] = 58969,
  [SMALL_STATE(1256)] = 58979,
  [SMALL_STATE(1257)] = 58989,
  [SMALL_STATE(1258)] = 58999,
  [SMALL_STATE(1259)] = 59009,
  [SMALL_STATE(1260)] = 59019,
  [SMALL_STATE(1261)] = 59027,
  [SMALL_STATE(1262)] = 59035,
  [SMALL_STATE(1263)] = 59045,
  [SMALL_STATE(1264)] = 59055,
  [SMALL_STATE(1265)] = 59065,
  [SMALL_STATE(1266)] = 59075,
  [SMALL_STATE(1267)] = 59085,
  [SMALL_STATE(1268)] = 59095,
  [SMALL_STATE(1269)] = 59105,
  [SMALL_STATE(1270)] = 59115,
  [SMALL_STATE(1271)] = 59125,
  [SMALL_STATE(1272)] = 59135,
  [SMALL_STATE(1273)] = 59145,
  [SMALL_STATE(1274)] = 59155,
  [SMALL_STATE(1275)] = 59165,
  [SMALL_STATE(1276)] = 59175,
  [SMALL_STATE(1277)] = 59185,
  [SMALL_STATE(1278)] = 59195,
  [SMALL_STATE(1279)] = 59205,
  [SMALL_STATE(1280)] = 59213,
  [SMALL_STATE(1281)] = 59223,
  [SMALL_STATE(1282)] = 59233,
  [SMALL_STATE(1283)] = 59243,
  [SMALL_STATE(1284)] = 59253,
  [SMALL_STATE(1285)] = 59263,
  [SMALL_STATE(1286)] = 59273,
  [SMALL_STATE(1287)] = 59283,
  [SMALL_STATE(1288)] = 59293,
  [SMALL_STATE(1289)] = 59303,
  [SMALL_STATE(1290)] = 59313,
  [SMALL_STATE(1291)] = 59323,
  [SMALL_STATE(1292)] = 59333,
  [SMALL_STATE(1293)] = 59343,
  [SMALL_STATE(1294)] = 59353,
  [SMALL_STATE(1295)] = 59363,
  [SMALL_STATE(1296)] = 59373,
  [SMALL_STATE(1297)] = 59383,
  [SMALL_STATE(1298)] = 59393,
  [SMALL_STATE(1299)] = 59401,
  [SMALL_STATE(1300)] = 59409,
  [SMALL_STATE(1301)] = 59419,
  [SMALL_STATE(1302)] = 59427,
  [SMALL_STATE(1303)] = 59435,
  [SMALL_STATE(1304)] = 59445,
  [SMALL_STATE(1305)] = 59453,
  [SMALL_STATE(1306)] = 59460,
  [SMALL_STATE(1307)] = 59467,
  [SMALL_STATE(1308)] = 59474,
  [SMALL_STATE(1309)] = 59481,
  [SMALL_STATE(1310)] = 59488,
  [SMALL_STATE(1311)] = 59495,
  [SMALL_STATE(1312)] = 59502,
  [SMALL_STATE(1313)] = 59509,
  [SMALL_STATE(1314)] = 59516,
  [SMALL_STATE(1315)] = 59523,
  [SMALL_STATE(1316)] = 59530,
  [SMALL_STATE(1317)] = 59537,
  [SMALL_STATE(1318)] = 59544,
  [SMALL_STATE(1319)] = 59551,
  [SMALL_STATE(1320)] = 59558,
  [SMALL_STATE(1321)] = 59565,
  [SMALL_STATE(1322)] = 59572,
  [SMALL_STATE(1323)] = 59579,
  [SMALL_STATE(1324)] = 59586,
  [SMALL_STATE(1325)] = 59593,
  [SMALL_STATE(1326)] = 59600,
  [SMALL_STATE(1327)] = 59607,
  [SMALL_STATE(1328)] = 59614,
  [SMALL_STATE(1329)] = 59621,
  [SMALL_STATE(1330)] = 59628,
  [SMALL_STATE(1331)] = 59635,
  [SMALL_STATE(1332)] = 59642,
  [SMALL_STATE(1333)] = 59649,
  [SMALL_STATE(1334)] = 59656,
  [SMALL_STATE(1335)] = 59663,
  [SMALL_STATE(1336)] = 59670,
  [SMALL_STATE(1337)] = 59677,
  [SMALL_STATE(1338)] = 59684,
  [SMALL_STATE(1339)] = 59691,
  [SMALL_STATE(1340)] = 59698,
  [SMALL_STATE(1341)] = 59705,
  [SMALL_STATE(1342)] = 59712,
  [SMALL_STATE(1343)] = 59719,
  [SMALL_STATE(1344)] = 59726,
  [SMALL_STATE(1345)] = 59733,
  [SMALL_STATE(1346)] = 59740,
  [SMALL_STATE(1347)] = 59747,
  [SMALL_STATE(1348)] = 59754,
  [SMALL_STATE(1349)] = 59761,
  [SMALL_STATE(1350)] = 59768,
  [SMALL_STATE(1351)] = 59775,
  [SMALL_STATE(1352)] = 59782,
  [SMALL_STATE(1353)] = 59789,
  [SMALL_STATE(1354)] = 59796,
  [SMALL_STATE(1355)] = 59803,
  [SMALL_STATE(1356)] = 59810,
  [SMALL_STATE(1357)] = 59817,
  [SMALL_STATE(1358)] = 59824,
  [SMALL_STATE(1359)] = 59831,
  [SMALL_STATE(1360)] = 59838,
  [SMALL_STATE(1361)] = 59845,
  [SMALL_STATE(1362)] = 59852,
  [SMALL_STATE(1363)] = 59859,
  [SMALL_STATE(1364)] = 59866,
  [SMALL_STATE(1365)] = 59873,
  [SMALL_STATE(1366)] = 59880,
  [SMALL_STATE(1367)] = 59887,
  [SMALL_STATE(1368)] = 59894,
  [SMALL_STATE(1369)] = 59901,
  [SMALL_STATE(1370)] = 59908,
  [SMALL_STATE(1371)] = 59915,
  [SMALL_STATE(1372)] = 59922,
  [SMALL_STATE(1373)] = 59929,
  [SMALL_STATE(1374)] = 59936,
  [SMALL_STATE(1375)] = 59943,
  [SMALL_STATE(1376)] = 59950,
  [SMALL_STATE(1377)] = 59957,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(236),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(941),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1370),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(820),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(157),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1143),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1144),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1168),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(58),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1132),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(199),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1257),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(651),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(15),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1350),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1346),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(660),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(230),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(985),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(884),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(887),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1336),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(28),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(193),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(176),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(27),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(21),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1335),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(248),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(149),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(256),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1111),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(256),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 101),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, .production_id = 101),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, .production_id = 40),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, .production_id = 40),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 86),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 57),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 56),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1341),
  [566] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(655),
  [570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(1362),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(116),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(646),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1341),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(667),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, .production_id = 45),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, .production_id = 45),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 62),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 62),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 61),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 61),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 37),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 37),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, .production_id = 105),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, .production_id = 105),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, .production_id = 102),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, .production_id = 102),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, .production_id = 99),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, .production_id = 99),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 60),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 60),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 60),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 60),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(667),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 44),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, .production_id = 44),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 2, .production_id = 54),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 2, .production_id = 54),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, .production_id = 59),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, .production_id = 36),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, .production_id = 36),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, .production_id = 84),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, .production_id = 30),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, .production_id = 34),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1329),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(136),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(707),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1358),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68), SHIFT_REPEAT(1362),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(707),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68), SHIFT_REPEAT(1357),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 32),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 32),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, .production_id = 47),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, .production_id = 47),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 65),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 65),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(667),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1), SHIFT(667),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(676),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(676),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(212),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 39),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 39),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 29),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 29),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, .production_id = 49),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, .production_id = 49),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, .production_id = 48),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, .production_id = 48),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 97),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 97),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 38),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 38),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_term, 2),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_term, 2),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 64),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 64),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 64),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 64),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, .production_id = 34),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, .production_id = 34),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3),
  [1954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3),
  [1998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 31),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 31),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(153),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, .production_id = 58),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, .production_id = 58),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 97),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 97),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(126),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_elem_repeat1, 2),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_elem_repeat1, 2),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_elem_repeat1, 2), SHIFT_REPEAT(1008),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_elem, 2),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_elem, 2),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_elem, 1),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_elem, 1),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(49),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, .production_id = 58),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, .production_id = 58),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [2146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(721),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 3, .production_id = 79),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 3, .production_id = 79),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interface_body, 1, .production_id = 27),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interface_body, 1, .production_id = 27),
  [2210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(534),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_term, 1),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_term, 1),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(869),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(869),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(612),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(612),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(511),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(511),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, .production_id = 94),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, .production_id = 94),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 95),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 95),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 19),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 67),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1067),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(376),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(521),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 18),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 43),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 43),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(693),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2),
  [2523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [2527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 53),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 53),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, .production_id = 101),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 40),
  [2583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(155),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, .production_id = 88),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, .production_id = 7),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2), SHIFT_REPEAT(620),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(120),
  [2606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(47),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(525),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 66),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(159),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 40),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 46),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 85),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, .production_id = 96),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, .production_id = 98),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2835] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 103),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 104),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, .production_id = 106),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 55),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
